import { MastraEngine, DatabaseConfig } from './engine';
import { BaseEntity, BaseRecord, QueryOptions } from './types';
export declare class MockMastraEngine extends MastraEngine {
    private entities;
    private records;
    constructor(config: DatabaseConfig);
    createEntity(params: {
        name: string;
        connectionId: string;
    }): Promise<BaseEntity>;
    getEntityById(params: {
        id: string;
    }): Promise<BaseEntity>;
    getEntity({ connectionId, name }: {
        name?: string;
        connectionId?: string;
    }): Promise<BaseEntity | undefined>;
    deleteEntityById({ id }: {
        id: string;
    }): Promise<BaseEntity>;
    upsertRecords(params: {
        entityId: string;
        records: Pick<BaseRecord, 'externalId' | 'data' | 'entityType'>[];
    }): Promise<void>;
    getRecordsByEntityId(params: {
        entityId: string;
    }): Promise<BaseRecord[]>;
    getRecordsByEntityNameAndExternalId({ entityName, connectionId, externalId, }: {
        entityName: string;
        connectionId: string;
        externalId: string;
    }): Promise<BaseRecord[]>;
    getRecordsByEntityName({ name, connectionId }: {
        name: string;
        connectionId: string;
    }): Promise<BaseRecord[]>;
    getRecords({ entityName, connectionId, options, }: {
        entityName: string;
        options: QueryOptions;
        connectionId: string;
    }): Promise<BaseRecord[]>;
    syncRecords({ connectionId, name, records, lastSyncId, }: {
        name: string;
        connectionId: string;
        records: Pick<BaseRecord, 'externalId' | 'data'>[];
        lastSyncId?: string;
    }): Promise<void>;
}
//# sourceMappingURL=engine.mock.d.ts.map