import { SyncAction } from '../sync';
import { ToolAction } from '../tools';
import { Workflow } from '../workflows';
export declare class Integration<ToolsParams = void, ApiClient = void> {
    name: string;
    private syncFunctions;
    private workflows;
    constructor();
    /**
     * Workflows
     */
    registerWorkflow(name: string, fn: Workflow): void;
    getWorkflows({ serialized }: {
        serialized?: boolean;
    }): Record<string, Workflow>;
    /**
     * SYNCS
     */
    registerSync(fn: SyncAction<any, any, any, any>): void;
    getSyncs(): Record<string, SyncAction<any, any, any, any>>;
    /**
     * TOOLS
     */
    getStaticTools(_params?: ToolsParams): Record<string, ToolAction<any, any, any, any>>;
    getTools(_params?: ToolsParams): Promise<Record<string, ToolAction<any, any, any, any>>>;
    getApiClient(): Promise<ApiClient>;
}
//# sourceMappingURL=integration.d.ts.map