import { z } from 'zod';
import { MastraPrimitives } from '../action';
import { SyncAction, SyncExecutionContext } from './types';
export declare class Sync<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends SyncExecutionContext<TSchemaIn> = SyncExecutionContext<TSchemaIn>> implements SyncAction<TId, TSchemaIn, TSchemaOut, TContext> {
    id: TId;
    description?: string;
    inputSchema?: TSchemaIn;
    outputSchema?: TSchemaOut;
    mastra?: MastraPrimitives;
    execute: (context: TContext) => Promise<TSchemaOut extends z.ZodSchema ? z.infer<TSchemaOut> : unknown>;
    constructor(opts: SyncAction<TId, TSchemaIn, TSchemaOut, TContext>);
}
export declare function createSync<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends SyncExecutionContext<TSchemaIn> = SyncExecutionContext<TSchemaIn>>(opts: SyncAction<TId, TSchemaIn, TSchemaOut, TContext>): Sync<TId, TSchemaIn, TSchemaOut, TContext>;
//# sourceMappingURL=sync.d.ts.map