import { z } from 'zod';
import { MastraPrimitives } from '../action';
import { ToolAction, ToolExecutionContext } from './types';
export declare class Tool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>> implements ToolAction<TId, TSchemaIn, TSchemaOut, TContext> {
    id: TId;
    description?: string;
    inputSchema?: TSchemaIn;
    outputSchema?: TSchemaOut;
    execute: (context: TContext) => Promise<TSchemaOut extends z.ZodSchema ? z.infer<TSchemaOut> : unknown>;
    mastra?: MastraPrimitives;
    constructor(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>);
}
export declare function createTool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>>(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>): Tool<TId, TSchemaIn, TSchemaOut, TContext>;
//# sourceMappingURL=tool.d.ts.map