import { _ as _createClass, a as _extends, R as RegisteredLogger, c as createLogger, b as _inheritsLoose, d as _classPrivateFieldLooseBase, L as LogLevel, e as _classPrivateFieldLooseKey, f as _asyncToGenerator, g as _regeneratorRuntime, h as _createForOfIteratorHelperLoose, i as _objectWithoutPropertiesLoose, n as noopLogger, j as _objectDestructuringEmpty } from './index-4bc86671.js';
export { l as Logger, k as LoggerTransport, M as MultiLogger, m as combineLoggers } from './index-4bc86671.js';
import { __decorate, __metadata } from 'tslib';
import { randomUUID } from 'crypto';
import { z } from 'zod';
import 'dotenv/config';
import { createAmazonBedrock } from '@ai-sdk/amazon-bedrock';
import { createAnthropic } from '@ai-sdk/anthropic';
import { createAzure } from '@ai-sdk/azure';
import { createCohere } from '@ai-sdk/cohere';
import { createGoogleGenerativeAI } from '@ai-sdk/google';
import { createMistral } from '@ai-sdk/mistral';
import { createOpenAI } from '@ai-sdk/openai';
import { createXai } from '@ai-sdk/xai';
import { tool, generateText, jsonSchema, generateObject, streamText, streamObject, embed as embed$1, embedMany } from 'ai';
import { createAnthropicVertex } from 'anthropic-vertex-ai';
import { trace, context, SpanStatusCode, SpanKind } from '@opentelemetry/api';
import { getNodeAutoInstrumentations } from '@opentelemetry/auto-instrumentations-node';
import { OTLPTraceExporter } from '@opentelemetry/exporter-trace-otlp-http';
import { Resource } from '@opentelemetry/resources';
import { NodeSDK } from '@opentelemetry/sdk-node';
import { AlwaysOnSampler, AlwaysOffSampler, TraceIdRatioBasedSampler, ParentBasedSampler, ConsoleSpanExporter } from '@opentelemetry/sdk-trace-base';
import { ATTR_SERVICE_NAME } from '@opentelemetry/semantic-conventions';
import dotenv from 'dotenv';
import { readFileSync, existsSync } from 'fs';
import { join } from 'path';
import { createVoyage } from 'voyage-ai-provider';
import { CohereClient } from 'cohere-ai';
import { get } from 'radash';
import sift from 'sift';
import { setup, createActor, assign, fromPromise } from 'xstate';
import 'pino';
import 'pino-pretty';
import 'stream';

var MastraBase = /*#__PURE__*/function () {
  function MastraBase(_ref) {
    var component = _ref.component,
      name = _ref.name;
    this.component = RegisteredLogger.LLM;
    this.logger = void 0;
    this.name = void 0;
    this.telemetry = void 0;
    this.component = component || RegisteredLogger.LLM;
    this.name = name;
    this.logger = createLogger({
      name: this.component + " - " + this.name
    });
  }
  /**
   * Set the logger for the agent
   * @param logger
   */
  var _proto = MastraBase.prototype;
  _proto.__setLogger = function __setLogger(logger) {
    this.logger = logger;
    this.logger.debug("Logger updated for " + this.component + ":" + this.name);
  }
  /**
   * Internal logging helper that formats and sends logs to the configured logger
   * @param level - Severity level of the log
   * @param message - Main log message
   * @param opts - Optional object for the log
   */;
  _proto.log = function log(level, message, opts) {
    var _this$logger$logMetho, _this$logger;
    if (!this.logger) return;
    var logMessage = _extends({
      type: this.component,
      message: message,
      destinationPath: this.name ? this.component + "/" + this.name : this.component
    }, opts || {});
    var logMethod = level.toLowerCase();
    (_this$logger$logMetho = (_this$logger = this.logger)[logMethod]) == null || _this$logger$logMetho.call(_this$logger, logMessage);
  }
  /**
   * Set the telemetry for the
   * @param telemetry
   */;
  _proto.__setTelemetry = function __setTelemetry(telemetry) {
    this.telemetry = telemetry;
    this.logger.debug("Telemetry updated for " + this.component + " " + this.telemetry.tracer);
  }
  /**
   * Get the telemetry on the vector
   * @returns telemetry
   */;
  _proto.__getTelemetry = function __getTelemetry() {
    return this.telemetry;
  }
  /*
    get experimental_telemetry config
    */;
  return _createClass(MastraBase, [{
    key: "experimental_telemetry",
    get: function get() {
      return this.telemetry ? {
        tracer: this.telemetry.tracer,
        isEnabled: !!this.telemetry.tracer
      } : undefined;
    }
  }]);
}();

// copied from https://github.com/developit/mitt
/**
 * Mitt: Tiny (~200b) functional event emitter / pubsub.
 * @name mitt
 * @returns {Mitt}
 */
function mitt(all) {
  all = all || new Map();
  return {
    /**
     * A Map of event names to registered handler functions.
     */
    all: all,
    /**
     * Register an event handler for the given type.
     * @param {string|symbol} type Type of event to listen for, or `'*'` for all events
     * @param {Function} handler Function to call in response to given event
     * @memberOf mitt
     */
    on: function on(type, handler) {
      var handlers = all.get(type);
      if (handlers) {
        handlers.push(handler);
      } else {
        all.set(type, [handler]);
      }
    },
    /**
     * Remove an event handler for the given type.
     * If `handler` is omitted, all handlers of the given type are removed.
     * @param {string|symbol} type Type of event to unregister `handler` from (`'*'` to remove a wildcard handler)
     * @param {Function} [handler] Handler function to remove
     * @memberOf mitt
     */
    off: function off(type, handler) {
      var handlers = all.get(type);
      if (handlers) {
        if (handler) {
          handlers.splice(handlers.indexOf(handler) >>> 0, 1);
        } else {
          all.set(type, []);
        }
      }
    },
    /**
     * Invoke all handlers for the given type.
     * If present, `'*'` handlers are invoked after type-matched handlers.
     *
     * Note: Manually firing '*' handlers is not supported.
     *
     * @param {string|symbol} type The event type to invoke
     * @param {Any} [evt] Any value (object is recommended and powerful), passed to each handler
     * @memberOf mitt
     */
    emit: function emit(type, evt) {
      var handlers = all.get(type);
      if (handlers) {
        handlers.slice().map(function (handler) {
          handler(evt);
        });
      }
      handlers = all.get('*');
      if (handlers) {
        handlers.slice().map(function (handler) {
          handler(type, evt);
        });
      }
    }
  };
}

var AvailableHooks;
(function (AvailableHooks) {
  AvailableHooks["ON_EVALUATION"] = "onEvaluation";
  AvailableHooks["ON_GENERATION"] = "onGeneration";
})(AvailableHooks || (AvailableHooks = {}));
var hooks = /*#__PURE__*/mitt();
function registerHook(hook, action) {
  hooks.on(hook, action);
}
function executeHook(hook, data) {
  // do not block the main thread
  setImmediate(function () {
    hooks.emit(hook, data);
  });
}

// Helper function to check if telemetry is active
function hasActiveTelemetry() {
  try {
    return !!trace.getTracer('default-tracer');
  } catch (_unused) {
    return false;
  }
}

// Decorator factory that takes optional spanName
function withSpan(options) {
  return function (_target, propertyKey, descriptor) {
    if (!descriptor || typeof descriptor === 'number') return;
    var originalMethod = descriptor.value;
    var methodName = String(propertyKey);
    descriptor.value = function () {
      var _this = this;
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }
      // Skip if no telemetry is available and skipIfNoTelemetry is true
      if (options != null && options.skipIfNoTelemetry && !hasActiveTelemetry()) {
        return originalMethod.apply(this, args);
      }
      var tracer = trace.getTracer('default-tracer');
      // Determine span name and kind
      var spanName;
      var spanKind;
      if (typeof options === 'string') {
        spanName = options;
      } else if (options) {
        spanName = options.spanName || methodName;
        spanKind = options.spanKind;
      } else {
        spanName = methodName;
      }
      // Start the span with optional kind
      var span = tracer.startSpan(spanName, {
        kind: spanKind
      });
      var ctx = trace.setSpan(context.active(), span);
      // Record input arguments as span attributes
      args.forEach(function (arg, index) {
        try {
          span.setAttribute(spanName + ".argument." + index, JSON.stringify(arg));
        } catch (e) {
          span.setAttribute(spanName + ".argument." + index, '[Not Serializable]');
        }
      });
      var result;
      try {
        // Call the original method within the context
        result = context["with"](ctx, function () {
          return originalMethod.apply(_this, args);
        });
        // Handle promises
        if (result instanceof Promise) {
          return result.then(function (resolvedValue) {
            try {
              span.setAttribute(spanName + ".result", JSON.stringify(resolvedValue));
            } catch (e) {
              span.setAttribute(spanName + ".result", '[Not Serializable]');
            }
            return resolvedValue;
          })["finally"](function () {
            return span.end();
          });
        }
        // Record result for non-promise returns
        try {
          span.setAttribute(spanName + ".result", JSON.stringify(result));
        } catch (e) {
          span.setAttribute(spanName + ".result", '[Not Serializable]');
        }
        // Return regular results
        return result;
      } catch (error) {
        span.setStatus({
          code: SpanStatusCode.ERROR,
          message: error instanceof Error ? error.message : 'Unknown error'
        });
        if (error instanceof Error) {
          span.recordException(error);
        }
        throw error;
      } finally {
        // End span for non-promise returns
        if (!(result instanceof Promise)) {
          span.end();
        }
      }
    };
    return descriptor;
  };
}
// class-telemetry.decorator.ts
function InstrumentClass(options) {
  return function (target) {
    var methods = Object.getOwnPropertyNames(target.prototype);
    methods.forEach(function (method) {
      var _options$excludeMetho;
      // Skip excluded methods
      if (options != null && (_options$excludeMetho = options.excludeMethods) != null && _options$excludeMetho.includes(method) || method === 'constructor') return;
      // Apply method filter if provided
      if (options != null && options.methodFilter && !options.methodFilter(method)) return;
      var descriptor = Object.getOwnPropertyDescriptor(target.prototype, method);
      if (descriptor && typeof descriptor.value === 'function') {
        Object.defineProperty(target.prototype, method, withSpan({
          spanName: options != null && options.prefix ? options.prefix + "." + method : method,
          skipIfNoTelemetry: true,
          spanKind: (options == null ? void 0 : options.spanKind) || SpanKind.INTERNAL
        })(target, method, descriptor));
      }
    });
    return target;
  };
}

var delay = function delay(ms) {
  return new Promise(function (resolve) {
    return setTimeout(resolve, ms);
  });
};
function jsonSchemaPropertiesToTSTypes(value) {
  if (!value.type) {
    return z.object({});
  }
  var zodType;
  switch (value.type) {
    case 'string':
      zodType = z.string().describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
      break;
    case 'number':
      zodType = z.number().describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
      break;
    case 'integer':
      zodType = z.number()["int"]().describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
      break;
    case 'boolean':
      zodType = z["boolean"]().describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
      break;
    case 'array':
      zodType = z.array(jsonSchemaPropertiesToTSTypes(value.items)).describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
      break;
    case 'object':
      zodType = jsonSchemaToModel(value).describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
      break;
    case 'null':
      zodType = z["null"]().describe(value.description || '');
      break;
    default:
      throw new Error("Unsupported JSON schema type: " + value.type);
  }
  return zodType;
}
function jsonSchemaToModel(jsonSchema) {
  var properties = jsonSchema.properties;
  var requiredFields = jsonSchema.required || [];
  if (!properties) {
    return z.object({});
  }
  var zodSchema = {};
  for (var _i = 0, _Object$entries = Object.entries(properties); _i < _Object$entries.length; _i++) {
    var _Object$entries$_i = _Object$entries[_i],
      key = _Object$entries$_i[0],
      _ = _Object$entries$_i[1];
    var value = _;
    var zodType = void 0;
    if (value.anyOf) {
      var anyOfTypes = value.anyOf.map(function (schema) {
        return jsonSchemaPropertiesToTSTypes(schema);
      });
      zodType = z.union(anyOfTypes).describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
    } else if (value.allOf) {
      var allOfTypes = value.allOf.map(function (schema) {
        return jsonSchemaPropertiesToTSTypes(schema);
      });
      zodType = z.intersection(allOfTypes[0], allOfTypes.slice(1).reduce(function (acc, schema) {
        return acc.and(schema);
      }, allOfTypes[0])).describe((value.description || '') + (value.examples ? "\nExamples: " + value.examples.join(', ') : ''));
    } else {
      if (!value.type) {
        value.type = 'string';
      }
      zodType = jsonSchemaPropertiesToTSTypes(value);
    }
    if (value.description) {
      zodType = zodType.describe(value.description);
    }
    if (requiredFields.includes(key)) {
      zodSchema[key] = zodType;
    } else {
      zodSchema[key] = zodType.nullable();
    }
  }
  return z.object(zodSchema);
}

var _model;
var LLM = (_model = /*#__PURE__*/_classPrivateFieldLooseKey("model"), /*#__PURE__*/function (_MastraBase) {
  function LLM(_ref) {
    var _this;
    var model = _ref.model;
    _this = _MastraBase.call(this, {
      component: RegisteredLogger.LLM
    }) || this;
    Object.defineProperty(_this, _model, {
      writable: true,
      value: void 0
    });
    _classPrivateFieldLooseBase(_this, _model)[_model] = model;
    return _this;
  }
  _inheritsLoose(LLM, _MastraBase);
  var _proto = LLM.prototype;
  _proto.getModelType = function getModelType() {
    var _providerToType$model;
    var model = _classPrivateFieldLooseBase(this, _model)[_model];
    if (!('provider' in model)) {
      throw new Error('Model provider is required');
    }
    var providerToType = {
      OPEN_AI: 'openai',
      ANTHROPIC: 'anthropic',
      GROQ: 'groq',
      PERPLEXITY: 'perplexity',
      FIREWORKS: 'fireworks',
      TOGETHER_AI: 'togetherai',
      LM_STUDIO: 'lmstuido',
      BASETEN: 'baseten',
      GOOGLE: 'google',
      MISTRAL: 'mistral',
      X_GROK: 'grok',
      COHERE: 'cohere',
      AZURE: 'azure',
      AMAZON: 'amazon',
      ANTHROPIC_VERTEX: 'anthropic-vertex',
      DEEPSEEK: 'deepseek'
    };
    var type = (_providerToType$model = providerToType[model.provider]) != null ? _providerToType$model : model.provider;
    this.logger.debug("[LLM] - Model resolved to provider " + model.provider, {
      sdk_type: type,
      provider: model.provider
    });
    return type;
  };
  _proto.createOpenAICompatibleModel = function createOpenAICompatibleModel(_ref2) {
    var baseURL = _ref2.baseURL,
      apiKey = _ref2.apiKey,
      defaultModelName = _ref2.defaultModelName,
      modelName = _ref2.modelName,
      fetch = _ref2.fetch;
    this.log(LogLevel.DEBUG, "Creating OpenAI compatible model with baseURL: " + baseURL);
    var client = createOpenAI({
      baseURL: baseURL,
      apiKey: apiKey,
      fetch: fetch
    });
    return client(modelName || defaultModelName);
  };
  _proto.createModelDef = function createModelDef(_ref3) {
    var model = _ref3.model;
    var modelDef;
    if (model.type === 'openai') {
      this.logger.debug("[LLM] - Initializing OpenAI model " + (model.name || 'gpt-4o-2024-08-06'));
      var openai = createOpenAI({
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.OPENAI_API_KEY
      });
      modelDef = openai(model.name || 'gpt-4o-2024-08-06', {
        structuredOutputs: true
      });
    } else if (model.type === 'anthropic') {
      this.log(LogLevel.DEBUG, "Initializing Anthropic model " + (model.name || 'claude-3-5-sonnet-20240620'));
      var anthropic = createAnthropic({
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.ANTHROPIC_API_KEY
      });
      modelDef = anthropic(model.name || 'claude-3-5-sonnet-20240620');
    } else if (model.type === 'google') {
      this.log(LogLevel.DEBUG, "Initializing Google model " + (model.name || 'gemini-1.5-pro-latest'));
      var google = createGoogleGenerativeAI({
        baseURL: 'https://generativelanguage.googleapis.com/v1beta',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.GOOGLE_GENERATIVE_AI_API_KEY || ''
      });
      modelDef = google(model.name || 'gemini-1.5-pro-latest');
    } else if (model.type === 'groq') {
      this.log(LogLevel.DEBUG, "Initializing Groq model " + (model.name || 'llama-3.2-90b-text-preview'));
      modelDef = this.createOpenAICompatibleModel({
        baseURL: 'https://api.groq.com/openai/v1',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.GROQ_API_KEY || '',
        defaultModelName: 'llama-3.2-90b-text-preview',
        modelName: model.name
      });
    } else if (model.type === 'perplexity') {
      this.log(LogLevel.DEBUG, "Initializing Perplexity model " + (model.name || 'llama-3.1-sonar-large-128k-chat'));
      modelDef = this.createOpenAICompatibleModel({
        baseURL: 'https://api.perplexity.ai/',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.PERPLEXITY_API_KEY || '',
        defaultModelName: 'llama-3.1-sonar-large-128k-chat',
        modelName: model.name
      });
    } else if (model.type === 'fireworks') {
      this.log(LogLevel.DEBUG, "Initializing Fireworks model " + (model.name || 'llama-v3p1-70b-instruct'));
      modelDef = this.createOpenAICompatibleModel({
        baseURL: 'https://api.fireworks.ai/inference/v1',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.FIREWORKS_API_KEY || '',
        defaultModelName: 'llama-v3p1-70b-instruct',
        modelName: model.name
      });
    } else if (model.type === 'togetherai') {
      this.log(LogLevel.DEBUG, "Initializing TogetherAI model " + (model.name || 'google/gemma-2-9b-it'));
      modelDef = this.createOpenAICompatibleModel({
        baseURL: 'https://api.together.xyz/v1/',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.TOGETHER_AI_API_KEY || '',
        defaultModelName: 'google/gemma-2-9b-it',
        modelName: model.name
      });
    } else if (model.type === 'lmstudio') {
      this.log(LogLevel.DEBUG, "Initializing LMStudio model " + (model.name || 'llama-3.2-1b'));
      if (!(model != null && model.baseURL)) {
        var error = "LMStudio model requires a baseURL";
        this.logger.error(error);
        throw new Error(error);
      }
      modelDef = this.createOpenAICompatibleModel({
        baseURL: model.baseURL,
        apiKey: 'not-needed',
        defaultModelName: 'llama-3.2-1b',
        modelName: model.name
      });
    } else if (model.type === 'baseten') {
      this.log(LogLevel.DEBUG, "Initializing BaseTen model " + (model.name || 'llama-3.1-70b-instruct'));
      if (model != null && model.fetch) {
        var _error = "Custom fetch is required to use " + model.type + ". see https://docs.baseten.co/api-reference/openai for more information";
        this.logger.error(_error);
        throw new Error(_error);
      }
      modelDef = this.createOpenAICompatibleModel({
        baseURL: 'https://bridge.baseten.co/v1/direct',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.BASETEN_API_KEY || '',
        defaultModelName: 'llama-3.1-70b-instruct',
        modelName: model.name
      });
    } else if (model.type === 'mistral') {
      this.log(LogLevel.DEBUG, "Initializing Mistral model " + (model.name || 'pixtral-large-latest'));
      var mistral = createMistral({
        baseURL: 'https://api.mistral.ai/v1',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.MISTRAL_API_KEY || ''
      });
      modelDef = mistral(model.name || 'pixtral-large-latest');
    } else if (model.type === 'grok') {
      var _process$env$XAI_API_;
      this.log(LogLevel.DEBUG, "Initializing X Grok model " + (model.name || 'grok-beta'));
      var xAi = createXai({
        baseURL: 'https://api.x.ai/v1',
        apiKey: (_process$env$XAI_API_ = process.env.XAI_API_KEY) != null ? _process$env$XAI_API_ : ''
      });
      modelDef = xAi(model.name || 'grok-beta');
    } else if (model.type === 'cohere') {
      this.log(LogLevel.DEBUG, "Initializing Cohere model " + (model.name || 'command-r-plus'));
      var cohere = createCohere({
        baseURL: 'https://api.cohere.com/v2',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.COHERE_API_KEY || ''
      });
      modelDef = cohere(model.name || 'command-r-plus');
    } else if (model.type === 'azure') {
      this.log(LogLevel.DEBUG, "Initializing Azure model " + (model.name || 'gpt-35-turbo-instruct'));
      var azure = createAzure({
        resourceName: process.env.AZURE_RESOURCE_NAME || '',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.AZURE_API_KEY || ''
      });
      modelDef = azure(model.name || 'gpt-35-turbo-instruct');
    } else if (model.type === 'amazon') {
      this.log(LogLevel.DEBUG, "Initializing Amazon model " + (model.name || 'amazon-titan-tg1-large'));
      var amazon = createAmazonBedrock({
        region: process.env.AWS_REGION || '',
        accessKeyId: process.env.AWS_ACCESS_KEY_ID || '',
        secretAccessKey: process.env.AWS_SECRET_ACCESS_KEY || '',
        sessionToken: process.env.AWS_SESSION_TOKEN || ''
      });
      modelDef = amazon(model.name || 'amazon-titan-tg1-large');
    } else if (model.type === 'anthropic-vertex') {
      var _process$env$ANTHROPI;
      this.log(LogLevel.DEBUG, "Initializing Anthropic Vertex model " + (model.name || 'claude-3-5-sonnet@20240620'));
      var anthropicVertex = createAnthropicVertex({
        region: process.env.GOOGLE_VERTEX_REGION,
        projectId: process.env.GOOGLE_VERTEX_PROJECT_ID,
        apiKey: (_process$env$ANTHROPI = process.env.ANTHROPIC_API_KEY) != null ? _process$env$ANTHROPI : ''
      });
      modelDef = anthropicVertex(model.name || 'claude-3-5-sonnet@20240620');
    } else if (model.type === 'deepseek') {
      this.log(LogLevel.DEBUG, "Initializing Deepseek model " + (model.name || 'deepseek-chat'));
      modelDef = this.createOpenAICompatibleModel({
        baseURL: 'https://api.deepseek.com/v1/',
        apiKey: (model == null ? void 0 : model.apiKey) || process.env.DEEPSEEK_API_KEY || '',
        defaultModelName: 'deepseek-chat',
        modelName: model.name
      });
    } else {
      var _error2 = "Invalid model type: " + model.type;
      this.logger.error(_error2);
      throw new Error(_error2);
    }
    return modelDef;
  };
  _proto.getParams = /*#__PURE__*/function () {
    var _getParams = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_ref4) {
      var tools, resultTool, model, toolsConverted, answerTool, modelDef;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            tools = _ref4.tools, resultTool = _ref4.resultTool, model = _ref4.model;
            toolsConverted = Object.entries(tools).reduce(function (memo, _ref5) {
              var key = _ref5[0],
                val = _ref5[1];
              memo[key] = tool(val);
              return memo;
            }, {});
            answerTool = {};
            if (resultTool) {
              answerTool = {
                answer: tool(resultTool)
              };
            }
            if (!('type' in model)) {
              _context.next = 8;
              break;
            }
            modelDef = this.createModelDef({
              model: model
            });
            _context.next = 15;
            break;
          case 8:
            if (!(model.model instanceof Function)) {
              _context.next = 14;
              break;
            }
            _context.next = 11;
            return model.model();
          case 11:
            modelDef = _context.sent;
            _context.next = 15;
            break;
          case 14:
            modelDef = model.model;
          case 15:
            return _context.abrupt("return", {
              toolsConverted: toolsConverted,
              modelDef: modelDef,
              answerTool: answerTool,
              toolChoice: model.toolChoice || 'auto'
            });
          case 16:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function getParams(_x) {
      return _getParams.apply(this, arguments);
    }
    return getParams;
  }();
  _proto.convertTools = function convertTools(tools) {
    var _this2 = this;
    this.log(LogLevel.DEBUG, 'Starting tool conversion for LLM');
    var converted = Object.entries(tools || {}).reduce(function (memo, value) {
      var k = value[0];
      var tool = value[1];
      if (tool) {
        memo[k] = {
          description: tool.description,
          parameters: tool.inputSchema,
          execute: function () {
            var _execute = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(props) {
              return _regeneratorRuntime().wrap(function _callee2$(_context2) {
                while (1) switch (_context2.prev = _context2.next) {
                  case 0:
                    _this2.log(LogLevel.DEBUG, 'Executing tool', {
                      tool: k,
                      props: props
                    });
                    return _context2.abrupt("return", tool.execute({
                      context: props
                    }));
                  case 2:
                  case "end":
                    return _context2.stop();
                }
              }, _callee2);
            }));
            function execute(_x2) {
              return _execute.apply(this, arguments);
            }
            return execute;
          }()
        };
      }
      return memo;
    }, {});
    this.log(LogLevel.DEBUG, "Converted tools for LLM");
    return converted;
  };
  _proto.convertToMessages = function convertToMessages(messages) {
    if (Array.isArray(messages)) {
      return messages.map(function (m) {
        if (typeof m === 'string') {
          return {
            role: 'user',
            content: m
          };
        }
        return m;
      });
    }
    return [{
      role: 'user',
      content: messages
    }];
  };
  _proto.generate = /*#__PURE__*/function () {
    var _generate = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee3(messages, _temp) {
      var _ref6, _ref6$maxSteps, maxSteps, onStepFinish, tools, convertedTools, runId, _ref6$output, output, temperature, msgs;
      return _regeneratorRuntime().wrap(function _callee3$(_context3) {
        while (1) switch (_context3.prev = _context3.next) {
          case 0:
            _ref6 = _temp === void 0 ? {} : _temp, _ref6$maxSteps = _ref6.maxSteps, maxSteps = _ref6$maxSteps === void 0 ? 5 : _ref6$maxSteps, onStepFinish = _ref6.onStepFinish, tools = _ref6.tools, convertedTools = _ref6.convertedTools, runId = _ref6.runId, _ref6$output = _ref6.output, output = _ref6$output === void 0 ? 'text' : _ref6$output, temperature = _ref6.temperature;
            msgs = this.convertToMessages(messages);
            if (!(output === 'text')) {
              _context3.next = 6;
              break;
            }
            _context3.next = 5;
            return this.__text({
              messages: msgs,
              onStepFinish: onStepFinish,
              maxSteps: maxSteps,
              tools: tools,
              convertedTools: convertedTools,
              runId: runId,
              temperature: temperature
            });
          case 5:
            return _context3.abrupt("return", _context3.sent);
          case 6:
            _context3.next = 8;
            return this.__textObject({
              messages: msgs,
              structuredOutput: output,
              onStepFinish: onStepFinish,
              maxSteps: maxSteps,
              tools: tools,
              convertedTools: convertedTools,
              runId: runId
            });
          case 8:
            return _context3.abrupt("return", _context3.sent);
          case 9:
          case "end":
            return _context3.stop();
        }
      }, _callee3, this);
    }));
    function generate(_x3, _x4) {
      return _generate.apply(this, arguments);
    }
    return generate;
  }();
  _proto.stream = /*#__PURE__*/function () {
    var _stream = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee4(messages, _temp2) {
      var _ref7, _ref7$maxSteps, maxSteps, onFinish, onStepFinish, tools, convertedTools, runId, _ref7$output, output, temperature, msgs;
      return _regeneratorRuntime().wrap(function _callee4$(_context4) {
        while (1) switch (_context4.prev = _context4.next) {
          case 0:
            _ref7 = _temp2 === void 0 ? {} : _temp2, _ref7$maxSteps = _ref7.maxSteps, maxSteps = _ref7$maxSteps === void 0 ? 5 : _ref7$maxSteps, onFinish = _ref7.onFinish, onStepFinish = _ref7.onStepFinish, tools = _ref7.tools, convertedTools = _ref7.convertedTools, runId = _ref7.runId, _ref7$output = _ref7.output, output = _ref7$output === void 0 ? 'text' : _ref7$output, temperature = _ref7.temperature;
            msgs = this.convertToMessages(messages);
            if (!(output === 'text')) {
              _context4.next = 6;
              break;
            }
            _context4.next = 5;
            return this.__stream({
              messages: msgs,
              onStepFinish: onStepFinish,
              onFinish: onFinish,
              maxSteps: maxSteps,
              tools: tools,
              convertedTools: convertedTools,
              runId: runId,
              temperature: temperature
            });
          case 5:
            return _context4.abrupt("return", _context4.sent);
          case 6:
            _context4.next = 8;
            return this.__streamObject({
              messages: msgs,
              structuredOutput: output,
              onStepFinish: onStepFinish,
              onFinish: onFinish,
              maxSteps: maxSteps,
              tools: tools,
              convertedTools: convertedTools,
              runId: runId,
              temperature: temperature
            });
          case 8:
            return _context4.abrupt("return", _context4.sent);
          case 9:
          case "end":
            return _context4.stop();
        }
      }, _callee4, this);
    }));
    function stream(_x5, _x6) {
      return _stream.apply(this, arguments);
    }
    return stream;
  }();
  _proto.__text = /*#__PURE__*/function () {
    var _text = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee6(_ref8) {
      var _this3 = this;
      var messages, _onStepFinish, _ref8$maxSteps, maxSteps, tools, runId, convertedTools, temperature, model, modelToPass, params, argsForExecute;
      return _regeneratorRuntime().wrap(function _callee6$(_context6) {
        while (1) switch (_context6.prev = _context6.next) {
          case 0:
            messages = _ref8.messages, _onStepFinish = _ref8.onStepFinish, _ref8$maxSteps = _ref8.maxSteps, maxSteps = _ref8$maxSteps === void 0 ? 5 : _ref8$maxSteps, tools = _ref8.tools, runId = _ref8.runId, convertedTools = _ref8.convertedTools, temperature = _ref8.temperature;
            model = _classPrivateFieldLooseBase(this, _model)[_model];
            this.logger.debug("[LLM] - Generating text", {
              runId: runId,
              messages: messages,
              maxSteps: maxSteps,
              tools: Object.keys(tools || convertedTools || {})
            });
            if ('name' in model) {
              modelToPass = {
                type: this.getModelType(),
                name: model.name,
                toolChoice: model.toolChoice,
                apiKey: model.provider !== 'LM_STUDIO' ? model == null ? void 0 : model.apiKey : undefined,
                baseURL: model.provider === 'LM_STUDIO' ? model.baseURL : undefined,
                fetch: model.provider === 'BASETEN' ? model.fetch : undefined
              };
            } else {
              modelToPass = model;
            }
            _context6.next = 6;
            return this.getParams({
              tools: convertedTools || this.convertTools(tools),
              model: modelToPass
            });
          case 6:
            params = _context6.sent;
            argsForExecute = {
              model: params.modelDef,
              temperature: temperature,
              tools: _extends({}, params.toolsConverted, params.answerTool),
              toolChoice: params.toolChoice,
              maxSteps: maxSteps,
              onStepFinish: function () {
                var _onStepFinish2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee5(props) {
                  var _props$response, _props$response2;
                  return _regeneratorRuntime().wrap(function _callee5$(_context5) {
                    while (1) switch (_context5.prev = _context5.next) {
                      case 0:
                        _onStepFinish == null || _onStepFinish(JSON.stringify(props, null, 2));
                        _this3.logger.debug('[LLM] - Step Change:', {
                          text: props == null ? void 0 : props.text,
                          toolCalls: props == null ? void 0 : props.toolCalls,
                          toolResults: props == null ? void 0 : props.toolResults,
                          finishReason: props == null ? void 0 : props.finishReason,
                          usage: props == null ? void 0 : props.usage,
                          runId: runId
                        });
                        if (!(props != null && (_props$response = props.response) != null && (_props$response = _props$response.headers) != null && _props$response['x-ratelimit-remaining-tokens'] && parseInt(props == null || (_props$response2 = props.response) == null || (_props$response2 = _props$response2.headers) == null ? void 0 : _props$response2['x-ratelimit-remaining-tokens'], 10) < 2000)) {
                          _context5.next = 6;
                          break;
                        }
                        _this3.logger.warn('Rate limit approaching, waiting 10 seconds');
                        _context5.next = 6;
                        return delay(10 * 1000);
                      case 6:
                      case "end":
                        return _context5.stop();
                    }
                  }, _callee5);
                }));
                function onStepFinish(_x8) {
                  return _onStepFinish2.apply(this, arguments);
                }
                return onStepFinish;
              }()
            };
            _context6.next = 10;
            return generateText(_extends({
              messages: messages
            }, argsForExecute, {
              experimental_telemetry: this.experimental_telemetry
            }));
          case 10:
            return _context6.abrupt("return", _context6.sent);
          case 11:
          case "end":
            return _context6.stop();
        }
      }, _callee6, this);
    }));
    function __text(_x7) {
      return _text.apply(this, arguments);
    }
    return __text;
  }();
  _proto.__textObject = /*#__PURE__*/function () {
    var _textObject = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee8(_ref9) {
      var _this4 = this;
      var messages, _onStepFinish3, _ref9$maxSteps, maxSteps, tools, convertedTools, structuredOutput, runId, temperature, model, modelToPass, params, argsForExecute, schema, output;
      return _regeneratorRuntime().wrap(function _callee8$(_context8) {
        while (1) switch (_context8.prev = _context8.next) {
          case 0:
            messages = _ref9.messages, _onStepFinish3 = _ref9.onStepFinish, _ref9$maxSteps = _ref9.maxSteps, maxSteps = _ref9$maxSteps === void 0 ? 5 : _ref9$maxSteps, tools = _ref9.tools, convertedTools = _ref9.convertedTools, structuredOutput = _ref9.structuredOutput, runId = _ref9.runId, temperature = _ref9.temperature;
            model = _classPrivateFieldLooseBase(this, _model)[_model];
            this.logger.debug("[LLM] - Generating a text object", {
              runId: runId
            });
            if ('name' in model) {
              modelToPass = {
                type: this.getModelType(),
                name: model.name,
                toolChoice: model.toolChoice,
                apiKey: model.provider !== 'LM_STUDIO' ? model == null ? void 0 : model.apiKey : undefined,
                baseURL: model.provider === 'LM_STUDIO' ? model.baseURL : undefined,
                fetch: model.provider === 'BASETEN' ? model.fetch : undefined
              };
            } else {
              modelToPass = model;
            }
            _context8.next = 6;
            return this.getParams({
              tools: convertedTools || this.convertTools(tools),
              model: modelToPass
            });
          case 6:
            params = _context8.sent;
            argsForExecute = {
              model: params.modelDef,
              temperature: temperature,
              tools: _extends({}, params.toolsConverted, params.answerTool),
              toolChoice: params.toolChoice,
              maxSteps: maxSteps,
              onStepFinish: function () {
                var _onStepFinish4 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee7(props) {
                  var _props$response3, _props$response4;
                  return _regeneratorRuntime().wrap(function _callee7$(_context7) {
                    while (1) switch (_context7.prev = _context7.next) {
                      case 0:
                        _this4.logger.debug('[LLM] - Step Change:', {
                          text: props == null ? void 0 : props.text,
                          toolCalls: props == null ? void 0 : props.toolCalls,
                          toolResults: props == null ? void 0 : props.toolResults,
                          finishReason: props == null ? void 0 : props.finishReason,
                          usage: props == null ? void 0 : props.usage
                        });
                        _onStepFinish3 == null || _onStepFinish3(JSON.stringify(props, null, 2));
                        if (!(props != null && (_props$response3 = props.response) != null && (_props$response3 = _props$response3.headers) != null && _props$response3['x-ratelimit-remaining-tokens'] && parseInt(props == null || (_props$response4 = props.response) == null || (_props$response4 = _props$response4.headers) == null ? void 0 : _props$response4['x-ratelimit-remaining-tokens'], 10) < 2000)) {
                          _context7.next = 6;
                          break;
                        }
                        _this4.logger.warn('Rate limit approaching, waiting 10 seconds', {
                          runId: runId
                        });
                        _context7.next = 6;
                        return delay(10 * 1000);
                      case 6:
                      case "end":
                        return _context7.stop();
                    }
                  }, _callee7);
                }));
                function onStepFinish(_x10) {
                  return _onStepFinish4.apply(this, arguments);
                }
                return onStepFinish;
              }()
            };
            output = 'object';
            if (typeof structuredOutput.parse === 'function') {
              schema = structuredOutput;
              if (schema instanceof z.ZodArray) {
                output = 'array';
                schema = schema._def.type;
              }
            } else {
              schema = jsonSchema(structuredOutput);
            }
            _context8.next = 12;
            return generateObject(_extends({
              messages: messages
            }, argsForExecute, {
              output: output,
              schema: schema,
              experimental_telemetry: this.experimental_telemetry
            }));
          case 12:
            return _context8.abrupt("return", _context8.sent);
          case 13:
          case "end":
            return _context8.stop();
        }
      }, _callee8, this);
    }));
    function __textObject(_x9) {
      return _textObject.apply(this, arguments);
    }
    return __textObject;
  }();
  _proto.__stream = /*#__PURE__*/function () {
    var _stream2 = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee11(_ref10) {
      var _this5 = this;
      var messages, _onStepFinish5, _onFinish, _ref10$maxSteps, maxSteps, tools, runId, convertedTools, temperature, model, modelToPass, params, argsForExecute;
      return _regeneratorRuntime().wrap(function _callee11$(_context11) {
        while (1) switch (_context11.prev = _context11.next) {
          case 0:
            messages = _ref10.messages, _onStepFinish5 = _ref10.onStepFinish, _onFinish = _ref10.onFinish, _ref10$maxSteps = _ref10.maxSteps, maxSteps = _ref10$maxSteps === void 0 ? 5 : _ref10$maxSteps, tools = _ref10.tools, runId = _ref10.runId, convertedTools = _ref10.convertedTools, temperature = _ref10.temperature;
            model = _classPrivateFieldLooseBase(this, _model)[_model];
            this.log(LogLevel.DEBUG, "Streaming text with " + messages.length + " messages", {
              runId: runId
            });
            if ('name' in model) {
              modelToPass = {
                type: this.getModelType(),
                name: model.name,
                toolChoice: model.toolChoice,
                apiKey: model.provider !== 'LM_STUDIO' ? model == null ? void 0 : model.apiKey : undefined,
                baseURL: model.provider === 'LM_STUDIO' ? model.baseURL : undefined,
                fetch: model.provider === 'BASETEN' ? model.fetch : undefined
              };
            } else {
              modelToPass = model;
            }
            _context11.next = 6;
            return this.getParams({
              tools: convertedTools || this.convertTools(tools),
              model: modelToPass
            });
          case 6:
            params = _context11.sent;
            argsForExecute = {
              temperature: temperature,
              model: params.modelDef,
              tools: _extends({}, params.toolsConverted, params.answerTool),
              toolChoice: params.toolChoice,
              maxSteps: maxSteps,
              onStepFinish: function () {
                var _onStepFinish6 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee9(props) {
                  var _props$response5, _props$response6;
                  return _regeneratorRuntime().wrap(function _callee9$(_context9) {
                    while (1) switch (_context9.prev = _context9.next) {
                      case 0:
                        _this5.logger.debug('[LLM] - Step Change:', {
                          text: props == null ? void 0 : props.text,
                          toolCalls: props == null ? void 0 : props.toolCalls,
                          toolResults: props == null ? void 0 : props.toolResults,
                          finishReason: props == null ? void 0 : props.finishReason,
                          usage: props == null ? void 0 : props.usage
                        });
                        _onStepFinish5 == null || _onStepFinish5(JSON.stringify(props, null, 2));
                        if (!(props != null && (_props$response5 = props.response) != null && (_props$response5 = _props$response5.headers) != null && _props$response5['x-ratelimit-remaining-tokens'] && parseInt(props == null || (_props$response6 = props.response) == null || (_props$response6 = _props$response6.headers) == null ? void 0 : _props$response6['x-ratelimit-remaining-tokens'], 10) < 2000)) {
                          _context9.next = 6;
                          break;
                        }
                        _this5.logger.warn('Rate limit approaching, waiting 10 seconds', {
                          runId: runId
                        });
                        _context9.next = 6;
                        return delay(10 * 1000);
                      case 6:
                      case "end":
                        return _context9.stop();
                    }
                  }, _callee9);
                }));
                function onStepFinish(_x12) {
                  return _onStepFinish6.apply(this, arguments);
                }
                return onStepFinish;
              }(),
              onFinish: function () {
                var _onFinish2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee10(props) {
                  return _regeneratorRuntime().wrap(function _callee10$(_context10) {
                    while (1) switch (_context10.prev = _context10.next) {
                      case 0:
                        _this5.logger.debug('[LLM] - On Finish:', {
                          text: props == null ? void 0 : props.text,
                          toolCalls: props == null ? void 0 : props.toolCalls,
                          toolResults: props == null ? void 0 : props.toolResults,
                          finishReason: props == null ? void 0 : props.finishReason,
                          usage: props == null ? void 0 : props.usage
                        });
                        _onFinish == null || _onFinish(JSON.stringify(props, null, 2));
                      case 2:
                      case "end":
                        return _context10.stop();
                    }
                  }, _callee10);
                }));
                function onFinish(_x13) {
                  return _onFinish2.apply(this, arguments);
                }
                return onFinish;
              }()
            };
            _context11.next = 10;
            return streamText(_extends({
              messages: messages
            }, argsForExecute, {
              experimental_telemetry: this.experimental_telemetry
            }));
          case 10:
            return _context11.abrupt("return", _context11.sent);
          case 11:
          case "end":
            return _context11.stop();
        }
      }, _callee11, this);
    }));
    function __stream(_x11) {
      return _stream2.apply(this, arguments);
    }
    return __stream;
  }();
  _proto.__streamObject = /*#__PURE__*/function () {
    var _streamObject = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee14(_ref11) {
      var _this6 = this;
      var messages, _onStepFinish7, _onFinish3, _ref11$maxSteps, maxSteps, tools, convertedTools, structuredOutput, runId, temperature, model, modelToPass, params, argsForExecute, schema, output;
      return _regeneratorRuntime().wrap(function _callee14$(_context14) {
        while (1) switch (_context14.prev = _context14.next) {
          case 0:
            messages = _ref11.messages, _onStepFinish7 = _ref11.onStepFinish, _onFinish3 = _ref11.onFinish, _ref11$maxSteps = _ref11.maxSteps, maxSteps = _ref11$maxSteps === void 0 ? 5 : _ref11$maxSteps, tools = _ref11.tools, convertedTools = _ref11.convertedTools, structuredOutput = _ref11.structuredOutput, runId = _ref11.runId, temperature = _ref11.temperature;
            model = _classPrivateFieldLooseBase(this, _model)[_model];
            this.log(LogLevel.DEBUG, "Streaming text with " + messages.length + " messages", {
              runId: runId
            });
            if ('name' in model) {
              modelToPass = {
                type: this.getModelType(),
                name: model.name,
                toolChoice: model.toolChoice,
                apiKey: model.provider !== 'LM_STUDIO' ? model == null ? void 0 : model.apiKey : undefined,
                baseURL: model.provider === 'LM_STUDIO' ? model.baseURL : undefined,
                fetch: model.provider === 'BASETEN' ? model.fetch : undefined
              };
            } else {
              modelToPass = model;
            }
            _context14.next = 6;
            return this.getParams({
              tools: convertedTools || this.convertTools(tools),
              model: modelToPass
            });
          case 6:
            params = _context14.sent;
            argsForExecute = {
              temperature: temperature,
              model: params.modelDef,
              tools: _extends({}, params.toolsConverted, params.answerTool),
              toolChoice: params.toolChoice,
              maxSteps: maxSteps,
              onStepFinish: function () {
                var _onStepFinish8 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee12(props) {
                  var _props$response7, _props$response8;
                  return _regeneratorRuntime().wrap(function _callee12$(_context12) {
                    while (1) switch (_context12.prev = _context12.next) {
                      case 0:
                        _this6.logger.debug('[LLM] - Step Change:', {
                          text: props == null ? void 0 : props.text,
                          toolCalls: props == null ? void 0 : props.toolCalls,
                          toolResults: props == null ? void 0 : props.toolResults,
                          finishReason: props == null ? void 0 : props.finishReason,
                          usage: props == null ? void 0 : props.usage
                        });
                        _onStepFinish7 == null || _onStepFinish7(JSON.stringify(props, null, 2));
                        if (!(props != null && (_props$response7 = props.response) != null && (_props$response7 = _props$response7.headers) != null && _props$response7['x-ratelimit-remaining-tokens'] && parseInt(props == null || (_props$response8 = props.response) == null || (_props$response8 = _props$response8.headers) == null ? void 0 : _props$response8['x-ratelimit-remaining-tokens'], 10) < 2000)) {
                          _context12.next = 6;
                          break;
                        }
                        _this6.logger.warn('Rate limit approaching, waiting 10 seconds', {
                          runId: runId
                        });
                        _context12.next = 6;
                        return delay(10 * 1000);
                      case 6:
                      case "end":
                        return _context12.stop();
                    }
                  }, _callee12);
                }));
                function onStepFinish(_x15) {
                  return _onStepFinish8.apply(this, arguments);
                }
                return onStepFinish;
              }(),
              onFinish: function () {
                var _onFinish4 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee13(props) {
                  return _regeneratorRuntime().wrap(function _callee13$(_context13) {
                    while (1) switch (_context13.prev = _context13.next) {
                      case 0:
                        _this6.logger.debug('[LLM] - On Finish:', {
                          text: props == null ? void 0 : props.text,
                          toolCalls: props == null ? void 0 : props.toolCalls,
                          toolResults: props == null ? void 0 : props.toolResults,
                          finishReason: props == null ? void 0 : props.finishReason,
                          usage: props == null ? void 0 : props.usage
                        });
                        _onFinish3 == null || _onFinish3(JSON.stringify(props, null, 2));
                      case 2:
                      case "end":
                        return _context13.stop();
                    }
                  }, _callee13);
                }));
                function onFinish(_x16) {
                  return _onFinish4.apply(this, arguments);
                }
                return onFinish;
              }()
            };
            output = 'object';
            if (typeof structuredOutput.parse === 'function') {
              schema = structuredOutput;
              if (schema instanceof z.ZodArray) {
                output = 'array';
                schema = schema._def.type;
              }
            } else {
              schema = jsonSchema(structuredOutput);
            }
            _context14.next = 12;
            return streamObject(_extends({
              messages: messages
            }, argsForExecute, {
              output: output,
              schema: schema,
              experimental_telemetry: this.experimental_telemetry
            }));
          case 12:
            return _context14.abrupt("return", _context14.sent);
          case 13:
          case "end":
            return _context14.stop();
        }
      }, _callee14, this);
    }));
    function __streamObject(_x14) {
      return _streamObject.apply(this, arguments);
    }
    return __streamObject;
  }();
  return LLM;
}(MastraBase));
LLM = /*#__PURE__*/__decorate([/*#__PURE__*/InstrumentClass({
  prefix: 'llm',
  excludeMethods: ['__setTools', '__setLogger', '__setTelemetry', '#log']
}), /*#__PURE__*/__metadata("design:paramtypes", [Object])], LLM);

// Store SDK instance outside the class to persist across HMR
var sdkInstance = null;
var Telemetry = /*#__PURE__*/function () {
  function Telemetry(config) {
    var _config$serviceName;
    this.sdk = null;
    this.tracer = trace.getTracer('default');
    this.name = 'default-service';
    this.name = (_config$serviceName = config.serviceName) != null ? _config$serviceName : 'default-service';
    // Only initialize in server environment
    if (typeof window === 'undefined') {
      // In development, always create a new instance
      // In production, use existing instance if available
      if (process.env.NODE_ENV === 'development' || !sdkInstance) {
        var _config$export, _config$export2, _Resource;
        // Shutdown existing instance if it exists
        if (sdkInstance) {
          this.shutdown();
        }
        var exporter = ((_config$export = config["export"]) == null ? void 0 : _config$export.type) === 'otlp' ? new OTLPTraceExporter({
          url: config["export"].endpoint,
          headers: config["export"].headers
        }) : ((_config$export2 = config["export"]) == null ? void 0 : _config$export2.type) === 'custom' ? config["export"].exporter : new ConsoleSpanExporter();
        var sampler = this.getSampler(config);
        sdkInstance = new NodeSDK({
          resource: new Resource((_Resource = {}, _Resource[ATTR_SERVICE_NAME] = this.name, _Resource)),
          traceExporter: exporter,
          sampler: sampler,
          instrumentations: [getNodeAutoInstrumentations()]
        });
        try {
          sdkInstance.start();
          this.sdk = sdkInstance;
          Telemetry.isInitialized = true;
        } catch (error) {
          console.warn('Failed to initialize OpenTelemetry:', error);
        }
      }
    }
    this.tracer = trace.getTracer(this.name);
  }
  var _proto = Telemetry.prototype;
  _proto.getSampler = function getSampler(config) {
    var _config$sampling$root;
    if (!config.sampling) {
      return new AlwaysOnSampler();
    }
    if (!config.enabled) {
      return new AlwaysOffSampler();
    }
    switch (config.sampling.type) {
      case 'ratio':
        return new TraceIdRatioBasedSampler(config.sampling.probability);
      case 'always_on':
        return new AlwaysOnSampler();
      case 'always_off':
        return new AlwaysOffSampler();
      case 'parent_based':
        var rootSampler = new TraceIdRatioBasedSampler(((_config$sampling$root = config.sampling.root) == null ? void 0 : _config$sampling$root.probability) || 1.0);
        return new ParentBasedSampler({
          root: rootSampler
        });
      default:
        return new AlwaysOnSampler();
    }
  };
  _proto.shutdown = /*#__PURE__*/function () {
    var _shutdown = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            if (!(this.sdk && Telemetry.isInitialized)) {
              _context.next = 12;
              break;
            }
            _context.prev = 1;
            _context.next = 4;
            return this.sdk.shutdown();
          case 4:
            Telemetry.isInitialized = false;
            global.__OTEL_SDK__ = undefined;
            global.__TELEMETRY__ = undefined;
            _context.next = 12;
            break;
          case 9:
            _context.prev = 9;
            _context.t0 = _context["catch"](1);
            console.warn('Error shutting down OpenTelemetry:', _context.t0);
          case 12:
          case "end":
            return _context.stop();
        }
      }, _callee, this, [[1, 9]]);
    }));
    function shutdown() {
      return _shutdown.apply(this, arguments);
    }
    return shutdown;
  }()
  /**
   * Initialize telemetry with the given configuration
   * @param config - Optional telemetry configuration object
   * @returns Telemetry instance that can be used for tracing
   */
  ;
  Telemetry.init = function init(config) {
    if (config === void 0) {
      config = {};
    }
    try {
      if (!global.__TELEMETRY__) {
        global.__TELEMETRY__ = new Telemetry(config);
      }
      return global.__TELEMETRY__;
    } catch (error) {
      console.error('Failed to initialize telemetry:', error);
      throw error;
    }
  }
  /**
   * Get the global telemetry instance
   * @throws {Error} If telemetry has not been initialized
   * @returns {Telemetry} The global telemetry instance
   */;
  Telemetry.get = function get() {
    if (!global.__TELEMETRY__) {
      throw new Error('Telemetry not initialized');
    }
    return global.__TELEMETRY__;
  }
  /**
   * Wraps a class instance with telemetry tracing
   * @param instance The class instance to wrap
   * @param options Optional configuration for tracing
   * @returns Wrapped instance with all methods traced
   */;
  _proto.traceClass = function traceClass(instance, options) {
    var _this = this;
    if (options === void 0) {
      options = {};
    }
    var _options = options,
      _options$skipIfNoTele = _options.skipIfNoTelemetry,
      skipIfNoTelemetry = _options$skipIfNoTele === void 0 ? true : _options$skipIfNoTele;
    // Skip if no telemetry is active and skipIfNoTelemetry is true
    if (skipIfNoTelemetry && !hasActiveTelemetry()) {
      return instance;
    }
    var _options2 = options,
      _options2$spanNamePre = _options2.spanNamePrefix,
      spanNamePrefix = _options2$spanNamePre === void 0 ? instance.constructor.name.toLowerCase() : _options2$spanNamePre,
      _options2$attributes = _options2.attributes,
      attributes = _options2$attributes === void 0 ? {} : _options2$attributes,
      _options2$excludeMeth = _options2.excludeMethods,
      excludeMethods = _options2$excludeMeth === void 0 ? [] : _options2$excludeMeth;
    return new Proxy(instance, {
      get: function get(target, prop) {
        var value = target[prop];
        // Skip tracing for excluded methods, constructors, private methods
        if (typeof value === 'function' && prop !== 'constructor' && !prop.toString().startsWith('_') && !excludeMethods.includes(prop.toString())) {
          var _extends2;
          return _this.traceMethod(value.bind(target), {
            spanName: spanNamePrefix + "." + prop.toString(),
            attributes: _extends({}, attributes, (_extends2 = {}, _extends2[spanNamePrefix + ".name"] = target.constructor.name, _extends2[spanNamePrefix + ".method.name"] = prop.toString(), _extends2))
          });
        }
        return value;
      }
    });
  }
  /**
   * method to trace individual methods with proper context
   * @param method The method to trace
   * @param context Additional context for the trace
   * @returns Wrapped method with tracing
   */;
  _proto.traceMethod = function traceMethod(method, context) {
    var _this2 = this;
    var _context$skipIfNoTele = context.skipIfNoTelemetry,
      skipIfNoTelemetry = _context$skipIfNoTele === void 0 ? true : _context$skipIfNoTele;
    // Skip if no telemetry is active and skipIfNoTelemetry is true
    if (skipIfNoTelemetry && !hasActiveTelemetry()) {
      return method;
    }
    return /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2() {
      var span,
        _len,
        args,
        _key,
        result,
        _args2 = arguments;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            span = _this2.tracer.startSpan(context.spanName);
            _context2.prev = 1;
            // Add all context attributes to span
            if (context.attributes) {
              span.setAttributes(context.attributes);
            }
            // Record input arguments as span attributes
            for (_len = _args2.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
              args[_key] = _args2[_key];
            }
            args.forEach(function (arg, index) {
              try {
                span.setAttribute(context.spanName + ".argument." + index, JSON.stringify(arg));
              } catch (e) {
                span.setAttribute(context.spanName + ".argument." + index, '[Not Serializable]');
              }
            });
            _context2.next = 7;
            return method.apply(void 0, args);
          case 7:
            result = _context2.sent;
            // Record result
            try {
              span.setAttribute(context.spanName + ".result", JSON.stringify(result));
            } catch (e) {
              span.setAttribute(context.spanName + ".result", '[Not Serializable]');
            }
            span.end();
            return _context2.abrupt("return", result);
          case 13:
            _context2.prev = 13;
            _context2.t0 = _context2["catch"](1);
            span.recordException(_context2.t0);
            span.setStatus({
              code: SpanStatusCode.ERROR,
              message: _context2.t0.message
            });
            span.end();
            throw _context2.t0;
          case 19:
          case "end":
            return _context2.stop();
        }
      }, _callee2, null, [[1, 13]]);
    }));
  };
  return Telemetry;
}();
Telemetry.isInitialized = false;

var _mastra$1;
var Agent = (_mastra$1 = /*#__PURE__*/_classPrivateFieldLooseKey("mastra"), /*#__PURE__*/function (_MastraBase) {
  function Agent(config) {
    var _this;
    _this = _MastraBase.call(this, {
      component: RegisteredLogger.AGENT
    }) || this;
    _this.name = void 0;
    _this.llm = void 0;
    _this.instructions = void 0;
    _this.model = void 0;
    Object.defineProperty(_this, _mastra$1, {
      writable: true,
      value: void 0
    });
    _this.tools = void 0;
    _this.metrics = void 0;
    _this.name = config.name;
    _this.instructions = config.instructions;
    _this.llm = new LLM({
      model: config.model
    });
    _this.model = config.model;
    _this.tools = {};
    _this.metrics = {};
    if (config.tools) {
      _this.tools = config.tools;
    }
    if (config.mastra) {
      _classPrivateFieldLooseBase(_this, _mastra$1)[_mastra$1] = config.mastra;
    }
    if (config.metrics) {
      _this.metrics = config.metrics;
    }
    return _this;
  }
  _inheritsLoose(Agent, _MastraBase);
  var _proto = Agent.prototype;
  _proto.__registerPrimitives = function __registerPrimitives(p) {
    if (p.telemetry) {
      this.__setTelemetry(p.telemetry);
    }
    if (p.logger) {
      this.__setLogger(p.logger);
      this.llm.__setLogger(p.logger);
    }
    _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1] = p;
    this.logger.debug("[Agents:" + this.name + "] initialized.", {
      model: this.model,
      name: this.name
    });
  }
  /**
   * Set the concrete tools for the agent
   * @param tools
   */;
  _proto.__setTools = function __setTools(tools) {
    this.tools = tools;
    this.logger.debug("[Agents:" + this.name + "] Tools set for agent " + this.name, {
      model: this.model,
      name: this.name
    });
  };
  _proto.generateTitleFromUserMessage = /*#__PURE__*/function () {
    var _generateTitleFromUserMessage = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_ref) {
      var message, _yield$this$llm$__tex, object;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            message = _ref.message;
            _context.next = 3;
            return this.llm.__textObject({
              messages: [{
                role: 'system',
                content: "\n\n      - you will generate a short title based on the first message a user begins a conversation with\n      - ensure it is not more than 80 characters long\n      - the title should be a summary of the user's message\n      - do not use quotes or colons"
              }, {
                role: 'user',
                content: JSON.stringify(message)
              }],
              structuredOutput: z.object({
                title: z.string()
              })
            });
          case 3:
            _yield$this$llm$__tex = _context.sent;
            object = _yield$this$llm$__tex.object;
            return _context.abrupt("return", object.title);
          case 6:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function generateTitleFromUserMessage(_x) {
      return _generateTitleFromUserMessage.apply(this, arguments);
    }
    return generateTitleFromUserMessage;
  }();
  _proto.getMostRecentUserMessage = function getMostRecentUserMessage(messages) {
    var userMessages = messages.filter(function (message) {
      return message.role === 'user';
    });
    return userMessages.at(-1);
  };
  _proto.genTitle = /*#__PURE__*/function () {
    var _genTitle = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(userMessage) {
      var title;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            title = 'New Thread';
            _context2.prev = 1;
            if (!userMessage) {
              _context2.next = 6;
              break;
            }
            _context2.next = 5;
            return this.generateTitleFromUserMessage({
              message: userMessage
            });
          case 5:
            title = _context2.sent;
          case 6:
            _context2.next = 11;
            break;
          case 8:
            _context2.prev = 8;
            _context2.t0 = _context2["catch"](1);
            console.error('Error generating title:', _context2.t0);
          case 11:
            return _context2.abrupt("return", title);
          case 12:
          case "end":
            return _context2.stop();
        }
      }, _callee2, this, [[1, 8]]);
    }));
    function genTitle(_x2) {
      return _genTitle.apply(this, arguments);
    }
    return genTitle;
  }();
  _proto.saveMemory = /*#__PURE__*/function () {
    var _saveMemory = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee3(_ref2) {
      var _classPrivateFieldLoo,
        _this2 = this;
      var threadId, resourceid, userMessages, runId, userMessage, _thread, thread, title, _title, newMessages, _context3, messages, contextCallMessages, context, memoryMessages, _context$object, _context$object2, _context$object3, _context$object4;
      return _regeneratorRuntime().wrap(function _callee3$(_context4) {
        while (1) switch (_context4.prev = _context4.next) {
          case 0:
            threadId = _ref2.threadId, resourceid = _ref2.resourceid, userMessages = _ref2.userMessages, runId = _ref2.runId;
            userMessage = this.getMostRecentUserMessage(userMessages);
            if (!((_classPrivateFieldLoo = _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo.memory)) {
              _context4.next = 52;
              break;
            }
            if (threadId) {
              _context4.next = 13;
              break;
            }
            this.logger.debug("No threadId, creating new thread for agent " + this.name, {
              runId: runId || this.name
            });
            _context4.next = 7;
            return this.genTitle(userMessage);
          case 7:
            title = _context4.sent;
            _context4.next = 10;
            return _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1].memory.createThread({
              threadId: threadId,
              resourceid: resourceid,
              title: title
            });
          case 10:
            thread = _context4.sent;
            _context4.next = 24;
            break;
          case 13:
            _context4.next = 15;
            return _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1].memory.getThreadById({
              threadId: threadId
            });
          case 15:
            thread = _context4.sent;
            if (thread) {
              _context4.next = 24;
              break;
            }
            this.logger.debug("Thread not found, creating new thread for agent " + this.name, {
              runId: runId || this.name
            });
            _context4.next = 20;
            return this.genTitle(userMessage);
          case 20:
            _title = _context4.sent;
            _context4.next = 23;
            return _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1].memory.createThread({
              threadId: threadId,
              resourceid: resourceid,
              title: _title
            });
          case 23:
            thread = _context4.sent;
          case 24:
            newMessages = userMessage ? [userMessage] : userMessages;
            if (!thread) {
              _context4.next = 51;
              break;
            }
            messages = newMessages.map(function (u) {
              var _classPrivateFieldLoo2;
              return _extends({
                id: (_classPrivateFieldLoo2 = _classPrivateFieldLooseBase(_this2, _mastra$1)[_mastra$1]) == null || (_classPrivateFieldLoo2 = _classPrivateFieldLoo2.memory) == null ? void 0 : _classPrivateFieldLoo2.generateId(),
                createdAt: new Date(),
                threadId: thread.id
              }, u, {
                content: u.content,
                role: u.role,
                type: 'text'
              });
            });
            contextCallMessages = [{
              role: 'system',
              content: "\n\n            Analyze this message to determine if the user is referring to a previous conversation with the LLM.\n            Specifically, identify if the user wants to reference specific information from that chat or if they want the LLM to use the previous chat messages as context for the current conversation.\n            Extract any date ranges mentioned in the user message that could help identify the previous chat.\n            Return dates in ISO format.\n            If no specific dates are mentioned but time periods are (like \"last week\" or \"past month\"), calculate the appropriate date range.\n            For the end date, return the date 1 day after the end of the time period.\n            Today's date is " + new Date().toISOString()
            }].concat(newMessages);
            _context4.prev = 28;
            _context4.next = 31;
            return this.llm.__textObject({
              messages: contextCallMessages,
              structuredOutput: z.object({
                usesContext: z["boolean"](),
                startDate: z.date(),
                endDate: z.date()
              })
            });
          case 31:
            context = _context4.sent;
            this.logger.debug('Text Object result', {
              contextObject: JSON.stringify(context.object, null, 2),
              runId: runId || this.name
            });
            _context4.next = 38;
            break;
          case 35:
            _context4.prev = 35;
            _context4.t0 = _context4["catch"](28);
            if (_context4.t0 instanceof Error) {
              this.log(LogLevel.DEBUG, "No context found: " + _context4.t0.message);
            }
          case 38:
            if (!((_context3 = context) != null && (_context3 = _context3.object) != null && _context3.usesContext)) {
              _context4.next = 44;
              break;
            }
            _context4.next = 41;
            return _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1].memory.getContextWindow({
              threadId: thread.id,
              format: 'core_message',
              startDate: (_context$object = context.object) != null && _context$object.startDate ? new Date((_context$object2 = context.object) == null ? void 0 : _context$object2.startDate) : undefined,
              endDate: (_context$object3 = context.object) != null && _context$object3.endDate ? new Date((_context$object4 = context.object) == null ? void 0 : _context$object4.endDate) : undefined
            });
          case 41:
            memoryMessages = _context4.sent;
            _context4.next = 47;
            break;
          case 44:
            _context4.next = 46;
            return _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1].memory.getContextWindow({
              threadId: thread.id,
              format: 'core_message'
            });
          case 46:
            memoryMessages = _context4.sent;
          case 47:
            _context4.next = 49;
            return _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1].memory.saveMessages({
              messages: messages
            });
          case 49:
            this.log(LogLevel.DEBUG, 'Saved messages to memory', {
              threadId: thread.id,
              runId: runId
            });
            return _context4.abrupt("return", {
              threadId: thread.id,
              messages: [].concat(memoryMessages, newMessages)
            });
          case 51:
            return _context4.abrupt("return", {
              threadId: ((_thread = thread) == null ? void 0 : _thread.id) || threadId || '',
              messages: userMessages
            });
          case 52:
            return _context4.abrupt("return", {
              threadId: threadId || '',
              messages: userMessages
            });
          case 53:
          case "end":
            return _context4.stop();
        }
      }, _callee3, this, [[28, 35]]);
    }));
    function saveMemory(_x3) {
      return _saveMemory.apply(this, arguments);
    }
    return saveMemory;
  }();
  _proto.saveResponse = /*#__PURE__*/function () {
    var _saveResponse = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee4(_ref3) {
      var result, threadId, runId, response, _classPrivateFieldLoo3, ms, responseMessagesWithoutIncompleteToolCalls;
      return _regeneratorRuntime().wrap(function _callee4$(_context5) {
        while (1) switch (_context5.prev = _context5.next) {
          case 0:
            result = _ref3.result, threadId = _ref3.threadId, runId = _ref3.runId;
            response = result.response;
            _context5.prev = 2;
            if (!response.messages) {
              _context5.next = 10;
              break;
            }
            ms = Array.isArray(response.messages) ? response.messages : [response.messages];
            responseMessagesWithoutIncompleteToolCalls = this.sanitizeResponseMessages(ms);
            if (!((_classPrivateFieldLoo3 = _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo3.memory)) {
              _context5.next = 10;
              break;
            }
            this.log(LogLevel.DEBUG, 'Saving response to memory', {
              threadId: threadId,
              runId: runId
            });
            _context5.next = 10;
            return _classPrivateFieldLooseBase(this, _mastra$1)[_mastra$1].memory.saveMessages({
              messages: responseMessagesWithoutIncompleteToolCalls.map(function (message) {
                var _toolCallIds, _toolCallArgs, _toolNames;
                var messageId = randomUUID();
                var toolCallIds;
                var toolCallArgs;
                var toolNames;
                var type = 'text';
                if (message.role === 'tool') {
                  toolCallIds = message.content.map(function (content) {
                    return content.toolCallId;
                  });
                  type = 'tool-result';
                }
                if (message.role === 'assistant') {
                  var _assistantContent$map, _assistantContent$;
                  var assistantContent = message.content;
                  var assistantToolCalls = (_assistantContent$map = assistantContent.map(function (content) {
                    if (content.type === 'tool-call') {
                      return {
                        toolCallId: content.toolCallId,
                        toolArgs: content.args,
                        toolName: content.toolName
                      };
                    }
                    return undefined;
                  })) == null ? void 0 : _assistantContent$map.filter(Boolean);
                  toolCallIds = assistantToolCalls == null ? void 0 : assistantToolCalls.map(function (toolCall) {
                    return toolCall.toolCallId;
                  });
                  toolCallArgs = assistantToolCalls == null ? void 0 : assistantToolCalls.map(function (toolCall) {
                    return toolCall.toolArgs;
                  });
                  toolNames = assistantToolCalls == null ? void 0 : assistantToolCalls.map(function (toolCall) {
                    return toolCall.toolName;
                  });
                  type = assistantContent == null || (_assistantContent$ = assistantContent[0]) == null ? void 0 : _assistantContent$.type;
                }
                return {
                  id: messageId,
                  threadId: threadId,
                  role: message.role,
                  content: message.content,
                  createdAt: new Date(),
                  toolCallIds: (_toolCallIds = toolCallIds) != null && _toolCallIds.length ? toolCallIds : undefined,
                  toolCallArgs: (_toolCallArgs = toolCallArgs) != null && _toolCallArgs.length ? toolCallArgs : undefined,
                  toolNames: (_toolNames = toolNames) != null && _toolNames.length ? toolNames : undefined,
                  type: type
                };
              })
            });
          case 10:
            _context5.next = 15;
            break;
          case 12:
            _context5.prev = 12;
            _context5.t0 = _context5["catch"](2);
            this.logger.error('Failed to save assistant response', {
              error: _context5.t0,
              runId: runId
            });
          case 15:
          case "end":
            return _context5.stop();
        }
      }, _callee4, this, [[2, 12]]);
    }));
    function saveResponse(_x4) {
      return _saveResponse.apply(this, arguments);
    }
    return saveResponse;
  }();
  _proto.sanitizeResponseMessages = function sanitizeResponseMessages(messages) {
    var toolResultIds = [];
    for (var _iterator = _createForOfIteratorHelperLoose(messages), _step; !(_step = _iterator()).done;) {
      var message = _step.value;
      if (message.role === 'tool') {
        for (var _iterator2 = _createForOfIteratorHelperLoose(message.content), _step2; !(_step2 = _iterator2()).done;) {
          var content = _step2.value;
          if (content.type === 'tool-result') {
            toolResultIds.push(content.toolCallId);
          }
        }
      }
    }
    var messagesBySanitizedContent = messages.map(function (message) {
      if (message.role !== 'assistant') return message;
      if (typeof message.content === 'string') return message;
      var sanitizedContent = message.content.filter(function (content) {
        return content.type === 'tool-call' ? toolResultIds.includes(content.toolCallId) : content.type === 'text' ? content.text.length > 0 : true;
      });
      return _extends({}, message, {
        content: sanitizedContent
      });
    });
    return messagesBySanitizedContent.filter(function (message) {
      return message.content.length > 0;
    });
  };
  _proto.convertTools = function convertTools(_ref4) {
    var _this3 = this;
    var toolsets = _ref4.toolsets,
      threadId = _ref4.threadId,
      runId = _ref4.runId;
    this.logger.debug("[Agents:" + this.name + "] - Assigning tools", {
      runId: runId
    });
    var converted = Object.entries(this.tools || {}).reduce(function (memo, value) {
      var k = value[0];
      var tool = _this3.tools[k];
      if (tool) {
        memo[k] = {
          description: tool.description,
          parameters: tool.inputSchema,
          execute: function () {
            var _execute = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee5(args) {
              var _classPrivateFieldLoo4;
              var cachedResult;
              return _regeneratorRuntime().wrap(function _callee5$(_context6) {
                while (1) switch (_context6.prev = _context6.next) {
                  case 0:
                    if (!(threadId && tool.enableCache && (_classPrivateFieldLoo4 = _classPrivateFieldLooseBase(_this3, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo4.memory)) {
                      _context6.next = 7;
                      break;
                    }
                    _context6.next = 3;
                    return _classPrivateFieldLooseBase(_this3, _mastra$1)[_mastra$1].memory.getToolResult({
                      threadId: threadId,
                      toolArgs: args,
                      toolName: k
                    });
                  case 3:
                    cachedResult = _context6.sent;
                    if (!cachedResult) {
                      _context6.next = 7;
                      break;
                    }
                    _this3.logger.debug("Cached Result " + k + " runId: " + runId, {
                      cachedResult: JSON.stringify(cachedResult, null, 2),
                      runId: runId
                    });
                    return _context6.abrupt("return", cachedResult);
                  case 7:
                    _this3.logger.debug("Cache not found or not enabled, executing tool runId: " + runId, {
                      runId: runId
                    });
                    return _context6.abrupt("return", tool.execute({
                      context: args,
                      mastra: _classPrivateFieldLooseBase(_this3, _mastra$1)[_mastra$1]
                    }));
                  case 9:
                  case "end":
                    return _context6.stop();
                }
              }, _callee5);
            }));
            function execute(_x5) {
              return _execute.apply(this, arguments);
            }
            return execute;
          }()
        };
      }
      return memo;
    }, {});
    var toolsFromToolsetsConverted = _extends({}, converted);
    var toolsFromToolsets = Object.values(toolsets || {});
    if (toolsFromToolsets.length > 0) {
      this.logger.debug("Adding tools from toolsets " + Object.keys(toolsets || {}).join(', '), {
        runId: runId
      });
      toolsFromToolsets.forEach(function (toolset) {
        Object.entries(toolset).forEach(function (_ref5) {
          var toolName = _ref5[0],
            tool = _ref5[1];
          var toolObj = tool;
          toolsFromToolsetsConverted[toolName] = {
            description: toolObj.description || '',
            parameters: toolObj.inputSchema,
            execute: function () {
              var _execute2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee6(args) {
                var _classPrivateFieldLoo5;
                var cachedResult;
                return _regeneratorRuntime().wrap(function _callee6$(_context7) {
                  while (1) switch (_context7.prev = _context7.next) {
                    case 0:
                      if (!(threadId && toolObj.enableCache && (_classPrivateFieldLoo5 = _classPrivateFieldLooseBase(_this3, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo5.memory)) {
                        _context7.next = 7;
                        break;
                      }
                      _context7.next = 3;
                      return _classPrivateFieldLooseBase(_this3, _mastra$1)[_mastra$1].memory.getToolResult({
                        threadId: threadId,
                        toolArgs: args,
                        toolName: toolName
                      });
                    case 3:
                      cachedResult = _context7.sent;
                      if (!cachedResult) {
                        _context7.next = 7;
                        break;
                      }
                      _this3.logger.debug("Cached Result " + toolName + " runId: " + runId, {
                        cachedResult: JSON.stringify(cachedResult, null, 2),
                        runId: runId
                      });
                      return _context7.abrupt("return", cachedResult);
                    case 7:
                      _this3.logger.debug("Cache not found or not enabled, executing tool runId: " + runId, {
                        runId: runId
                      });
                      return _context7.abrupt("return", toolObj.execute({
                        context: args
                      }));
                    case 9:
                    case "end":
                      return _context7.stop();
                  }
                }, _callee6);
              }));
              function execute(_x6) {
                return _execute2.apply(this, arguments);
              }
              return execute;
            }()
          };
        });
      });
    }
    return toolsFromToolsetsConverted;
  };
  _proto.preExecute = /*#__PURE__*/function () {
    var _preExecute = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee7(_ref6) {
      var resourceid, runId, threadId, messages, coreMessages, threadIdToUse, saveMessageResponse;
      return _regeneratorRuntime().wrap(function _callee7$(_context8) {
        while (1) switch (_context8.prev = _context8.next) {
          case 0:
            resourceid = _ref6.resourceid, runId = _ref6.runId, threadId = _ref6.threadId, messages = _ref6.messages;
            coreMessages = [];
            threadIdToUse = threadId;
            this.log(LogLevel.INFO, "Saving user messages in memory for agent " + this.name, {
              runId: runId
            });
            _context8.next = 6;
            return this.saveMemory({
              threadId: threadId,
              resourceid: resourceid,
              userMessages: messages
            });
          case 6:
            saveMessageResponse = _context8.sent;
            coreMessages = saveMessageResponse.messages;
            threadIdToUse = saveMessageResponse.threadId;
            return _context8.abrupt("return", {
              coreMessages: coreMessages,
              threadIdToUse: threadIdToUse
            });
          case 10:
          case "end":
            return _context8.stop();
        }
      }, _callee7, this);
    }));
    function preExecute(_x7) {
      return _preExecute.apply(this, arguments);
    }
    return preExecute;
  }();
  _proto.__primitive = function __primitive(_ref7) {
    var _this4 = this;
    var messages = _ref7.messages,
      context = _ref7.context,
      threadId = _ref7.threadId,
      resourceid = _ref7.resourceid,
      runId = _ref7.runId,
      toolsets = _ref7.toolsets;
    return {
      before: function () {
        var _before = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee8() {
          var _classPrivateFieldLoo6, _classPrivateFieldLoo7, _classPrivateFieldLoo8, _classPrivateFieldLoo9;
          var systemMessage, coreMessages, threadIdToUse, preExecuteResult, convertedTools, messageObjects;
          return _regeneratorRuntime().wrap(function _callee8$(_context9) {
            while (1) switch (_context9.prev = _context9.next) {
              case 0:
                if (process.env.NODE_ENV !== 'test') {
                  _this4.logger.debug("[Agents:" + _this4.name + "] - Starting generation", {
                    runId: runId
                  });
                }
                systemMessage = {
                  role: 'system',
                  content: _this4.instructions + ". Today's date is " + new Date().toISOString()
                };
                coreMessages = messages;
                threadIdToUse = threadId;
                if (!((_classPrivateFieldLoo6 = _classPrivateFieldLooseBase(_this4, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo6.memory && resourceid)) {
                  _context9.next = 12;
                  break;
                }
                _context9.next = 7;
                return _this4.preExecute({
                  resourceid: resourceid,
                  runId: runId,
                  threadId: threadIdToUse,
                  messages: messages
                });
              case 7:
                preExecuteResult = _context9.sent;
                coreMessages = preExecuteResult.coreMessages;
                threadIdToUse = preExecuteResult.threadIdToUse;
                _context9.next = 13;
                break;
              case 12:
                _this4.logger.debug("[Agents:" + _this4.name + "] - No memory store or resourceid identifier found. Skipping memory persistence.", {
                  runId: runId
                });
              case 13:
                if (toolsets && Object.keys(toolsets || {}).length > 0 || (_classPrivateFieldLoo7 = _classPrivateFieldLooseBase(_this4, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo7.memory && resourceid || (_classPrivateFieldLoo8 = _classPrivateFieldLooseBase(_this4, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo8.engine || (_classPrivateFieldLoo9 = _classPrivateFieldLooseBase(_this4, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo9.syncs) {
                  convertedTools = _this4.convertTools({
                    toolsets: toolsets,
                    threadId: threadIdToUse,
                    runId: runId
                  });
                } else {
                  _this4.logger.debug("Skipping tool conversion for agent " + _this4.name, {
                    runId: runId
                  });
                }
                messageObjects = [systemMessage].concat(context || [], coreMessages);
                return _context9.abrupt("return", {
                  messageObjects: messageObjects,
                  convertedTools: convertedTools,
                  threadId: threadIdToUse
                });
              case 16:
              case "end":
                return _context9.stop();
            }
          }, _callee8);
        }));
        function before() {
          return _before.apply(this, arguments);
        }
        return before;
      }(),
      after: function () {
        var _after = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee9(_ref8) {
          var _result$steps, _classPrivateFieldLoo10;
          var result, threadId, outputText, runId, resToLog, input, runIdToUse, _i, _Object$values, metric;
          return _regeneratorRuntime().wrap(function _callee9$(_context10) {
            while (1) switch (_context10.prev = _context10.next) {
              case 0:
                result = _ref8.result, threadId = _ref8.threadId, outputText = _ref8.outputText, runId = _ref8.runId;
                resToLog = {
                  text: result == null ? void 0 : result.text,
                  object: result == null ? void 0 : result.object,
                  toolResults: result == null ? void 0 : result.toolResults,
                  toolCalls: result == null ? void 0 : result.toolCalls,
                  usage: result == null ? void 0 : result.usage,
                  steps: result == null || (_result$steps = result.steps) == null ? void 0 : _result$steps.map(function (s) {
                    return {
                      stepType: s == null ? void 0 : s.stepType,
                      text: result == null ? void 0 : result.text,
                      object: result == null ? void 0 : result.object,
                      toolResults: result == null ? void 0 : result.toolResults,
                      toolCalls: result == null ? void 0 : result.toolCalls,
                      usage: result == null ? void 0 : result.usage
                    };
                  })
                };
                _this4.logger.debug("[Agent:" + _this4.name + "] - Post processing LLM response", {
                  runId: runId,
                  result: resToLog,
                  threadId: threadId
                });
                if (!((_classPrivateFieldLoo10 = _classPrivateFieldLooseBase(_this4, _mastra$1)[_mastra$1]) != null && _classPrivateFieldLoo10.memory && resourceid)) {
                  _context10.next = 15;
                  break;
                }
                _context10.prev = 4;
                _this4.logger.debug("Saving assistant message in memory for agent " + _this4.name, {
                  runId: runId,
                  threadId: threadId
                });
                _context10.next = 8;
                return _this4.saveResponse({
                  result: result,
                  threadId: threadId,
                  runId: runId
                });
              case 8:
                _context10.next = 13;
                break;
              case 10:
                _context10.prev = 10;
                _context10.t0 = _context10["catch"](4);
                _this4.logger.error('Error saving response', {
                  error: _context10.t0,
                  runId: runId,
                  result: resToLog,
                  threadId: threadId
                });
              case 13:
                _context10.next = 16;
                break;
              case 15:
                _this4.logger.debug("[Agents:" + _this4.name + "] - No memory store or resourceid identifier found. Skipping memory persistence.", {
                  runId: runId,
                  threadId: threadId
                });
              case 16:
                if (Object.keys(_this4.metrics || {}).length > 0) {
                  input = messages.map(function (message) {
                    return message.content;
                  }).join('\n');
                  runIdToUse = runId || crypto.randomUUID();
                  for (_i = 0, _Object$values = Object.values(_this4.metrics || {}); _i < _Object$values.length; _i++) {
                    metric = _Object$values[_i];
                    executeHook(AvailableHooks.ON_GENERATION, {
                      input: input,
                      output: outputText,
                      runId: runIdToUse,
                      metric: metric,
                      agentName: _this4.name
                    });
                  }
                }
              case 17:
              case "end":
                return _context10.stop();
            }
          }, _callee9, null, [[4, 10]]);
        }));
        function after(_x8) {
          return _after.apply(this, arguments);
        }
        return after;
      }()
    };
  };
  _proto.generate = /*#__PURE__*/function () {
    var _generate = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee10(messages, _temp) {
      var _ref9, context, threadIdInFn, resourceid, _ref9$maxSteps, maxSteps, onStepFinish, runId, toolsets, _ref9$output, output, temperature, messagesToUse, runIdToUse, _this$__primitive, before, after, _yield$before, threadId, messageObjects, convertedTools, _result, _outputText, result, outputText;
      return _regeneratorRuntime().wrap(function _callee10$(_context11) {
        while (1) switch (_context11.prev = _context11.next) {
          case 0:
            _ref9 = _temp === void 0 ? {} : _temp, context = _ref9.context, threadIdInFn = _ref9.threadId, resourceid = _ref9.resourceid, _ref9$maxSteps = _ref9.maxSteps, maxSteps = _ref9$maxSteps === void 0 ? 5 : _ref9$maxSteps, onStepFinish = _ref9.onStepFinish, runId = _ref9.runId, toolsets = _ref9.toolsets, _ref9$output = _ref9.output, output = _ref9$output === void 0 ? 'text' : _ref9$output, temperature = _ref9.temperature;
            messagesToUse = [];
            if (typeof messages === "string") {
              messagesToUse = [{
                role: 'user',
                content: messages
              }];
            } else {
              messagesToUse = messages.map(function (message) {
                if (typeof message === "string") {
                  return {
                    role: 'user',
                    content: message
                  };
                }
                return message;
              });
            }
            runIdToUse = runId || randomUUID();
            _this$__primitive = this.__primitive({
              messages: messagesToUse,
              context: context,
              threadId: threadIdInFn,
              resourceid: resourceid,
              runId: runIdToUse,
              toolsets: toolsets
            }), before = _this$__primitive.before, after = _this$__primitive.after;
            _context11.next = 7;
            return before();
          case 7:
            _yield$before = _context11.sent;
            threadId = _yield$before.threadId;
            messageObjects = _yield$before.messageObjects;
            convertedTools = _yield$before.convertedTools;
            if (!(output === 'text')) {
              _context11.next = 19;
              break;
            }
            _context11.next = 14;
            return this.llm.__text({
              messages: messageObjects,
              tools: this.tools,
              convertedTools: convertedTools,
              onStepFinish: onStepFinish,
              maxSteps: maxSteps,
              runId: runIdToUse,
              temperature: temperature
            });
          case 14:
            _result = _context11.sent;
            _outputText = _result.text;
            _context11.next = 18;
            return after({
              result: _result,
              threadId: threadId,
              outputText: _outputText,
              runId: runIdToUse
            });
          case 18:
            return _context11.abrupt("return", _result);
          case 19:
            _context11.next = 21;
            return this.llm.__textObject({
              messages: messageObjects,
              tools: this.tools,
              structuredOutput: output,
              convertedTools: convertedTools,
              onStepFinish: onStepFinish,
              maxSteps: maxSteps,
              runId: runIdToUse,
              temperature: temperature
            });
          case 21:
            result = _context11.sent;
            outputText = JSON.stringify(result.object);
            _context11.next = 25;
            return after({
              result: result,
              threadId: threadId,
              outputText: outputText,
              runId: runIdToUse
            });
          case 25:
            return _context11.abrupt("return", result);
          case 26:
          case "end":
            return _context11.stop();
        }
      }, _callee10, this);
    }));
    function generate(_x9, _x10) {
      return _generate.apply(this, arguments);
    }
    return generate;
  }();
  _proto.stream = /*#__PURE__*/function () {
    var _stream = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee13(messages, _temp2) {
      var _this5 = this;
      var _ref10, context, threadIdInFn, resourceid, _ref10$maxSteps, maxSteps, _onFinish, onStepFinish, runId, toolsets, _ref10$output, output, temperature, runIdToUse, messagesToUse, _this$__primitive2, before, after, _yield$before2, threadId, messageObjects, convertedTools;
      return _regeneratorRuntime().wrap(function _callee13$(_context14) {
        while (1) switch (_context14.prev = _context14.next) {
          case 0:
            _ref10 = _temp2 === void 0 ? {} : _temp2, context = _ref10.context, threadIdInFn = _ref10.threadId, resourceid = _ref10.resourceid, _ref10$maxSteps = _ref10.maxSteps, maxSteps = _ref10$maxSteps === void 0 ? 5 : _ref10$maxSteps, _onFinish = _ref10.onFinish, onStepFinish = _ref10.onStepFinish, runId = _ref10.runId, toolsets = _ref10.toolsets, _ref10$output = _ref10.output, output = _ref10$output === void 0 ? 'text' : _ref10$output, temperature = _ref10.temperature;
            runIdToUse = runId || randomUUID();
            messagesToUse = [];
            if (typeof messages === "string") {
              messagesToUse = [{
                role: 'user',
                content: messages
              }];
            } else {
              messagesToUse = messages.map(function (message) {
                if (typeof message === "string") {
                  return {
                    role: 'user',
                    content: message
                  };
                }
                return message;
              });
            }
            _this$__primitive2 = this.__primitive({
              messages: messagesToUse,
              context: context,
              threadId: threadIdInFn,
              resourceid: resourceid,
              runId: runIdToUse,
              toolsets: toolsets
            }), before = _this$__primitive2.before, after = _this$__primitive2.after;
            _context14.next = 7;
            return before();
          case 7:
            _yield$before2 = _context14.sent;
            threadId = _yield$before2.threadId;
            messageObjects = _yield$before2.messageObjects;
            convertedTools = _yield$before2.convertedTools;
            if (!(output === 'text')) {
              _context14.next = 14;
              break;
            }
            this.logger.debug("Starting agent " + this.name + " llm stream call", {
              runId: runId
            });
            return _context14.abrupt("return", this.llm.__stream({
              messages: messageObjects,
              temperature: temperature,
              tools: this.tools,
              convertedTools: convertedTools,
              onStepFinish: onStepFinish,
              onFinish: function () {
                var _onFinish2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee11(result) {
                  var res, outputText;
                  return _regeneratorRuntime().wrap(function _callee11$(_context12) {
                    while (1) switch (_context12.prev = _context12.next) {
                      case 0:
                        _context12.prev = 0;
                        res = JSON.parse(result) || {};
                        outputText = res.text;
                        _context12.next = 5;
                        return after({
                          result: res,
                          threadId: threadId,
                          outputText: outputText,
                          runId: runIdToUse
                        });
                      case 5:
                        _context12.next = 10;
                        break;
                      case 7:
                        _context12.prev = 7;
                        _context12.t0 = _context12["catch"](0);
                        _this5.logger.error('Error saving memory on finish', {
                          error: _context12.t0,
                          runId: runId
                        });
                      case 10:
                        _onFinish == null || _onFinish(result);
                      case 11:
                      case "end":
                        return _context12.stop();
                    }
                  }, _callee11, null, [[0, 7]]);
                }));
                function onFinish(_x13) {
                  return _onFinish2.apply(this, arguments);
                }
                return onFinish;
              }(),
              maxSteps: maxSteps,
              runId: runId
            }));
          case 14:
            this.logger.debug("Starting agent " + this.name + " llm streamObject call", {
              runId: runId
            });
            return _context14.abrupt("return", this.llm.__streamObject({
              messages: messageObjects,
              tools: this.tools,
              temperature: temperature,
              structuredOutput: output,
              convertedTools: convertedTools,
              onStepFinish: onStepFinish,
              onFinish: function () {
                var _onFinish3 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee12(result) {
                  var res, outputText;
                  return _regeneratorRuntime().wrap(function _callee12$(_context13) {
                    while (1) switch (_context13.prev = _context13.next) {
                      case 0:
                        _context13.prev = 0;
                        res = JSON.parse(result) || {};
                        outputText = JSON.stringify(res.object);
                        _context13.next = 5;
                        return after({
                          result: res,
                          threadId: threadId,
                          outputText: outputText,
                          runId: runIdToUse
                        });
                      case 5:
                        _context13.next = 10;
                        break;
                      case 7:
                        _context13.prev = 7;
                        _context13.t0 = _context13["catch"](0);
                        _this5.logger.error('Error saving memory on finish', {
                          error: _context13.t0,
                          runId: runId
                        });
                      case 10:
                        _onFinish == null || _onFinish(result);
                      case 11:
                      case "end":
                        return _context13.stop();
                    }
                  }, _callee12, null, [[0, 7]]);
                }));
                function onFinish(_x14) {
                  return _onFinish3.apply(this, arguments);
                }
                return onFinish;
              }(),
              maxSteps: maxSteps,
              runId: runId
            }));
          case 16:
          case "end":
            return _context14.stop();
        }
      }, _callee13, this);
    }));
    function stream(_x11, _x12) {
      return _stream.apply(this, arguments);
    }
    return stream;
  }();
  return Agent;
}(MastraBase));
Agent = /*#__PURE__*/__decorate([/*#__PURE__*/InstrumentClass({
  prefix: 'agent',
  excludeMethods: ['__setTools', '__setLogger', '__setTelemetry', 'log']
}), /*#__PURE__*/__metadata("design:paramtypes", [Object])], Agent);

var MastraDeployer = /*#__PURE__*/function (_MastraBase) {
  function MastraDeployer(_ref) {
    var _this;
    var scope = _ref.scope,
      env = _ref.env,
      projectName = _ref.projectName;
    _this = _MastraBase.call(this, {
      component: 'DEPLOYER',
      name: 'MasterDeployer'
    }) || this;
    _this.scope = void 0;
    _this.projectName = void 0;
    _this.env = void 0;
    _this.scope = scope;
    _this.env = env;
    _this.projectName = projectName;
    return _this;
  }
  _inheritsLoose(MastraDeployer, _MastraBase);
  var _proto = MastraDeployer.prototype;
  _proto.loadEnvVars = function loadEnvVars() {
    var _this2 = this;
    this.logger.debug('Loading environment variables into context.');
    this.getEnvFiles().forEach(function (file) {
      var content = readFileSync(file, 'utf-8');
      var config = dotenv.parse(content);
      _this2.env = _extends({}, _this2.env, config);
    });
  };
  _proto.getEnvFiles = function getEnvFiles() {
    this.logger.debug('Reading environment variables from .env or .env.production files.');
    var envFiles = ['.env', '.env.production'].map(function (file) {
      return join(process.cwd(), file);
    }).filter(function (file) {
      return existsSync(file);
    });
    return envFiles;
  };
  _proto.parseEnvFile = function parseEnvFile(filePath) {
    this.logger.debug("Parsing environment variables file: " + filePath);
    var content = readFileSync(filePath, 'utf-8');
    return content.split('\n').map(function (line) {
      return line.trim();
    }).filter(function (line) {
      return line && !line.startsWith('#');
    }).filter(function (line) {
      return line.includes('=');
    }); // Only include valid KEY=value pairs
  };
  _proto.writeFiles = function writeFiles(_ref2) {
    var dir = _ref2.dir;
    this.logger.debug("Writing files to " + dir);
  };
  _proto.writeIndex = function writeIndex(_ref3) {
    var dir = _ref3.dir;
    this.logger.debug("Writing index file to " + dir);
  };
  _proto.deploy = /*#__PURE__*/function () {
    var _deploy = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_ref4) {
      var dir, siteId;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            dir = _ref4.dir, siteId = _ref4.siteId;
            this.logger.debug("Deploying with command " + this.scope + "..." + (siteId || '') + " to " + dir + " " + (this.projectName || 'mastra-starter'));
          case 2:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function deploy(_x) {
      return _deploy.apply(this, arguments);
    }
    return deploy;
  }();
  return MastraDeployer;
}(MastraBase);

function embed(_x, _x2) {
  return _embed.apply(this, arguments);
}
function _embed() {
  _embed = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(value, embeddingOptions) {
    var embeddingModel, provider, model, apiKey, maxRetries, openai, cohere, amazon, google, mistral, voyage;
    return _regeneratorRuntime().wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          provider = embeddingOptions.provider, model = embeddingOptions.model, apiKey = embeddingOptions.apiKey, maxRetries = embeddingOptions.maxRetries;
          if (!(provider === 'OPEN_AI')) {
            _context.next = 6;
            break;
          }
          openai = createOpenAI({
            apiKey: apiKey || process.env.OPENAI_API_KEY
          });
          embeddingModel = openai.embedding(model);
          _context.next = 32;
          break;
        case 6:
          if (!(provider === 'COHERE')) {
            _context.next = 11;
            break;
          }
          cohere = createCohere({
            apiKey: apiKey || process.env.COHERE_API_KEY
          });
          embeddingModel = cohere.embedding(model);
          _context.next = 32;
          break;
        case 11:
          if (!(provider === 'AMAZON')) {
            _context.next = 16;
            break;
          }
          amazon = createAmazonBedrock({
            region: process.env.AWS_REGION || '',
            accessKeyId: process.env.AWS_ACCESS_KEY_ID || '',
            secretAccessKey: process.env.AWS_SECRET_ACCESS_KEY || '',
            sessionToken: process.env.AWS_SESSION_TOKEN || ''
          });
          embeddingModel = amazon.embedding(model);
          _context.next = 32;
          break;
        case 16:
          if (!(provider === 'GOOGLE')) {
            _context.next = 21;
            break;
          }
          google = createGoogleGenerativeAI({
            baseURL: 'https://generativelanguage.googleapis.com/v1beta',
            apiKey: apiKey || process.env.GOOGLE_GENERATIVE_AI_API_KEY || ''
          });
          embeddingModel = google.textEmbeddingModel(model);
          _context.next = 32;
          break;
        case 21:
          if (!(provider === 'MISTRAL')) {
            _context.next = 26;
            break;
          }
          mistral = createMistral({
            baseURL: 'https://api.mistral.ai/v1',
            apiKey: apiKey || process.env.MISTRAL_API_KEY || ''
          });
          embeddingModel = mistral.textEmbeddingModel(model);
          _context.next = 32;
          break;
        case 26:
          if (!(provider === 'VOYAGE')) {
            _context.next = 31;
            break;
          }
          voyage = createVoyage({
            baseURL: 'https://api.voyageai.com/v1',
            apiKey: apiKey || process.env.VOYAGE_API_KEY || ''
          });
          embeddingModel = voyage.textEmbeddingModel(model);
          _context.next = 32;
          break;
        case 31:
          throw new Error("Invalid embedding model");
        case 32:
          if (!(value instanceof Array)) {
            _context.next = 36;
            break;
          }
          _context.next = 35;
          return embedMany({
            model: embeddingModel,
            values: value,
            maxRetries: maxRetries
          });
        case 35:
          return _context.abrupt("return", _context.sent);
        case 36:
          _context.next = 38;
          return embed$1({
            model: embeddingModel,
            value: value,
            maxRetries: maxRetries
          });
        case 38:
          return _context.abrupt("return", _context.sent);
        case 39:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return _embed.apply(this, arguments);
}

var PropertyType;
(function (PropertyType) {
  PropertyType["LONG_TEXT"] = "LONG_TEXT";
  PropertyType["SINGLE_LINE_TEXT"] = "SINGLE_LINE_TEXT";
  PropertyType["SINGLE_SELECT"] = "SINGLE_SELECT";
  PropertyType["MULTI_SELECT"] = "MULTI_SELECT";
  PropertyType["CHECKBOX"] = "CHECKBOX";
  PropertyType["DATE"] = "DATE";
  PropertyType["USER"] = "USER";
  PropertyType["BADGE_LIST"] = "BADGE_LIST";
  PropertyType["CURRENCY"] = "CURRENCY";
  PropertyType["URL"] = "URL";
  PropertyType["PHONE"] = "PHONE";
  PropertyType["CONTACT"] = "CONTACT";
  PropertyType["COMPANY"] = "COMPANY";
  PropertyType["PERSON"] = "PERSON";
  PropertyType["ENRICHMENT"] = "ENRICHMENT";
  PropertyType["COMPOSITE"] = "COMPOSITE";
  PropertyType["BOOLEAN"] = "BOOLEAN";
  PropertyType["NUMBER"] = "NUMBER";
  PropertyType["FLOAT"] = "FLOAT";
  PropertyType["JSON_OBJECT"] = "JSON_OBJECT";
  PropertyType["JSON_ARRAY"] = "JSON_ARRAY";
})(PropertyType || (PropertyType = {}));
var FilterOperators;
(function (FilterOperators) {
  FilterOperators["IS"] = "is";
  FilterOperators["EQUAL"] = "eq";
  FilterOperators["NOT_EQUAL"] = "not_eq";
  FilterOperators["CONTAINS"] = "contains";
  FilterOperators["IN"] = "in";
  FilterOperators["NOT_IN"] = "not_in";
  FilterOperators["GREATER_THAN"] = "gt";
  FilterOperators["LESS_THAN"] = "lt";
  FilterOperators["NOT_CONTAINS"] = "not_contains";
  FilterOperators["GREATER_THAN_OR_EQUAL"] = "gte";
  FilterOperators["LESS_THAN_OR_EQUAL"] = "lte";
  FilterOperators["OP"] = "op";
  FilterOperators["SET"] = "set";
  FilterOperators["NOT_SET"] = "not_set";
})(FilterOperators || (FilterOperators = {}));

var MastraEngine = /*#__PURE__*/function (_MastraBase) {
  /**
   * Initializes the database connection
   * @param config Configuration object for database connection
   */
  function MastraEngine(_config) {
    return _MastraBase.call(this, {
      component: 'ENGINE',
      name: 'MastraEngine'
    }) || this;
  }
  _inheritsLoose(MastraEngine, _MastraBase);
  return MastraEngine;
}(MastraBase);

var MockMastraEngine = /*#__PURE__*/function (_MastraEngine) {
  function MockMastraEngine(config) {
    var _this;
    _this = _MastraEngine.call(this, config) || this;
    _this.entities = [];
    _this.records = [];
    return _this;
  }
  _inheritsLoose(MockMastraEngine, _MastraEngine);
  var _proto = MockMastraEngine.prototype;
  _proto.createEntity = /*#__PURE__*/function () {
    var _createEntity = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(params) {
      var entity;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            entity = {
              id: "entity_" + Date.now(),
              name: params.name,
              connectionId: params.connectionId,
              createdAt: new Date(),
              updatedAt: new Date(),
              lastSyncId: null
            };
            this.entities.push(entity);
            return _context.abrupt("return", entity);
          case 3:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function createEntity(_x) {
      return _createEntity.apply(this, arguments);
    }
    return createEntity;
  }();
  _proto.getEntityById = /*#__PURE__*/function () {
    var _getEntityById = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(params) {
      var entity;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            entity = this.entities.find(function (e) {
              return e.id === params.id;
            });
            if (entity) {
              _context2.next = 3;
              break;
            }
            throw new Error("Entity with id " + params.id + " not found");
          case 3:
            return _context2.abrupt("return", entity);
          case 4:
          case "end":
            return _context2.stop();
        }
      }, _callee2, this);
    }));
    function getEntityById(_x2) {
      return _getEntityById.apply(this, arguments);
    }
    return getEntityById;
  }();
  _proto.getEntity = /*#__PURE__*/function () {
    var _getEntity = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee3(_ref) {
      var connectionId, name;
      return _regeneratorRuntime().wrap(function _callee3$(_context3) {
        while (1) switch (_context3.prev = _context3.next) {
          case 0:
            connectionId = _ref.connectionId, name = _ref.name;
            return _context3.abrupt("return", this.entities.find(function (e) {
              return (name ? e.name === name : true) && (connectionId ? e.connectionId === connectionId : true);
            }));
          case 2:
          case "end":
            return _context3.stop();
        }
      }, _callee3, this);
    }));
    function getEntity(_x3) {
      return _getEntity.apply(this, arguments);
    }
    return getEntity;
  }();
  _proto.deleteEntityById = /*#__PURE__*/function () {
    var _deleteEntityById = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee4(_ref2) {
      var id, entityIndex, _this$entities$splice, deletedEntity;
      return _regeneratorRuntime().wrap(function _callee4$(_context4) {
        while (1) switch (_context4.prev = _context4.next) {
          case 0:
            id = _ref2.id;
            entityIndex = this.entities.findIndex(function (e) {
              return e.id === id;
            });
            if (!(entityIndex === -1)) {
              _context4.next = 4;
              break;
            }
            throw new Error("Entity with id " + id + " not found");
          case 4:
            _this$entities$splice = this.entities.splice(entityIndex, 1), deletedEntity = _this$entities$splice[0]; // Also delete associated records
            this.records = this.records.filter(function (r) {
              return r.entityId !== id;
            });
            return _context4.abrupt("return", deletedEntity);
          case 7:
          case "end":
            return _context4.stop();
        }
      }, _callee4, this);
    }));
    function deleteEntityById(_x4) {
      return _deleteEntityById.apply(this, arguments);
    }
    return deleteEntityById;
  }();
  _proto.upsertRecords = /*#__PURE__*/function () {
    var _upsertRecords = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee5(params) {
      var _this2 = this;
      var _loop, _iterator, _step;
      return _regeneratorRuntime().wrap(function _callee5$(_context6) {
        while (1) switch (_context6.prev = _context6.next) {
          case 0:
            _context6.next = 2;
            return this.getEntityById({
              id: params.entityId
            });
          case 2:
            _loop = /*#__PURE__*/_regeneratorRuntime().mark(function _loop() {
              var record, existingRecordIndex, fullRecord;
              return _regeneratorRuntime().wrap(function _loop$(_context5) {
                while (1) switch (_context5.prev = _context5.next) {
                  case 0:
                    record = _step.value;
                    existingRecordIndex = _this2.records.findIndex(function (r) {
                      return r.entityId === params.entityId && r.externalId === record.externalId;
                    });
                    fullRecord = {
                      id: "record_" + Date.now() + "_" + Math.random(),
                      entityId: params.entityId,
                      externalId: record.externalId,
                      data: record.data,
                      entityType: record.entityType,
                      createdAt: new Date(),
                      updatedAt: new Date()
                    };
                    if (existingRecordIndex !== -1) {
                      _this2.records[existingRecordIndex] = fullRecord;
                    } else {
                      _this2.records.push(fullRecord);
                    }
                  case 4:
                  case "end":
                    return _context5.stop();
                }
              }, _loop);
            });
            _iterator = _createForOfIteratorHelperLoose(params.records);
          case 4:
            if ((_step = _iterator()).done) {
              _context6.next = 8;
              break;
            }
            return _context6.delegateYield(_loop(), "t0", 6);
          case 6:
            _context6.next = 4;
            break;
          case 8:
          case "end":
            return _context6.stop();
        }
      }, _callee5, this);
    }));
    function upsertRecords(_x5) {
      return _upsertRecords.apply(this, arguments);
    }
    return upsertRecords;
  }();
  _proto.getRecordsByEntityId = /*#__PURE__*/function () {
    var _getRecordsByEntityId = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee6(params) {
      return _regeneratorRuntime().wrap(function _callee6$(_context7) {
        while (1) switch (_context7.prev = _context7.next) {
          case 0:
            return _context7.abrupt("return", this.records.filter(function (r) {
              return r.entityId === params.entityId;
            }));
          case 1:
          case "end":
            return _context7.stop();
        }
      }, _callee6, this);
    }));
    function getRecordsByEntityId(_x6) {
      return _getRecordsByEntityId.apply(this, arguments);
    }
    return getRecordsByEntityId;
  }();
  _proto.getRecordsByEntityNameAndExternalId = /*#__PURE__*/function () {
    var _getRecordsByEntityNameAndExternalId = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee7(_ref3) {
      var entityName, connectionId, externalId, entity;
      return _regeneratorRuntime().wrap(function _callee7$(_context8) {
        while (1) switch (_context8.prev = _context8.next) {
          case 0:
            entityName = _ref3.entityName, connectionId = _ref3.connectionId, externalId = _ref3.externalId;
            _context8.next = 3;
            return this.getEntity({
              name: entityName,
              connectionId: connectionId
            });
          case 3:
            entity = _context8.sent;
            if (entity) {
              _context8.next = 6;
              break;
            }
            return _context8.abrupt("return", []);
          case 6:
            return _context8.abrupt("return", this.records.filter(function (r) {
              return r.entityId === entity.id && r.externalId === externalId;
            }));
          case 7:
          case "end":
            return _context8.stop();
        }
      }, _callee7, this);
    }));
    function getRecordsByEntityNameAndExternalId(_x7) {
      return _getRecordsByEntityNameAndExternalId.apply(this, arguments);
    }
    return getRecordsByEntityNameAndExternalId;
  }();
  _proto.getRecordsByEntityName = /*#__PURE__*/function () {
    var _getRecordsByEntityName = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee8(_ref4) {
      var name, connectionId, entity;
      return _regeneratorRuntime().wrap(function _callee8$(_context9) {
        while (1) switch (_context9.prev = _context9.next) {
          case 0:
            name = _ref4.name, connectionId = _ref4.connectionId;
            _context9.next = 3;
            return this.getEntity({
              name: name,
              connectionId: connectionId
            });
          case 3:
            entity = _context9.sent;
            if (entity) {
              _context9.next = 6;
              break;
            }
            return _context9.abrupt("return", []);
          case 6:
            return _context9.abrupt("return", this.getRecordsByEntityId({
              entityId: entity.id
            }));
          case 7:
          case "end":
            return _context9.stop();
        }
      }, _callee8, this);
    }));
    function getRecordsByEntityName(_x8) {
      return _getRecordsByEntityName.apply(this, arguments);
    }
    return getRecordsByEntityName;
  }();
  _proto.getRecords = /*#__PURE__*/function () {
    var _getRecords = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee9(_ref5) {
      var entityName, connectionId, options, entity, records, start;
      return _regeneratorRuntime().wrap(function _callee9$(_context10) {
        while (1) switch (_context10.prev = _context10.next) {
          case 0:
            entityName = _ref5.entityName, connectionId = _ref5.connectionId, options = _ref5.options;
            _context10.next = 3;
            return this.getEntity({
              name: entityName,
              connectionId: connectionId
            });
          case 3:
            entity = _context10.sent;
            if (entity) {
              _context10.next = 6;
              break;
            }
            return _context10.abrupt("return", []);
          case 6:
            _context10.next = 8;
            return this.getRecordsByEntityId({
              entityId: entity.id
            });
          case 8:
            records = _context10.sent;
            // Apply basic filtering based on options
            if (options.filters) {
              records = records.filter(function () {
                // Implement your filtering logic here
                return true; // Placeholder
              });
            }
            // Apply sorting
            if (options.sort) {
              records = records.sort(function () {
                // Implement your sorting logic here
                return 0; // Placeholder
              });
            }
            // Apply pagination
            if (options.limit) {
              start = options.offset || 0;
              records = records.slice(start, start + options.limit);
            }
            return _context10.abrupt("return", records);
          case 13:
          case "end":
            return _context10.stop();
        }
      }, _callee9, this);
    }));
    function getRecords(_x9) {
      return _getRecords.apply(this, arguments);
    }
    return getRecords;
  }();
  _proto.syncRecords = /*#__PURE__*/function () {
    var _syncRecords = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee10(_ref6) {
      var connectionId, name, records, lastSyncId, entity;
      return _regeneratorRuntime().wrap(function _callee10$(_context11) {
        while (1) switch (_context11.prev = _context11.next) {
          case 0:
            connectionId = _ref6.connectionId, name = _ref6.name, records = _ref6.records, lastSyncId = _ref6.lastSyncId;
            _context11.next = 3;
            return this.getEntity({
              name: name,
              connectionId: connectionId
            });
          case 3:
            entity = _context11.sent;
            if (entity) {
              _context11.next = 8;
              break;
            }
            _context11.next = 7;
            return this.createEntity({
              name: name,
              connectionId: connectionId
            });
          case 7:
            entity = _context11.sent;
          case 8:
            _context11.next = 10;
            return this.upsertRecords({
              entityId: entity.id,
              records: records.map(function (record) {
                return _extends({}, record, {
                  lastSyncId: lastSyncId,
                  entityType: name // Using name as entityType for simplicity
                });
              })
            });
          case 10:
          case "end":
            return _context11.stop();
        }
      }, _callee10, this);
    }));
    function syncRecords(_x10) {
      return _syncRecords.apply(this, arguments);
    }
    return syncRecords;
  }();
  return MockMastraEngine;
}(MastraEngine);

var Metric = function Metric() {};

function evaluate(_x) {
  return _evaluate.apply(this, arguments);
}
function _evaluate() {
  _evaluate = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_ref) {
    var agentName, input, metric, output, runId, globalRunId, testInfo, runIdToUse, metricResult, traceObject;
    return _regeneratorRuntime().wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          agentName = _ref.agentName, input = _ref.input, metric = _ref.metric, output = _ref.output, runId = _ref.runId, globalRunId = _ref.globalRunId, testInfo = _ref.testInfo;
          runIdToUse = runId || crypto.randomUUID();
          _context.next = 4;
          return metric.measure(input.toString(), output);
        case 4:
          metricResult = _context.sent;
          traceObject = {
            input: input.toString(),
            output: output,
            result: metricResult,
            meta: _extends({}, testInfo && {
              testName: testInfo.testName,
              testPath: testInfo.testPath
            }, {
              globalRunId: globalRunId,
              runId: runIdToUse,
              agentName: agentName,
              timestamp: new Date().toISOString(),
              metricName: metric.constructor.name
            })
          };
          executeHook(AvailableHooks.ON_EVALUATION, traceObject);
          return _context.abrupt("return", metricResult);
        case 8:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return _evaluate.apply(this, arguments);
}

var Integration = /*#__PURE__*/function () {
  function Integration() {
    this.name = 'Integration';
    this.syncFunctions = void 0;
    this.workflows = void 0;
    this.syncFunctions = new Map();
    this.workflows = {};
  }
  /**
   * Workflows
   */
  var _proto = Integration.prototype;
  _proto.registerWorkflow = function registerWorkflow(name, fn) {
    if (this.workflows[name]) {
      throw new Error("Sync function \"" + name + "\" already registered");
    }
    this.workflows[name] = fn;
  };
  _proto.getWorkflows = function getWorkflows(_ref) {
    var serialized = _ref.serialized;
    if (serialized) {
      return Object.entries(this.workflows).reduce(function (acc, _ref2) {
        var _extends2;
        var k = _ref2[0],
          v = _ref2[1];
        return _extends({}, acc, (_extends2 = {}, _extends2[k] = {
          name: v.name
        }, _extends2));
      }, {});
    }
    return this.workflows;
  }
  /**
   * SYNCS
   */;
  _proto.registerSync = function registerSync(fn) {
    if (this.syncFunctions.has(fn.id)) {
      throw new Error("Sync function \"" + fn.id + "\" already registered");
    }
    this.syncFunctions.set(fn.id, fn);
  };
  _proto.getSyncs = function getSyncs() {
    return Array.from(this.syncFunctions.entries()).reduce(function (acc, _ref3) {
      var _extends3;
      var k = _ref3[0],
        v = _ref3[1];
      return _extends({}, acc, (_extends3 = {}, _extends3[k] = v, _extends3));
    }, {});
  }
  /**
   * TOOLS
   */;
  _proto.getStaticTools = function getStaticTools(_params) {
    throw new Error('Method not implemented.');
  };
  _proto.getTools = /*#__PURE__*/function () {
    var _getTools = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_params) {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            throw new Error('Method not implemented.');
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    function getTools(_x) {
      return _getTools.apply(this, arguments);
    }
    return getTools;
  }();
  _proto.getApiClient = /*#__PURE__*/function () {
    var _getApiClient = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2() {
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            throw new Error('Method not implemented');
          case 1:
          case "end":
            return _context2.stop();
        }
      }, _callee2);
    }));
    function getApiClient() {
      return _getApiClient.apply(this, arguments);
    }
    return getApiClient;
  }();
  return Integration;
}();

var Tool = function Tool(opts) {
  this.id = void 0;
  this.description = void 0;
  this.inputSchema = void 0;
  this.outputSchema = void 0;
  this.execute = void 0;
  this.mastra = void 0;
  this.id = opts.id;
  this.description = opts.description;
  this.inputSchema = opts.inputSchema;
  this.outputSchema = opts.outputSchema;
  this.execute = opts.execute;
  this.mastra = opts.mastra;
};
function createTool(opts) {
  return new Tool(opts);
}

var _excluded$1 = ["client"];
var OpenAPIToolset = /*#__PURE__*/function () {
  function OpenAPIToolset() {
    this.authType = 'API_KEY';
  }
  var _proto = OpenAPIToolset.prototype;
  _proto.getApiClient = /*#__PURE__*/function () {
    var _getApiClient = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            throw new Error('API not implemented');
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    function getApiClient() {
      return _getApiClient.apply(this, arguments);
    }
    return getApiClient;
  }();
  _proto._generateIntegrationTools = function _generateIntegrationTools() {
    var _this = this;
    var _this$baseClient = this.baseClient,
      clientMethods = _objectWithoutPropertiesLoose(_this$baseClient, _excluded$1);
    var schemas = this.toolSchemas;
    var documentations = this.toolDocumentations;
    var tools = Object.keys(clientMethods).reduce(function (acc, key) {
      var _documentations$key, _extends2;
      var comment = (_documentations$key = documentations[key]) == null ? void 0 : _documentations$key.comment;
      // const doc = documentations[key]?.doc;
      var fallbackComment = "Execute " + key;
      var tool = createTool({
        id: key,
        inputSchema: schemas[key] || z.object({}),
        description: comment || fallbackComment,
        // documentation: doc || fallbackComment,
        execute: function () {
          var _execute = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(_ref) {
            var context, client, value;
            return _regeneratorRuntime().wrap(function _callee2$(_context2) {
              while (1) switch (_context2.prev = _context2.next) {
                case 0:
                  context = _ref.context;
                  _context2.next = 3;
                  return _this.getApiClient();
                case 3:
                  client = _context2.sent;
                  value = client[key];
                  return _context2.abrupt("return", value(_extends({}, context)));
                case 6:
                case "end":
                  return _context2.stop();
              }
            }, _callee2);
          }));
          function execute(_x) {
            return _execute.apply(this, arguments);
          }
          return execute;
        }()
      });
      return _extends({}, acc, (_extends2 = {}, _extends2[key] = tool, _extends2));
    }, {});
    return tools;
  };
  return _createClass(OpenAPIToolset, [{
    key: "toolSchemas",
    get: function get() {
      return {};
    }
  }, {
    key: "toolDocumentations",
    get: function get() {
      return {};
    }
  }, {
    key: "baseClient",
    get: function get() {
      return {};
    }
  }]);
}();

var Mastra = /*#__PURE__*/function () {
  function Mastra(config) {
    var _this = this;
    this.vectors = void 0;
    this.agents = void 0;
    this.logger = void 0;
    this.syncs = void 0;
    this.workflows = void 0;
    this.telemetry = void 0;
    this.tts = void 0;
    this.deployer = void 0;
    this.engine = void 0;
    this.memory = void 0;
    /*
      Logger
    */
    var logger;
    if ((config == null ? void 0 : config.logger) === false) {
      logger = noopLogger;
    } else {
      if (config != null && config.logger) {
        logger = config.logger;
      } else {
        var levleOnEnv = process.env.NODE_ENV === 'production' ? LogLevel.WARN : LogLevel.INFO;
        logger = createLogger({
          name: 'Mastra',
          level: levleOnEnv
        });
      }
    }
    /*
    Telemetry
    */
    if (config != null && config.telemetry) {
      this.telemetry = Telemetry.init(config.telemetry);
    }
    /**
     * Deployer
     **/
    if (config != null && config.deployer) {
      this.deployer = config.deployer;
      if (this.telemetry) {
        this.deployer = this.telemetry.traceClass(config.deployer, {
          excludeMethods: ['__setTelemetry', '__getTelemetry']
        });
        this.deployer.__setTelemetry(this.telemetry);
      }
    }
    /*
    Engine
    */
    if (config != null && config.engine) {
      if (this.telemetry) {
        this.engine = this.telemetry.traceClass(config.engine, {
          excludeMethods: ['__setTelemetry', '__getTelemetry']
        });
        this.engine.__setTelemetry(this.telemetry);
      } else {
        this.engine = config.engine;
      }
    }
    /*
    Vectors
    */
    if (config != null && config.vectors) {
      var vectors = {};
      Object.entries(config.vectors).forEach(function (_ref) {
        var key = _ref[0],
          vector = _ref[1];
        if (_this.telemetry) {
          vectors[key] = _this.telemetry.traceClass(vector, {
            excludeMethods: ['__setTelemetry', '__getTelemetry']
          });
          vectors[key].__setTelemetry(_this.telemetry);
        } else {
          vectors[key] = vector;
        }
      });
      this.vectors = vectors;
    }
    /*
    Syncs
    */
    if (config != null && config.syncs && !config.engine) {
      throw new Error('Engine is required to run syncs');
    }
    this.syncs = (config == null ? void 0 : config.syncs) || {};
    if (config != null && config.syncs && !(config != null && config.engine)) {
      throw new Error('Engine is required to run syncs');
    }
    this.syncs = (config == null ? void 0 : config.syncs) || {};
    if (config != null && config.engine) {
      this.engine = config.engine;
    }
    if (config != null && config.vectors) {
      this.vectors = config.vectors;
    }
    if (config != null && config.memory) {
      this.memory = config.memory;
      if (this.telemetry) {
        this.memory = this.telemetry.traceClass(config.memory, {
          excludeMethods: ['__setTelemetry', '__getTelemetry']
        });
        this.memory.__setTelemetry(this.telemetry);
      }
    }
    if (config != null && config.tts) {
      this.tts = config.tts;
      Object.entries(this.tts).forEach(function (_ref2) {
        var _this$tts;
        var key = _ref2[0],
          ttsCl = _ref2[1];
        if ((_this$tts = _this.tts) != null && _this$tts[key]) {
          if (_this.telemetry) {
            // @ts-ignore
            _this.tts[key] = _this.telemetry.traceClass(ttsCl, {
              excludeMethods: ['__setTelemetry', '__getTelemetry']
            });
            _this.tts[key].__setTelemetry(_this.telemetry);
          }
        }
      });
    }
    /*
    Agents
    */
    var agents = {};
    if (config != null && config.agents) {
      Object.entries(config.agents).forEach(function (_ref3) {
        var key = _ref3[0],
          agent = _ref3[1];
        if (agents[key]) {
          throw new Error("Agent with name ID:" + key + " already exists");
        }
        agent.__registerPrimitives({
          logger: _this.getLogger(),
          telemetry: _this.telemetry,
          engine: _this.engine,
          memory: _this.memory,
          syncs: _this.syncs,
          agents: agents,
          tts: _this.tts,
          vectors: _this.vectors
        });
        agents[key] = agent;
      });
    }
    this.agents = agents;
    /*
    Workflows
    */
    this.workflows = {};
    if (config != null && config.workflows) {
      Object.entries(config.workflows).forEach(function (_ref4) {
        var key = _ref4[0],
          workflow = _ref4[1];
        workflow.__registerPrimitives({
          logger: _this.getLogger(),
          telemetry: _this.telemetry,
          engine: _this.engine,
          memory: _this.memory,
          syncs: _this.syncs,
          agents: _this.agents,
          tts: _this.tts,
          vectors: _this.vectors,
          llm: _this.LLM
        });
        // @ts-ignore
        _this.workflows[key] = workflow;
      });
    }
    this.logger = logger;
    this.setLogger({
      logger: logger
    });
  }
  var _proto = Mastra.prototype;
  _proto.LLM = function LLM$1(modelConfig) {
    var llm = new LLM({
      model: modelConfig
    });
    if (this.telemetry) {
      llm.__setTelemetry(this.telemetry);
    }
    if (this.getLogger) {
      llm.__setLogger(this.getLogger());
    }
    return llm;
  };
  _proto.sync = /*#__PURE__*/function () {
    var _sync = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(key, params, runId) {
      var _this$syncs;
      var sync, syncFn;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            if (this.engine) {
              _context.next = 2;
              break;
            }
            throw new Error("Engine is required to run syncs");
          case 2:
            sync = (_this$syncs = this.syncs) == null ? void 0 : _this$syncs[key];
            if (sync) {
              _context.next = 5;
              break;
            }
            throw new Error("Sync function " + key + " not found");
          case 5:
            syncFn = sync['execute'];
            if (syncFn) {
              _context.next = 8;
              break;
            }
            throw new Error("Sync function " + key + " not found");
          case 8:
            _context.next = 10;
            return syncFn({
              context: params,
              mastra: {
                engine: this.engine,
                memory: this.memory,
                agents: this.agents,
                vectors: this.vectors,
                llm: this.LLM,
                tts: this.tts
              },
              runId: runId
            });
          case 10:
            return _context.abrupt("return", _context.sent);
          case 11:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function sync(_x, _x2, _x3) {
      return _sync.apply(this, arguments);
    }
    return sync;
  }();
  _proto.getAgent = function getAgent(name) {
    var _this$agents;
    var agent = (_this$agents = this.agents) == null ? void 0 : _this$agents[name];
    if (!agent) {
      throw new Error("Agent with name " + String(name) + " not found");
    }
    return this.agents[name];
  };
  _proto.getAgents = function getAgents() {
    return this.agents;
  };
  _proto.getVector = function getVector(name) {
    var _this$vectors;
    var vector = (_this$vectors = this.vectors) == null ? void 0 : _this$vectors[name];
    if (!vector) {
      throw new Error("Vector with name " + String(name) + " not found");
    }
    return vector;
  };
  _proto.getVectors = function getVectors() {
    return this.vectors;
  };
  _proto.getDeployer = function getDeployer() {
    return this.deployer;
  };
  _proto.getWorkflow = function getWorkflow(id, _temp) {
    var _this$workflows;
    var _ref5 = _temp === void 0 ? {} : _temp,
      serialized = _ref5.serialized;
    var workflow = (_this$workflows = this.workflows) == null ? void 0 : _this$workflows[id];
    if (!workflow) {
      throw new Error("Workflow with ID " + String(id) + " not found");
    }
    if (serialized) {
      return {
        name: workflow.name
      };
    }
    return workflow;
  };
  _proto.getWorkflows = function getWorkflows(props) {
    if (props === void 0) {
      props = {};
    }
    if (props.serialized) {
      return Object.entries(this.workflows).reduce(function (acc, _ref6) {
        var _extends2;
        var k = _ref6[0],
          v = _ref6[1];
        return _extends({}, acc, (_extends2 = {}, _extends2[k] = {
          name: v.name
        }, _extends2));
      }, {});
    }
    return this.workflows;
  };
  _proto.setLogger = function setLogger(_ref7) {
    var _this2 = this;
    var logger = _ref7.logger;
    this.logger = logger;
    if (this.memory) {
      this.memory.__setLogger(this.logger);
    }
    if (this.deployer) {
      this.deployer.__setLogger(this.logger);
    }
    if (this.tts) {
      Object.keys(this.tts).forEach(function (key) {
        var _this2$tts;
        (_this2$tts = _this2.tts) == null || (_this2$tts = _this2$tts[key]) == null || _this2$tts.__setLogger(_this2.logger);
      });
    }
    if (this.engine) {
      this.engine.__setLogger(this.logger);
    }
    if (this.vectors) {
      Object.keys(this.vectors).forEach(function (key) {
        var _this2$vectors;
        (_this2$vectors = _this2.vectors) == null || (_this2$vectors = _this2$vectors[key]) == null || _this2$vectors.__setLogger(_this2.logger);
      });
    }
  };
  _proto.getLogger = function getLogger() {
    return this.logger;
  };
  _proto.getTelemetry = function getTelemetry() {
    return this.telemetry;
  };
  _proto.getLogsByRunId = /*#__PURE__*/function () {
    var _getLogsByRunId = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(_ref8) {
      var runId, transportId;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            runId = _ref8.runId, transportId = _ref8.transportId;
            if (transportId) {
              _context2.next = 3;
              break;
            }
            throw new Error('Transport ID is required');
          case 3:
            _context2.next = 5;
            return this.logger.getLogsByRunId({
              runId: runId,
              transportId: transportId
            });
          case 5:
            return _context2.abrupt("return", _context2.sent);
          case 6:
          case "end":
            return _context2.stop();
        }
      }, _callee2, this);
    }));
    function getLogsByRunId(_x4) {
      return _getLogsByRunId.apply(this, arguments);
    }
    return getLogsByRunId;
  }();
  _proto.getLogs = /*#__PURE__*/function () {
    var _getLogs = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee3(transportId) {
      return _regeneratorRuntime().wrap(function _callee3$(_context3) {
        while (1) switch (_context3.prev = _context3.next) {
          case 0:
            if (transportId) {
              _context3.next = 2;
              break;
            }
            throw new Error('Transport ID is required');
          case 2:
            _context3.next = 4;
            return this.logger.getLogs(transportId);
          case 4:
            return _context3.abrupt("return", _context3.sent);
          case 5:
          case "end":
            return _context3.stop();
        }
      }, _callee3, this);
    }));
    function getLogs(_x5) {
      return _getLogs.apply(this, arguments);
    }
    return getLogs;
  }();
  return Mastra;
}();
Mastra = /*#__PURE__*/__decorate([/*#__PURE__*/InstrumentClass({
  prefix: 'mastra',
  excludeMethods: ['getLogger', 'getTelemetry']
}), /*#__PURE__*/__metadata("design:paramtypes", [Object])], Mastra);

/**
 * Abstract Memory class that defines the interface for storing and retrieving
 * conversation threads and messages.
 */
var MastraMemory = /*#__PURE__*/function (_MastraBase) {
  function MastraMemory() {
    var _this;
    _this = _MastraBase.call(this, {
      component: 'MEMORY',
      name: 'MastraMemory'
    }) || this;
    _this.MAX_CONTEXT_TOKENS = void 0;
    return _this;
  }
  _inheritsLoose(MastraMemory, _MastraBase);
  var _proto = MastraMemory.prototype;
  _proto.estimateTokens = function estimateTokens(text) {
    return Math.ceil(text.split(' ').length * 1.3);
  };
  _proto.parseMessages = function parseMessages(messages) {
    return messages.map(function (mssg) {
      return _extends({}, mssg, {
        content: typeof mssg.content === 'string' ? JSON.parse(mssg.content) : mssg.content
      });
    });
  };
  _proto.convertToUIMessages = function convertToUIMessages(messages) {
    function addToolMessageToChat(_ref) {
      var toolMessage = _ref.toolMessage,
        messages = _ref.messages,
        toolResultContents = _ref.toolResultContents;
      var chatMessages = messages.map(function (message) {
        if (message.toolInvocations) {
          return _extends({}, message, {
            toolInvocations: message.toolInvocations.map(function (toolInvocation) {
              var toolResult = toolMessage.content.find(function (tool) {
                return tool.toolCallId === toolInvocation.toolCallId;
              });
              if (toolResult) {
                return _extends({}, toolInvocation, {
                  state: 'result',
                  result: toolResult.result
                });
              }
              return toolInvocation;
            })
          });
        }
        return message;
      });
      var resultContents = [].concat(toolResultContents, toolMessage.content);
      return {
        chatMessages: chatMessages,
        toolResultContents: resultContents
      };
    }
    var _messages$reduce = messages.reduce(function (obj, message) {
        if (message.role === 'tool') {
          return addToolMessageToChat({
            toolMessage: message,
            messages: obj.chatMessages,
            toolResultContents: obj.toolResultContents
          });
        }
        var textContent = '';
        var toolInvocations = [];
        if (typeof message.content === 'string') {
          textContent = message.content;
        } else if (Array.isArray(message.content)) {
          var _loop = function _loop() {
            var content = _step.value;
            if (content.type === 'text') {
              textContent += content.text;
            } else if (content.type === 'tool-call') {
              var toolResult = obj.toolResultContents.find(function (tool) {
                return tool.toolCallId === content.toolCallId;
              });
              toolInvocations.push({
                state: toolResult ? 'result' : 'call',
                toolCallId: content.toolCallId,
                toolName: content.toolName,
                args: content.args,
                result: toolResult == null ? void 0 : toolResult.result
              });
            }
          };
          for (var _iterator = _createForOfIteratorHelperLoose(message.content), _step; !(_step = _iterator()).done;) {
            _loop();
          }
        }
        obj.chatMessages.push({
          id: message.id,
          role: message.role,
          content: textContent,
          toolInvocations: toolInvocations
        });
        return obj;
      }, {
        chatMessages: [],
        toolResultContents: []
      }),
      chatMessages = _messages$reduce.chatMessages;
    return chatMessages;
  }
  /**
   * Helper method to create a new thread
   * @param title - Optional title for the thread
   * @param metadata - Optional metadata for the thread
   * @returns Promise resolving to the created thread
   */;
  _proto.createThread =
  /*#__PURE__*/
  function () {
    var _createThread = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_ref2) {
      var threadId, resourceid, title, metadata, thread;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            threadId = _ref2.threadId, resourceid = _ref2.resourceid, title = _ref2.title, metadata = _ref2.metadata;
            thread = {
              id: threadId || this.generateId(),
              title: title,
              resourceid: resourceid,
              createdAt: new Date(),
              updatedAt: new Date(),
              metadata: metadata
            };
            return _context.abrupt("return", this.saveThread({
              thread: thread
            }));
          case 3:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function createThread(_x) {
      return _createThread.apply(this, arguments);
    }
    return createThread;
  }()
  /**
   * Helper method to add a single message to a thread
   * @param threadId - The thread to add the message to
   * @param content - The message content
   * @param role - The role of the message sender
   * @param type - The type of the message
   * @param toolNames - Optional array of tool names that were called
   * @param toolCallArgs - Optional array of tool call arguments
   * @param toolCallIds - Optional array of tool call ids
   * @returns Promise resolving to the saved message
   */
  ;
  _proto.addMessage =
  /*#__PURE__*/
  function () {
    var _addMessage = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(_ref3) {
      var threadId, content, role, type, toolNames, toolCallArgs, toolCallIds, message, savedMessages;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            threadId = _ref3.threadId, content = _ref3.content, role = _ref3.role, type = _ref3.type, toolNames = _ref3.toolNames, toolCallArgs = _ref3.toolCallArgs, toolCallIds = _ref3.toolCallIds;
            message = {
              id: this.generateId(),
              content: content,
              role: role,
              createdAt: new Date(),
              threadId: threadId,
              type: type,
              toolNames: toolNames,
              toolCallArgs: toolCallArgs,
              toolCallIds: toolCallIds
            };
            _context2.next = 4;
            return this.saveMessages({
              messages: [message]
            });
          case 4:
            savedMessages = _context2.sent;
            return _context2.abrupt("return", savedMessages[0]);
          case 6:
          case "end":
            return _context2.stop();
        }
      }, _callee2, this);
    }));
    function addMessage(_x2) {
      return _addMessage.apply(this, arguments);
    }
    return addMessage;
  }()
  /**
   * Generates a unique identifier
   * @returns A unique string ID
   */
  ;
  _proto.generateId = function generateId() {
    return crypto.randomUUID();
  };
  return MastraMemory;
}(MastraBase);

// Cohere implementation
var CohereRelevanceScorer = /*#__PURE__*/function () {
  function CohereRelevanceScorer(apiKey, model) {
    this.client = void 0;
    this.model = void 0;
    this.client = new CohereClient({
      token: apiKey
    });
    this.model = model || 'rerank-v3.5';
  }
  var _proto = CohereRelevanceScorer.prototype;
  _proto.getRelevanceScore = /*#__PURE__*/function () {
    var _getRelevanceScore = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(query, text) {
      var response;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return this.client.rerank({
              query: query,
              documents: [text],
              model: this.model,
              topN: 1
            });
          case 2:
            response = _context.sent;
            return _context.abrupt("return", response.results[0].relevanceScore);
          case 4:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function getRelevanceScore(_x, _x2) {
      return _getRelevanceScore.apply(this, arguments);
    }
    return getRelevanceScore;
  }();
  return CohereRelevanceScorer;
}();

// Helper function used by providers
function createSimilarityPrompt(query, text) {
  return "Rate the semantic similarity between the following the query and the text on a scale from 0 to 1 (decimals allowed), where 1 means exactly the same meaning and 0 means completely different:\n\nQuery: " + query + "\n\nText: " + text + "\n\nRelevance score (0-1):";
}

// Mastra Agent implementation
var MastraAgentRelevanceScorer = /*#__PURE__*/function () {
  function MastraAgentRelevanceScorer(provider, name) {
    this.agent = void 0;
    var modelConfig = {
      provider: provider,
      name: name
    };
    this.agent = new Agent({
      name: "Relevance Scorer " + provider + " " + name,
      instructions: "You are a specialized agent for evaluating the relevance of text to queries.\nYour task is to rate how well a text passage answers a given query.\nOutput only a number between 0 and 1, where:\n1.0 = Perfectly relevant, directly answers the query\n0.0 = Completely irrelevant\nConsider:\n- Direct relevance to the question\n- Completeness of information\n- Quality and specificity\nAlways return just the number, no explanation.",
      model: modelConfig
    });
  }
  var _proto = MastraAgentRelevanceScorer.prototype;
  _proto.getRelevanceScore = /*#__PURE__*/function () {
    var _getRelevanceScore = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(query, text) {
      var prompt, response;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            prompt = createSimilarityPrompt(query, text);
            _context.next = 3;
            return this.agent.generate(prompt);
          case 3:
            response = _context.sent;
            return _context.abrupt("return", parseFloat(response.text));
          case 5:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function getRelevanceScore(_x, _x2) {
      return _getRelevanceScore.apply(this, arguments);
    }
    return getRelevanceScore;
  }();
  return MastraAgentRelevanceScorer;
}();

var Sync = function Sync(opts) {
  this.id = void 0;
  this.description = void 0;
  this.inputSchema = void 0;
  this.outputSchema = void 0;
  this.mastra = void 0;
  this.execute = void 0;
  this.id = opts.id;
  this.description = opts.description;
  this.inputSchema = opts.inputSchema;
  this.outputSchema = opts.outputSchema;
  this.execute = opts.execute;
  this.mastra = opts.mastra;
};
function createSync(opts) {
  return new Sync(opts);
}

var MastraTTS = /*#__PURE__*/function (_MastraBase) {
  function MastraTTS(_ref) {
    var _this;
    var model = _ref.model;
    _this = _MastraBase.call(this, {
      component: 'TTS'
    }) || this;
    _this.model = void 0;
    _this.model = model;
    return _this;
  }
  _inheritsLoose(MastraTTS, _MastraBase);
  var _proto = MastraTTS.prototype;
  _proto.traced = function traced(method, methodName) {
    var _this$telemetry$trace, _this$telemetry;
    return (_this$telemetry$trace = (_this$telemetry = this.telemetry) == null ? void 0 : _this$telemetry.traceMethod(method, {
      spanName: this.model.name + "-tts." + methodName,
      attributes: {
        'tts.type': "" + this.model.name
      }
    })) != null ? _this$telemetry$trace : method;
  };
  return MastraTTS;
}(MastraBase);
MastraTTS = /*#__PURE__*/__decorate([/*#__PURE__*/InstrumentClass({
  prefix: 'tts',
  excludeMethods: ['__setTools', '__setLogger', '__setTelemetry', '#log']
}), /*#__PURE__*/__metadata("design:paramtypes", [Object])], MastraTTS);

var MastraVector = /*#__PURE__*/function (_MastraBase) {
  function MastraVector() {
    return _MastraBase.call(this, {
      name: 'MastraVector',
      component: 'VECTOR'
    }) || this;
  }
  _inheritsLoose(MastraVector, _MastraBase);
  return MastraVector;
}(MastraBase);

var WorkflowSnapshot = /*#__PURE__*/function () {
  function WorkflowSnapshot(engine) {
    this.engine = void 0;
    this.engine = engine;
  }
  var _proto = WorkflowSnapshot.prototype;
  _proto.persist = /*#__PURE__*/function () {
    var _persist = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_ref) {
      var entityName, connectionId, runId, snapshot;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            entityName = _ref.entityName, connectionId = _ref.connectionId, runId = _ref.runId, snapshot = _ref.snapshot;
            _context.next = 3;
            return this.engine.syncRecords({
              name: entityName,
              connectionId: connectionId,
              records: [{
                externalId: runId,
                data: {
                  snapshot: JSON.stringify(snapshot)
                }
              }]
            });
          case 3:
          case "end":
            return _context.stop();
        }
      }, _callee, this);
    }));
    function persist(_x) {
      return _persist.apply(this, arguments);
    }
    return persist;
  }();
  _proto.load = /*#__PURE__*/function () {
    var _load = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(_ref2) {
      var _state$;
      var runId, connectionId, entityName, state;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            runId = _ref2.runId, connectionId = _ref2.connectionId, entityName = _ref2.entityName;
            _context2.next = 3;
            return this.engine.getRecordsByEntityNameAndExternalId({
              entityName: entityName,
              connectionId: connectionId,
              externalId: runId
            });
          case 3:
            state = _context2.sent;
            return _context2.abrupt("return", state == null || (_state$ = state[0]) == null || (_state$ = _state$.data) == null ? void 0 : _state$.snapshot);
          case 5:
          case "end":
            return _context2.stop();
        }
      }, _callee2, this);
    }));
    function load(_x2) {
      return _load.apply(this, arguments);
    }
    return load;
  }();
  return WorkflowSnapshot;
}();

function isErrorEvent(stateEvent) {
  return stateEvent.type.startsWith('xstate.error.actor.');
}
function isTransitionEvent(stateEvent) {
  return stateEvent.type.startsWith('xstate.done.actor.');
}
function isVariableReference(value) {
  return typeof value === 'object' && 'step' in value && 'path' in value;
}
function getStepResult(result) {
  if ((result == null ? void 0 : result.status) === 'success') return result.payload;
  return undefined;
}

var _excluded = ["context"];
var _machine = /*#__PURE__*/_classPrivateFieldLooseKey("machine");
var _actor = /*#__PURE__*/_classPrivateFieldLooseKey("actor");
var _runId = /*#__PURE__*/_classPrivateFieldLooseKey("runId");
var _retryConfig = /*#__PURE__*/_classPrivateFieldLooseKey("retryConfig");
var _mastra = /*#__PURE__*/_classPrivateFieldLooseKey("mastra");
var _connectionId = /*#__PURE__*/_classPrivateFieldLooseKey("connectionId");
var _entityName = /*#__PURE__*/_classPrivateFieldLooseKey("entityName");
var _afterStepStack = /*#__PURE__*/_classPrivateFieldLooseKey("afterStepStack");
var _lastStepStack = /*#__PURE__*/_classPrivateFieldLooseKey("lastStepStack");
var _stepGraph = /*#__PURE__*/_classPrivateFieldLooseKey("stepGraph");
var _stepSubscriberGraph = /*#__PURE__*/_classPrivateFieldLooseKey("stepSubscriberGraph");
var _steps = /*#__PURE__*/_classPrivateFieldLooseKey("steps");
var _getSuspendedPaths = /*#__PURE__*/_classPrivateFieldLooseKey("getSuspendedPaths");
var _isFinalState = /*#__PURE__*/_classPrivateFieldLooseKey("isFinalState");
var _recursivelyCheckForFinalState = /*#__PURE__*/_classPrivateFieldLooseKey("recursivelyCheckForFinalState");
var _buildBaseState = /*#__PURE__*/_classPrivateFieldLooseKey("buildBaseState");
var _makeStepKey = /*#__PURE__*/_classPrivateFieldLooseKey("makeStepKey");
var _buildStateHierarchy = /*#__PURE__*/_classPrivateFieldLooseKey("buildStateHierarchy");
var _getDefaultActions = /*#__PURE__*/_classPrivateFieldLooseKey("getDefaultActions");
var _getInjectables = /*#__PURE__*/_classPrivateFieldLooseKey("getInjectables");
var _getDefaultActors = /*#__PURE__*/_classPrivateFieldLooseKey("getDefaultActors");
var _persistWorkflowSnapshot = /*#__PURE__*/_classPrivateFieldLooseKey("persistWorkflowSnapshot");
var _loadWorkflowSnapshot = /*#__PURE__*/_classPrivateFieldLooseKey("loadWorkflowSnapshot");
var _resolveVariables = /*#__PURE__*/_classPrivateFieldLooseKey("resolveVariables");
var _evaluateCondition = /*#__PURE__*/_classPrivateFieldLooseKey("evaluateCondition");
var _makeStepDef = /*#__PURE__*/_classPrivateFieldLooseKey("makeStepDef");
var _makeDelayMap = /*#__PURE__*/_classPrivateFieldLooseKey("makeDelayMap");
var _cleanup = /*#__PURE__*/_classPrivateFieldLooseKey("cleanup");
var _getActivePathsAndStatus = /*#__PURE__*/_classPrivateFieldLooseKey("getActivePathsAndStatus");
var _hasStateChanged = /*#__PURE__*/_classPrivateFieldLooseKey("hasStateChanged");
var _getDeepestState = /*#__PURE__*/_classPrivateFieldLooseKey("getDeepestState");
var Workflow = /*#__PURE__*/function (_MastraBase) {
  /**
   * Creates a new Workflow instance
   * @param name - Identifier for the workflow (not necessarily unique)
   * @param logger - Optional logger instance
   */
  function Workflow(_ref) {
    var _classPrivateFieldLoo;
    var _this;
    var name = _ref.name,
      triggerSchema = _ref.triggerSchema,
      retryConfig = _ref.retryConfig,
      mastra = _ref.mastra;
    _this = _MastraBase.call(this, {
      component: 'WORKFLOW',
      name: name
    }) || this;
    Object.defineProperty(_this, _getDeepestState, {
      value: _getDeepestState2
    });
    Object.defineProperty(_this, _hasStateChanged, {
      value: _hasStateChanged2
    });
    Object.defineProperty(_this, _getActivePathsAndStatus, {
      value: _getActivePathsAndStatus2
    });
    /**
     * Cleans up the actor instance
     */
    Object.defineProperty(_this, _cleanup, {
      value: _cleanup2
    });
    /**
     * Creates a map of step IDs to their respective delay values
     * @returns Object mapping step IDs to delay values
     */
    Object.defineProperty(_this, _makeDelayMap, {
      value: _makeDelayMap2
    });
    Object.defineProperty(_this, _makeStepDef, {
      value: _makeStepDef2
    });
    /**
     * Evaluates a single condition against workflow context
     */
    Object.defineProperty(_this, _evaluateCondition, {
      value: _evaluateCondition2
    });
    /**
     * Resolves variables for a step from trigger data or previous step results
     * @param stepConfig - Configuration of the step needing variable resolution
     * @param context - Current workflow context containing results and trigger data
     * @returns Object containing resolved variable values
     */
    Object.defineProperty(_this, _resolveVariables, {
      value: _resolveVariables2
    });
    Object.defineProperty(_this, _loadWorkflowSnapshot, {
      value: _loadWorkflowSnapshot2
    });
    /**
     * Persists the workflow state to the database
     */
    Object.defineProperty(_this, _persistWorkflowSnapshot, {
      value: _persistWorkflowSnapshot2
    });
    Object.defineProperty(_this, _getDefaultActors, {
      value: _getDefaultActors2
    });
    Object.defineProperty(_this, _getInjectables, {
      value: _getInjectables2
    });
    Object.defineProperty(_this, _getDefaultActions, {
      value: _getDefaultActions2
    });
    /**
     * Builds the state hierarchy for the workflow
     * @returns Object representing the state hierarchy
     */
    Object.defineProperty(_this, _buildStateHierarchy, {
      value: _buildStateHierarchy2
    });
    Object.defineProperty(_this, _makeStepKey, {
      value: _makeStepKey2
    });
    Object.defineProperty(_this, _buildBaseState, {
      value: _buildBaseState2
    });
    Object.defineProperty(_this, _recursivelyCheckForFinalState, {
      value: _recursivelyCheckForFinalState2
    });
    Object.defineProperty(_this, _isFinalState, {
      value: _isFinalState2
    });
    // record all object paths that leads to a suspended state
    Object.defineProperty(_this, _getSuspendedPaths, {
      value: _getSuspendedPaths2
    });
    _this.name = void 0;
    _this.snapshot = void 0;
    _this.triggerSchema = void 0;
    /** XState machine instance that orchestrates the workflow execution */
    Object.defineProperty(_this, _machine, {
      writable: true,
      value: void 0
    });
    /** XState actor instance that manages the workflow execution */
    Object.defineProperty(_this, _actor, {
      writable: true,
      value: null
    });
    Object.defineProperty(_this, _runId, {
      writable: true,
      value: void 0
    });
    Object.defineProperty(_this, _retryConfig, {
      writable: true,
      value: void 0
    });
    Object.defineProperty(_this, _mastra, {
      writable: true,
      value: void 0
    });
    Object.defineProperty(_this, _connectionId, {
      writable: true,
      value: "WORKFLOWS"
    });
    Object.defineProperty(_this, _entityName, {
      writable: true,
      value: "__workflows__"
    });
    // registers stepIds on `after` calls
    Object.defineProperty(_this, _afterStepStack, {
      writable: true,
      value: []
    });
    Object.defineProperty(_this, _lastStepStack, {
      writable: true,
      value: []
    });
    Object.defineProperty(_this, _stepGraph, {
      writable: true,
      value: {
        initial: []
      }
    });
    Object.defineProperty(_this, _stepSubscriberGraph, {
      writable: true,
      value: {}
    });
    Object.defineProperty(_this, _steps, {
      writable: true,
      value: {}
    });
    _this.name = name;
    _classPrivateFieldLooseBase(_this, _retryConfig)[_retryConfig] = retryConfig;
    _this.triggerSchema = triggerSchema;
    _classPrivateFieldLooseBase(_this, _runId)[_runId] = crypto.randomUUID();
    _classPrivateFieldLooseBase(_this, _mastra)[_mastra] = mastra;
    if ((_classPrivateFieldLoo = _classPrivateFieldLooseBase(_this, _mastra)[_mastra]) != null && _classPrivateFieldLoo.engine) {
      _this.snapshot = new WorkflowSnapshot(_classPrivateFieldLooseBase(_this, _mastra)[_mastra].engine);
    }
    if (mastra != null && mastra.logger) {
      _this.logger = mastra == null ? void 0 : mastra.logger;
    }
    _this.initializeMachine();
    return _this;
  }
  /**
   * Initializes the XState machine for the workflow
   *
   * Registers the machine's types, actions, actors, initial context, entry actions, initial state, and states
   * @returns The initialized machine
   */
  _inheritsLoose(Workflow, _MastraBase);
  var _proto = Workflow.prototype;
  _proto.initializeMachine = function initializeMachine() {
    var machine = setup({
      types: {},
      delays: _classPrivateFieldLooseBase(this, _makeDelayMap)[_makeDelayMap](),
      actions: _classPrivateFieldLooseBase(this, _getDefaultActions)[_getDefaultActions](),
      actors: _classPrivateFieldLooseBase(this, _getDefaultActors)[_getDefaultActors]()
    }).createMachine({
      id: this.name,
      type: 'parallel',
      context: function context(_ref2) {
        var input = _ref2.input;
        return _extends({}, input);
      },
      states: _classPrivateFieldLooseBase(this, _buildStateHierarchy)[_buildStateHierarchy](_classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph])
    });
    _classPrivateFieldLooseBase(this, _machine)[_machine] = machine;
    return machine;
  };
  _proto.step = function step(_step, config) {
    var _ref3 = config || {},
      _ref3$variables = _ref3.variables,
      variables = _ref3$variables === void 0 ? {} : _ref3$variables;
    var requiredData = {};
    // Add valid variables to requiredData
    for (var _i = 0, _Object$entries = Object.entries(variables); _i < _Object$entries.length; _i++) {
      var _Object$entries$_i = _Object$entries[_i],
        key = _Object$entries$_i[0],
        variable = _Object$entries$_i[1];
      if (variable && isVariableReference(variable)) {
        requiredData[key] = variable;
      }
    }
    var stepKey = _classPrivateFieldLooseBase(this, _makeStepKey)[_makeStepKey](_step);
    var graphEntry = {
      step: _step,
      config: _extends({}, _classPrivateFieldLooseBase(this, _makeStepDef)[_makeStepDef](stepKey), config, {
        data: requiredData
      })
    };
    _classPrivateFieldLooseBase(this, _steps)[_steps][stepKey] = _step;
    var parentStepKey = _classPrivateFieldLooseBase(this, _afterStepStack)[_afterStepStack][_classPrivateFieldLooseBase(this, _afterStepStack)[_afterStepStack].length - 1];
    var stepGraph = _classPrivateFieldLooseBase(this, _stepSubscriberGraph)[_stepSubscriberGraph][parentStepKey || ''];
    // if we are in an after chain and we have a stepGraph
    if (parentStepKey && stepGraph) {
      // if the stepGraph has an initial, but it doesn't contain the current step, add it to the initial
      if (!stepGraph.initial.some(function (step) {
        return step.step.id === stepKey;
      })) {
        stepGraph.initial.push(graphEntry);
      }
      // add the current step to the stepGraph
      stepGraph[stepKey] = [];
    } else {
      // Normal step addition to main graph
      if (!_classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph][stepKey]) _classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph][stepKey] = [];
      _classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph].initial.push(graphEntry);
    }
    _classPrivateFieldLooseBase(this, _lastStepStack)[_lastStepStack].push(stepKey);
    return this;
  };
  _proto.then = function then(step, config) {
    var _ref4 = config || {},
      _ref4$variables = _ref4.variables,
      variables = _ref4$variables === void 0 ? {} : _ref4$variables;
    var requiredData = {};
    // Add valid variables to requiredData
    for (var _i2 = 0, _Object$entries2 = Object.entries(variables); _i2 < _Object$entries2.length; _i2++) {
      var _Object$entries2$_i = _Object$entries2[_i2],
        key = _Object$entries2$_i[0],
        variable = _Object$entries2$_i[1];
      if (variable && isVariableReference(variable)) {
        requiredData[key] = variable;
      }
    }
    var lastStepKey = _classPrivateFieldLooseBase(this, _lastStepStack)[_lastStepStack][_classPrivateFieldLooseBase(this, _lastStepStack)[_lastStepStack].length - 1];
    var stepKey = _classPrivateFieldLooseBase(this, _makeStepKey)[_makeStepKey](step);
    var graphEntry = {
      step: step,
      config: _extends({}, _classPrivateFieldLooseBase(this, _makeStepDef)[_makeStepDef](stepKey), config, {
        data: requiredData
      })
    };
    _classPrivateFieldLooseBase(this, _steps)[_steps][stepKey] = step;
    // if then is called without a step, we are done
    if (!lastStepKey) return this;
    var parentStepKey = _classPrivateFieldLooseBase(this, _afterStepStack)[_afterStepStack][_classPrivateFieldLooseBase(this, _afterStepStack)[_afterStepStack].length - 1];
    var stepGraph = _classPrivateFieldLooseBase(this, _stepSubscriberGraph)[_stepSubscriberGraph][parentStepKey || ''];
    if (parentStepKey && stepGraph && stepGraph[lastStepKey]) {
      stepGraph[lastStepKey].push(graphEntry);
    } else {
      // add the step to the graph if not already there.. it should be there though, unless magic
      if (!_classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph][lastStepKey]) _classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph][lastStepKey] = [];
      // add the step to the graph
      _classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph][lastStepKey].push(graphEntry);
    }
    return this;
  };
  _proto.after = function after(step) {
    var stepKey = _classPrivateFieldLooseBase(this, _makeStepKey)[_makeStepKey](step);
    _classPrivateFieldLooseBase(this, _afterStepStack)[_afterStepStack].push(stepKey);
    // Initialize subscriber array for this step if it doesn't exist
    if (!_classPrivateFieldLooseBase(this, _stepSubscriberGraph)[_stepSubscriberGraph][stepKey]) {
      _classPrivateFieldLooseBase(this, _stepSubscriberGraph)[_stepSubscriberGraph][stepKey] = {
        initial: []
      };
    }
    return this;
  }
  /**
   * Executes the workflow with the given trigger data
   * @param triggerData - Initial data to start the workflow with
   * @returns Promise resolving to workflow results or rejecting with error
   * @throws Error if trigger schema validation fails
   */;
  _proto.createRun = function createRun() {
    var _this2 = this;
    var runId = crypto.randomUUID();
    _classPrivateFieldLooseBase(this, _runId)[_runId] = runId;
    return {
      runId: runId,
      start: function () {
        var _start = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee(_temp) {
          var _ref5, triggerData;
          return _regeneratorRuntime().wrap(function _callee$(_context) {
            while (1) switch (_context.prev = _context.next) {
              case 0:
                _ref5 = _temp === void 0 ? {} : _temp, triggerData = _ref5.triggerData;
                return _context.abrupt("return", _this2.execute({
                  triggerData: triggerData
                }));
              case 2:
              case "end":
                return _context.stop();
            }
          }, _callee);
        }));
        function start(_x) {
          return _start.apply(this, arguments);
        }
        return start;
      }()
    };
  };
  _proto.execute = /*#__PURE__*/function () {
    var _execute = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee3(_temp2) {
      var _this3 = this;
      var _ref6, triggerData, snapshot, runId, stepId, machineInput, actorSnapshot;
      return _regeneratorRuntime().wrap(function _callee3$(_context3) {
        while (1) switch (_context3.prev = _context3.next) {
          case 0:
            _ref6 = _temp2 === void 0 ? {} : _temp2, triggerData = _ref6.triggerData, snapshot = _ref6.snapshot, runId = _ref6.runId, stepId = _ref6.stepId;
            if (runId) {
              _classPrivateFieldLooseBase(this, _runId)[_runId] = runId;
              // First, let's log the incoming snapshot for debugging
              this.logger.debug('Incoming snapshot', {
                snapshot: snapshot,
                runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
              });
            }
            machineInput = snapshot ? snapshot.context : {
              // Maintain the original step results and their payloads
              stepResults: {},
              triggerData: triggerData || {},
              attempts: Object.keys(_classPrivateFieldLooseBase(this, _steps)[_steps]).reduce(function (acc, stepKey) {
                var _classPrivateFieldLoo2, _classPrivateFieldLoo3;
                acc[stepKey] = ((_classPrivateFieldLoo2 = _classPrivateFieldLooseBase(_this3, _steps)[_steps][stepKey]) == null || (_classPrivateFieldLoo2 = _classPrivateFieldLoo2.retryConfig) == null ? void 0 : _classPrivateFieldLoo2.attempts) || ((_classPrivateFieldLoo3 = _classPrivateFieldLooseBase(_this3, _retryConfig)[_retryConfig]) == null ? void 0 : _classPrivateFieldLoo3.attempts) || 3;
                return acc;
              }, {})
            };
            this.logger.debug('Machine input prepared', {
              machineInput: machineInput,
              runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
            });
            actorSnapshot = snapshot ? _extends({}, snapshot, {
              context: machineInput
            }) : undefined;
            this.logger.debug('Creating actor with configuration', {
              machineInput: machineInput,
              actorSnapshot: actorSnapshot,
              machineStates: _classPrivateFieldLooseBase(this, _machine)[_machine].config.states,
              runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
            });
            _classPrivateFieldLooseBase(this, _actor)[_actor] = createActor(_classPrivateFieldLooseBase(this, _machine)[_machine], {
              inspect: function inspect(inspectionEvent) {
                _this3.logger.debug('XState inspection event', {
                  type: inspectionEvent.type,
                  event: inspectionEvent.event,
                  runId: _classPrivateFieldLooseBase(_this3, _runId)[_runId]
                });
              },
              input: machineInput,
              snapshot: actorSnapshot
            });
            _classPrivateFieldLooseBase(this, _actor)[_actor].start();
            if (stepId) {
              _classPrivateFieldLooseBase(this, _actor)[_actor].send({
                type: 'RESET_TO_PENDING',
                stepId: stepId
              });
            }
            this.logger.debug('Actor started', {
              runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
            });
            return _context3.abrupt("return", new Promise(function (resolve, reject) {
              if (!_classPrivateFieldLooseBase(_this3, _actor)[_actor]) {
                reject(new Error('Actor not initialized'));
                return;
              }
              var suspendedPaths = new Set();
              _classPrivateFieldLooseBase(_this3, _actor)[_actor].subscribe(/*#__PURE__*/function () {
                var _ref7 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee2(state) {
                  var allStatesValue, allStatesComplete;
                  return _regeneratorRuntime().wrap(function _callee2$(_context2) {
                    while (1) switch (_context2.prev = _context2.next) {
                      case 0:
                        _classPrivateFieldLooseBase(_this3, _getSuspendedPaths)[_getSuspendedPaths]({
                          value: state.value,
                          path: '',
                          suspendedPaths: suspendedPaths
                        });
                        allStatesValue = state.value;
                        allStatesComplete = _classPrivateFieldLooseBase(_this3, _recursivelyCheckForFinalState)[_recursivelyCheckForFinalState]({
                          value: allStatesValue,
                          suspendedPaths: suspendedPaths,
                          path: ''
                        });
                        _this3.logger.debug('State completion check', {
                          allStatesComplete: allStatesComplete,
                          suspendedPaths: Array.from(suspendedPaths),
                          runId: _classPrivateFieldLooseBase(_this3, _runId)[_runId]
                        });
                        // Check if all parallel states are in a final state
                        if (allStatesComplete) {
                          _context2.next = 6;
                          break;
                        }
                        return _context2.abrupt("return");
                      case 6:
                        _context2.prev = 6;
                        _context2.next = 9;
                        return _classPrivateFieldLooseBase(_this3, _persistWorkflowSnapshot)[_persistWorkflowSnapshot]();
                      case 9:
                        // Then cleanup and resolve
                        _classPrivateFieldLooseBase(_this3, _cleanup)[_cleanup]();
                        resolve({
                          triggerData: triggerData,
                          results: state.context.stepResults,
                          runId: _classPrivateFieldLooseBase(_this3, _runId)[_runId]
                        });
                        _context2.next = 18;
                        break;
                      case 13:
                        _context2.prev = 13;
                        _context2.t0 = _context2["catch"](6);
                        // If snapshot persistence fails, we should still resolve
                        // but maybe log the error
                        _this3.logger.debug('Failed to persist final snapshot', {
                          error: _context2.t0
                        });
                        _classPrivateFieldLooseBase(_this3, _cleanup)[_cleanup]();
                        resolve({
                          triggerData: triggerData,
                          results: state.context.stepResults,
                          runId: _classPrivateFieldLooseBase(_this3, _runId)[_runId]
                        });
                      case 18:
                      case "end":
                        return _context2.stop();
                    }
                  }, _callee2, null, [[6, 13]]);
                }));
                return function (_x3) {
                  return _ref7.apply(this, arguments);
                };
              }());
            }));
          case 11:
          case "end":
            return _context3.stop();
        }
      }, _callee3, this);
    }));
    function execute(_x2) {
      return _execute.apply(this, arguments);
    }
    return execute;
  }()
  /**
   * Rebuilds the machine with the current steps configuration and validates the workflow
   *
   * This is the last step of a workflow builder method chain
   * @throws Error if validation fails
   *
   * @returns this instance for method chaining
   */
  ;
  _proto.commit = function commit() {
    // this.#validateWorkflow();
    this.initializeMachine();
    return this;
  };
  _proto.getState = /*#__PURE__*/function () {
    var _getState = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee4(runId) {
      var _this$snapshot;
      var snapshot, m, storedSnapshot, parsed, _m;
      return _regeneratorRuntime().wrap(function _callee4$(_context4) {
        while (1) switch (_context4.prev = _context4.next) {
          case 0:
            if (!(_classPrivateFieldLooseBase(this, _runId)[_runId] === runId && _classPrivateFieldLooseBase(this, _actor)[_actor])) {
              _context4.next = 4;
              break;
            }
            snapshot = _classPrivateFieldLooseBase(this, _actor)[_actor].getSnapshot();
            m = _classPrivateFieldLooseBase(this, _getActivePathsAndStatus)[_getActivePathsAndStatus](snapshot.value);
            return _context4.abrupt("return", {
              runId: runId,
              value: snapshot.value,
              context: snapshot.context,
              activePaths: m,
              timestamp: Date.now()
            });
          case 4:
            _context4.next = 6;
            return (_this$snapshot = this.snapshot) == null ? void 0 : _this$snapshot.load({
              runId: runId,
              entityName: _classPrivateFieldLooseBase(this, _entityName)[_entityName],
              connectionId: _classPrivateFieldLooseBase(this, _connectionId)[_connectionId]
            });
          case 6:
            storedSnapshot = _context4.sent;
            if (!storedSnapshot) {
              _context4.next = 11;
              break;
            }
            parsed = JSON.parse(storedSnapshot);
            _m = _classPrivateFieldLooseBase(this, _getActivePathsAndStatus)[_getActivePathsAndStatus](parsed.value);
            return _context4.abrupt("return", {
              runId: runId,
              value: parsed.value,
              context: parsed.context,
              activePaths: _m,
              timestamp: Date.now()
            });
          case 11:
            return _context4.abrupt("return", null);
          case 12:
          case "end":
            return _context4.stop();
        }
      }, _callee4, this);
    }));
    function getState(_x4) {
      return _getState.apply(this, arguments);
    }
    return getState;
  }();
  _proto.watch = /*#__PURE__*/function () {
    var _watch = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee6(runId, options) {
      var _this4 = this;
      var _options, onTransition, _options$pollInterval, pollInterval;
      return _regeneratorRuntime().wrap(function _callee6$(_context6) {
        while (1) switch (_context6.prev = _context6.next) {
          case 0:
            if (options === void 0) {
              options = {};
            }
            _options = options, onTransition = _options.onTransition, _options$pollInterval = _options.pollInterval, pollInterval = _options$pollInterval === void 0 ? 1000 : _options$pollInterval;
            return _context6.abrupt("return", new Promise(function (resolve, reject) {
              var timeoutId;
              var previousState = null;
              var _poll = /*#__PURE__*/function () {
                var _ref8 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee5() {
                  var currentState, deepState;
                  return _regeneratorRuntime().wrap(function _callee5$(_context5) {
                    while (1) switch (_context5.prev = _context5.next) {
                      case 0:
                        _context5.prev = 0;
                        _context5.next = 3;
                        return _this4.getState(runId);
                      case 3:
                        currentState = _context5.sent;
                        if (currentState) {
                          _context5.next = 7;
                          break;
                        }
                        reject(new Error("No workflow found for runId: " + runId));
                        return _context5.abrupt("return");
                      case 7:
                        if (!(onTransition && _classPrivateFieldLooseBase(_this4, _hasStateChanged)[_hasStateChanged](previousState, currentState))) {
                          _context5.next = 10;
                          break;
                        }
                        _context5.next = 10;
                        return onTransition(currentState);
                      case 10:
                        previousState = currentState;
                        deepState = _classPrivateFieldLooseBase(_this4, _getDeepestState)[_getDeepestState](currentState.value);
                        if (!_classPrivateFieldLooseBase(_this4, _isFinalState)[_isFinalState](deepState.status)) {
                          _context5.next = 15;
                          break;
                        }
                        resolve(currentState);
                        return _context5.abrupt("return");
                      case 15:
                        timeoutId = setTimeout(_poll, pollInterval);
                        _context5.next = 21;
                        break;
                      case 18:
                        _context5.prev = 18;
                        _context5.t0 = _context5["catch"](0);
                        reject(_context5.t0);
                      case 21:
                      case "end":
                        return _context5.stop();
                    }
                  }, _callee5, null, [[0, 18]]);
                }));
                return function poll() {
                  return _ref8.apply(this, arguments);
                };
              }();
              _poll();
              return function () {
                if (timeoutId) {
                  clearTimeout(timeoutId);
                }
              };
            }));
          case 3:
          case "end":
            return _context6.stop();
        }
      }, _callee6);
    }));
    function watch(_x5, _x6) {
      return _watch.apply(this, arguments);
    }
    return watch;
  }();
  _proto.resume = /*#__PURE__*/function () {
    var _resume = /*#__PURE__*/_asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee7(_ref9) {
      var _this5 = this,
        _parsedSnapshot$conte;
      var runId, stepId, resumeContext, snapshot, parsedSnapshot, _parsedSnapshot, _updateStepInHierarchy, _classPrivateFieldLoo4, _classPrivateFieldLoo5;
      return _regeneratorRuntime().wrap(function _callee7$(_context7) {
        while (1) switch (_context7.prev = _context7.next) {
          case 0:
            runId = _ref9.runId, stepId = _ref9.stepId, resumeContext = _ref9.context;
            _context7.next = 3;
            return _classPrivateFieldLooseBase(this, _loadWorkflowSnapshot)[_loadWorkflowSnapshot](runId);
          case 3:
            snapshot = _context7.sent;
            if (snapshot) {
              _context7.next = 6;
              break;
            }
            throw new Error("No snapshot found for workflow run " + runId);
          case 6:
            _context7.prev = 6;
            parsedSnapshot = JSON.parse(snapshot);
            _context7.next = 14;
            break;
          case 10:
            _context7.prev = 10;
            _context7.t0 = _context7["catch"](6);
            this.logger.debug('Failed to parse workflow snapshot for resume', {
              error: _context7.t0,
              runId: runId
            });
            throw new Error('Failed to parse workflow snapshot');
          case 14:
            // Update context if provided
            if (resumeContext) {
              parsedSnapshot.context.stepResults[stepId] = {
                status: 'success',
                payload: _extends({}, ((_parsedSnapshot = parsedSnapshot) == null || (_parsedSnapshot = _parsedSnapshot.context) == null || (_parsedSnapshot = _parsedSnapshot.stepResults) == null || (_parsedSnapshot = _parsedSnapshot[stepId]) == null ? void 0 : _parsedSnapshot.payload) || {}, resumeContext)
              };
            }
            // Reattach the step handler
            // TODO: need types
            if (parsedSnapshot.children) {
              Object.entries(parsedSnapshot.children).forEach(function (_ref10) {
                var _child$snapshot;
                var child = _ref10[1];
                if ((_child$snapshot = child.snapshot) != null && (_child$snapshot = _child$snapshot.input) != null && _child$snapshot.stepNode) {
                  // Reattach handler
                  var stepDef = _classPrivateFieldLooseBase(_this5, _makeStepDef)[_makeStepDef](child.snapshot.input.stepNode.step.id);
                  child.snapshot.input.stepNode.config = _extends({}, child.snapshot.input.stepNode.config, stepDef);
                  // Sync the context
                  child.snapshot.input.context = parsedSnapshot.context;
                }
              });
            }
            // Helper to find and update the step in the hierarchy
            _updateStepInHierarchy = function updateStepInHierarchy(value, targetStepId) {
              var result = {};
              for (var _i3 = 0, _Object$keys = Object.keys(value); _i3 < _Object$keys.length; _i3++) {
                var key = _Object$keys[_i3];
                var currentValue = value[key];
                if (key === targetStepId) {
                  // Found our target step, set it to pending
                  result[key] = 'pending';
                } else if (typeof currentValue === 'object' && currentValue !== null) {
                  // Recurse into nested states
                  result[key] = _updateStepInHierarchy(currentValue, targetStepId);
                } else {
                  // Keep other states as is
                  result[key] = currentValue;
                }
              }
              return result;
            };
            parsedSnapshot.value = _updateStepInHierarchy(parsedSnapshot.value, stepId);
            // Reset attempt count
            if ((_parsedSnapshot$conte = parsedSnapshot.context) != null && _parsedSnapshot$conte.attempts) {
              parsedSnapshot.context.attempts[stepId] = ((_classPrivateFieldLoo4 = _classPrivateFieldLooseBase(this, _steps)[_steps][stepId]) == null || (_classPrivateFieldLoo4 = _classPrivateFieldLoo4.retryConfig) == null ? void 0 : _classPrivateFieldLoo4.attempts) || ((_classPrivateFieldLoo5 = _classPrivateFieldLooseBase(this, _retryConfig)[_retryConfig]) == null ? void 0 : _classPrivateFieldLoo5.attempts) || 3;
            }
            this.logger.debug('Resuming workflow with updated snapshot', {
              updatedSnapshot: parsedSnapshot,
              runId: runId,
              stepId: stepId
            });
            return _context7.abrupt("return", this.execute({
              snapshot: parsedSnapshot,
              runId: runId,
              stepId: stepId
            }));
          case 21:
          case "end":
            return _context7.stop();
        }
      }, _callee7, this, [[6, 10]]);
    }));
    function resume(_x7) {
      return _resume.apply(this, arguments);
    }
    return resume;
  }();
  _proto.__registerPrimitives = function __registerPrimitives(p) {
    if (p.telemetry) {
      this.__setTelemetry(p.telemetry);
    }
    if (p.logger) {
      this.__setLogger(p.logger);
    }
    if (p != null && p.engine) {
      this.snapshot = new WorkflowSnapshot(p.engine);
    }
    _classPrivateFieldLooseBase(this, _mastra)[_mastra] = p;
  };
  return _createClass(Workflow, [{
    key: "stepGraph",
    get: function get() {
      return _classPrivateFieldLooseBase(this, _stepGraph)[_stepGraph];
    }
  }, {
    key: "stepSubscriberGraph",
    get: function get() {
      return _classPrivateFieldLooseBase(this, _stepSubscriberGraph)[_stepSubscriberGraph];
    }
  }, {
    key: "steps",
    get: function get() {
      return _classPrivateFieldLooseBase(this, _steps)[_steps];
    }
  }]);
}(MastraBase);
function _getSuspendedPaths2(_ref11) {
  var _this6 = this;
  var value = _ref11.value,
    path = _ref11.path,
    suspendedPaths = _ref11.suspendedPaths;
  if (typeof value === 'string') {
    if (value === 'suspended') {
      suspendedPaths.add(path);
    }
  } else {
    Object.keys(value).forEach(function (key) {
      return _classPrivateFieldLooseBase(_this6, _getSuspendedPaths)[_getSuspendedPaths]({
        value: value[key],
        path: path ? path + "." + key : key,
        suspendedPaths: suspendedPaths
      });
    });
  }
}
function _isFinalState2(status) {
  return ['completed', 'failed'].includes(status);
}
function _recursivelyCheckForFinalState2(_ref12) {
  var _this7 = this;
  var value = _ref12.value,
    suspendedPaths = _ref12.suspendedPaths,
    path = _ref12.path;
  if (typeof value === 'string') {
    // if the value is a final state or it has previouslyreached a suspended state, return true
    return _classPrivateFieldLooseBase(this, _isFinalState)[_isFinalState](value) || suspendedPaths.has(path);
  }
  return Object.keys(value).every(function (key) {
    return _classPrivateFieldLooseBase(_this7, _recursivelyCheckForFinalState)[_recursivelyCheckForFinalState]({
      value: value[key],
      suspendedPaths: suspendedPaths,
      path: path ? path + "." + key : key
    });
  });
}
function _buildBaseState2(stepNode, nextSteps) {
  var _this8 = this,
    _after,
    _ref29;
  if (nextSteps === void 0) {
    nextSteps = [];
  }
  // NOTE: THIS CLEARS THE STEPGRAPH :: no concequences for now
  var nextStep = nextSteps.shift();
  return {
    initial: 'pending',
    on: {
      RESET_TO_PENDING: {
        target: '.pending' // Note the dot to target child state
      }
    },
    states: _extends({
      pending: {
        entry: function entry() {
          _this8.logger.debug("Step " + stepNode.step.id + " pending");
        },
        exit: function exit() {
          _this8.logger.debug("Step " + stepNode.step.id + " finished pending");
        },
        invoke: {
          src: 'conditionCheck',
          input: function input(_ref13) {
            var context = _ref13.context;
            return {
              context: context,
              stepNode: stepNode
            };
          },
          onDone: [{
            guard: function guard(_ref14) {
              var event = _ref14.event;
              return event.output.type === 'SUSPENDED';
            },
            target: 'suspended',
            actions: [assign({
              stepResults: function stepResults(_ref15) {
                var _context$stepResults, _extends2;
                var context = _ref15.context,
                  event = _ref15.event;
                if (event.output.type !== 'SUSPENDED') return context.stepResults;
                return _extends({}, context.stepResults, (_extends2 = {}, _extends2[stepNode.step.id] = _extends({
                  status: 'suspended'
                }, ((_context$stepResults = context.stepResults) == null ? void 0 : _context$stepResults[stepNode.step.id]) || {}), _extends2));
              },
              attempts: function attempts(_ref16) {
                var _stepNode$step$retryC, _extends3;
                var context = _ref16.context,
                  event = _ref16.event;
                if (event.output.type !== 'SUSPENDED') return context.attempts;
                // if the step is suspended, reset the attempt count
                return _extends({}, context.attempts, (_extends3 = {}, _extends3[stepNode.step.id] = ((_stepNode$step$retryC = stepNode.step.retryConfig) == null ? void 0 : _stepNode$step$retryC.attempts) || 3, _extends3));
              }
            })]
          }, {
            guard: function guard(_ref17) {
              var event = _ref17.event;
              return event.output.type === 'WAITING';
            },
            target: 'waiting',
            actions: [{
              type: 'decrementAttemptCount',
              params: {
                stepId: stepNode.step.id
              }
            }, assign({
              stepResults: function stepResults(_ref18) {
                var _extends4;
                var context = _ref18.context,
                  event = _ref18.event;
                if (event.output.type !== 'WAITING') return context.stepResults;
                return _extends({}, context.stepResults, (_extends4 = {}, _extends4[stepNode.step.id] = {
                  status: 'waiting'
                }, _extends4));
              }
            })]
          }, {
            guard: function guard(_ref19) {
              var event = _ref19.event;
              return event.output.type === 'CONDITIONS_MET';
            },
            target: 'executing'
          }, {
            guard: function guard(_ref20) {
              var event = _ref20.event;
              return event.output.type === 'CONDITION_FAILED';
            },
            target: 'failed',
            actions: assign({
              stepResults: function stepResults(_ref21) {
                var _extends5;
                var context = _ref21.context,
                  event = _ref21.event;
                if (event.output.type !== 'CONDITION_FAILED') return context.stepResults;
                _this8.logger.debug("workflow condition check failed", {
                  error: event.output.error,
                  stepId: stepNode.step.id
                });
                return _extends({}, context.stepResults, (_extends5 = {}, _extends5[stepNode.step.id] = {
                  status: 'failed',
                  error: event.output.error
                }, _extends5));
              }
            })
          }]
        }
      },
      waiting: {
        entry: function entry() {
          _this8.logger.debug("Step " + stepNode.step.id + " waiting " + new Date().toISOString());
        },
        exit: function exit() {
          _this8.logger.debug("Step " + stepNode.step.id + " finished waiting " + new Date().toISOString());
        },
        after: (_after = {}, _after[stepNode.step.id] = {
          target: 'pending'
        }, _after)
      },
      suspended: {
        type: 'final',
        entry: [function () {
          _this8.logger.debug("Step " + stepNode.step.id + " suspended");
        }, assign({
          stepResults: function stepResults(_ref22) {
            var _context$stepResults2, _extends6;
            var context = _ref22.context;
            return _extends({}, context.stepResults, (_extends6 = {}, _extends6[stepNode.step.id] = _extends({}, (context == null || (_context$stepResults2 = context.stepResults) == null ? void 0 : _context$stepResults2[stepNode.step.id]) || {}, {
              status: 'suspended'
            }), _extends6));
          }
        })]
        // after: {
        //   [stepNode.step.id]: {
        //     target: 'pending',
        //     actions: [
        //       assign({
        //         attempts: ({ context }: { context: WorkflowContext }) => ({
        //           ...context.attempts,
        //           [stepNode.step.id]: this.#steps[stepNode.step.id]?.retryConfig?.attempts || 3,
        //         }),
        //       }),
        //     ],
        //   }
        // },
        // entry: () => {
        //   this.logger.debug(`Step ${stepNode.step.id} suspended ${new Date().toISOString()}`);
        // },
        // exit: () => {
        //   this.logger.debug(`Step ${stepNode.step.id} finished suspended ${new Date().toISOString()}`);
        // },
        // after: {
        //   [stepNode.step.id]: {
        //     target: 'suspended',
        //   },
        // },
      },
      executing: {
        entry: function entry() {
          _this8.logger.debug("Step " + stepNode.step.id + " executing");
        },
        on: {
          SUSPENDED: {
            target: 'suspended',
            actions: [assign({
              stepResults: function stepResults(_ref23) {
                var _extends7;
                var context = _ref23.context;
                return _extends({}, context.stepResults, (_extends7 = {}, _extends7[stepNode.step.id] = {
                  status: 'suspended'
                }, _extends7));
              }
            })]
          }
        },
        invoke: {
          src: 'resolverFunction',
          input: function input(_ref24) {
            var context = _ref24.context;
            return {
              context: context,
              stepNode: stepNode
            };
          },
          onDone: {
            target: 'runningSubscribers',
            actions: [function (_ref25) {
              var event = _ref25.event;
              return _this8.logger.debug("Step " + stepNode.step.id + " finished executing", {
                output: event.output
              });
            }, {
              type: 'updateStepResult',
              params: {
                stepId: stepNode.step.id
              }
            }, {
              type: 'spawnSubscribers',
              params: {
                stepId: stepNode.step.id
              }
            }]
          },
          onError: {
            target: 'failed',
            actions: [{
              type: 'setStepError',
              params: {
                stepId: stepNode.step.id
              }
            }]
          }
        }
      },
      runningSubscribers: {
        entry: function entry() {
          _this8.logger.debug("Step " + stepNode.step.id + " running subscribers");
        },
        exit: function exit() {
          _this8.logger.debug("Step " + stepNode.step.id + " finished running subscribers");
        },
        invoke: {
          src: 'spawnSubscriberFunction',
          input: function input(_ref26) {
            var context = _ref26.context;
            return {
              parentStepId: stepNode.step.id,
              context: context
            };
          },
          onDone: {
            target: nextStep ? nextStep.step.id : 'completed',
            actions: [assign({
              stepResults: function stepResults(_ref27) {
                var context = _ref27.context,
                  event = _ref27.event;
                return _extends({}, context.stepResults, event.output.stepResults);
              }
            }), function () {
              return _this8.logger.debug("Subscriber execution completed", {
                stepId: stepNode.step.id
              });
            }]
          },
          onError: {
            target: nextStep ? nextStep.step.id : 'completed',
            actions: function actions(_ref28) {
              var event = _ref28.event;
              _this8.logger.debug("Subscriber execution failed", {
                error: event.error,
                stepId: stepNode.step.id
              });
            }
          }
        }
      },
      completed: {
        type: 'final',
        entry: [{
          type: 'notifyStepCompletion',
          params: {
            stepId: stepNode.step.id
          }
        }, {
          type: 'snapshotStep',
          params: {
            stepId: stepNode.step.id
          }
        }, {
          type: 'persistSnapshot'
        }]
      },
      failed: {
        type: 'final',
        entry: [{
          type: 'notifyStepCompletion',
          params: {
            stepId: stepNode.step.id
          }
        }, {
          type: 'snapshotStep',
          params: {
            stepId: stepNode.step.id
          }
        }, {
          type: 'persistSnapshot'
        }]
      }
    }, nextStep ? (_ref29 = {}, _ref29[nextStep.step.id] = _extends({}, _classPrivateFieldLooseBase(this, _buildBaseState)[_buildBaseState](nextStep, nextSteps)), _ref29) : {})
  };
}
function _makeStepKey2(step) {
  // return `${step.id}${this.#delimiter}${Object.keys(this.steps2).length}`;
  return "" + step.id;
}
function _buildStateHierarchy2(stepGraph) {
  var _this9 = this;
  var states = {};
  stepGraph.initial.forEach(function (stepNode) {
    var nextSteps = [].concat(stepGraph[stepNode.step.id] || []);
    // TODO: For identical steps, use index to create unique key
    states[stepNode.step.id] = _extends({}, _classPrivateFieldLooseBase(_this9, _buildBaseState)[_buildBaseState](stepNode, nextSteps));
  });
  return states;
}
function _getDefaultActions2() {
  var _this10 = this;
  return {
    updateStepResult: assign({
      stepResults: function stepResults(_ref30) {
        var _extends8;
        var context = _ref30.context,
          event = _ref30.event;
        if (!isTransitionEvent(event)) return context.stepResults;
        var _event$output = event.output,
          stepId = _event$output.stepId,
          result = _event$output.result;
        return _extends({}, context.stepResults, (_extends8 = {}, _extends8[stepId] = {
          status: 'success',
          payload: result
        }, _extends8));
      }
    }),
    setStepError: assign({
      stepResults: function stepResults(_ref31, params) {
        var _extends9;
        var context = _ref31.context,
          event = _ref31.event;
        if (!isErrorEvent(event)) return context.stepResults;
        var stepId = params.stepId;
        if (!stepId) return context.stepResults;
        return _extends({}, context.stepResults, (_extends9 = {}, _extends9[stepId] = {
          status: 'failed',
          error: event.error.message
        }, _extends9));
      }
    }),
    notifyStepCompletion: function () {
      var _notifyStepCompletion = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee8(_, params) {
        var stepId;
        return _regeneratorRuntime().wrap(function _callee8$(_context8) {
          while (1) switch (_context8.prev = _context8.next) {
            case 0:
              stepId = params.stepId;
              _this10.logger.debug("Step " + stepId + " completed");
            case 2:
            case "end":
              return _context8.stop();
          }
        }, _callee8);
      }));
      function notifyStepCompletion(_x8, _x9) {
        return _notifyStepCompletion.apply(this, arguments);
      }
      return notifyStepCompletion;
    }(),
    snapshotStep: assign({
      _snapshot: function _snapshot(_ref32, params) {
        _objectDestructuringEmpty(_ref32);
        var stepId = params.stepId;
        // This will run after the state update
        return {
          stepId: stepId
        };
      }
    }),
    persistSnapshot: function () {
      var _persistSnapshot = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee9(_ref33) {
        var context;
        return _regeneratorRuntime().wrap(function _callee9$(_context9) {
          while (1) switch (_context9.prev = _context9.next) {
            case 0:
              context = _ref33.context;
              if (!context._snapshot) {
                _context9.next = 5;
                break;
              }
              _context9.next = 4;
              return _classPrivateFieldLooseBase(_this10, _persistWorkflowSnapshot)[_persistWorkflowSnapshot]();
            case 4:
              return _context9.abrupt("return", _context9.sent);
            case 5:
              return _context9.abrupt("return");
            case 6:
            case "end":
              return _context9.stop();
          }
        }, _callee9);
      }));
      function persistSnapshot(_x10) {
        return _persistSnapshot.apply(this, arguments);
      }
      return persistSnapshot;
    }(),
    decrementAttemptCount: assign({
      attempts: function attempts(_ref34, params) {
        var _extends10;
        var context = _ref34.context,
          event = _ref34.event;
        if (!isTransitionEvent(event)) return context.attempts;
        var stepId = params.stepId;
        var attemptCount = context.attempts[stepId];
        if (attemptCount === undefined) return context.attempts;
        return _extends({}, context.attempts, (_extends10 = {}, _extends10[stepId] = attemptCount - 1, _extends10));
      }
    })
  };
}
function _getInjectables2() {
  return {
    runId: _classPrivateFieldLooseBase(this, _runId)[_runId],
    mastra: _classPrivateFieldLooseBase(this, _mastra)[_mastra]
  };
}
function _getDefaultActors2() {
  var _this11 = this;
  return {
    resolverFunction: fromPromise(/*#__PURE__*/function () {
      var _ref36 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee11(_ref35) {
        var input, stepNode, context, injectables, resolvedData, result;
        return _regeneratorRuntime().wrap(function _callee11$(_context11) {
          while (1) switch (_context11.prev = _context11.next) {
            case 0:
              input = _ref35.input;
              stepNode = input.stepNode, context = input.context;
              injectables = _classPrivateFieldLooseBase(_this11, _getInjectables)[_getInjectables]();
              resolvedData = _classPrivateFieldLooseBase(_this11, _resolveVariables)[_resolveVariables]({
                stepConfig: stepNode.config,
                context: context,
                stepId: stepNode.step.id
              });
              _this11.logger.debug("Resolved variables for " + stepNode.step.id, {
                resolvedData: resolvedData,
                runId: _classPrivateFieldLooseBase(_this11, _runId)[_runId]
              });
              _context11.next = 7;
              return stepNode.config.handler(_extends({
                context: _extends({
                  machineContext: context
                }, resolvedData),
                suspend: function () {
                  var _suspend = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee10() {
                    var _classPrivateFieldLoo6;
                    return _regeneratorRuntime().wrap(function _callee10$(_context10) {
                      while (1) switch (_context10.prev = _context10.next) {
                        case 0:
                          if (!_classPrivateFieldLooseBase(_this11, _actor)[_actor]) {
                            _context10.next = 8;
                            break;
                          }
                          // Update context with current result
                          context.stepResults[stepNode.step.id] = {
                            status: 'suspended'
                          };
                          _context10.next = 4;
                          return _classPrivateFieldLooseBase(_this11, _persistWorkflowSnapshot)[_persistWorkflowSnapshot]();
                        case 4:
                          _this11.logger.debug("Sending SUSPENDED event for step " + stepNode.step.id);
                          (_classPrivateFieldLoo6 = _classPrivateFieldLooseBase(_this11, _actor)[_actor]) == null || _classPrivateFieldLoo6.send({
                            type: 'SUSPENDED',
                            stepId: stepNode.step.id
                          });
                          _context10.next = 9;
                          break;
                        case 8:
                          _this11.logger.debug("Actor not available for step " + stepNode.step.id);
                        case 9:
                        case "end":
                          return _context10.stop();
                      }
                    }, _callee10);
                  }));
                  function suspend() {
                    return _suspend.apply(this, arguments);
                  }
                  return suspend;
                }()
              }, injectables));
            case 7:
              result = _context11.sent;
              _this11.logger.debug("Step " + stepNode.step.id + " result", {
                result: result,
                runId: _classPrivateFieldLooseBase(_this11, _runId)[_runId]
              });
              return _context11.abrupt("return", {
                stepId: stepNode.step.id,
                result: result
              });
            case 10:
            case "end":
              return _context11.stop();
          }
        }, _callee11);
      }));
      return function (_x11) {
        return _ref36.apply(this, arguments);
      };
    }()),
    conditionCheck: fromPromise(/*#__PURE__*/function () {
      var _ref38 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee12(_ref37) {
        var input, context, stepNode, stepConfig, attemptCount, conditionMet, _conditionMet;
        return _regeneratorRuntime().wrap(function _callee12$(_context12) {
          while (1) switch (_context12.prev = _context12.next) {
            case 0:
              input = _ref37.input;
              context = input.context, stepNode = input.stepNode;
              stepConfig = stepNode.config;
              attemptCount = context.attempts[stepNode.step.id];
              _this11.logger.debug("Checking conditions for " + stepNode.step.id, {
                stepId: stepNode.step.id,
                runId: _classPrivateFieldLooseBase(_this11, _runId)[_runId]
              });
              _this11.logger.debug("Attempt count for " + stepNode.step.id, {
                attemptCount: attemptCount,
                attempts: context.attempts,
                runId: _classPrivateFieldLooseBase(_this11, _runId)[_runId],
                stepId: stepNode.step.id
              });
              // if step has no attempts left, suspend or fail
              if (!(!attemptCount || attemptCount < 0)) {
                _context12.next = 10;
                break;
              }
              if (!(stepConfig != null && stepConfig.snapshotOnTimeout)) {
                _context12.next = 9;
                break;
              }
              return _context12.abrupt("return", {
                type: 'SUSPENDED',
                stepId: stepNode.step.id
              });
            case 9:
              return _context12.abrupt("return", {
                type: 'CONDITION_FAILED',
                error: "Step:" + stepNode.step.id + " condition check failed"
              });
            case 10:
              if (stepConfig != null && stepConfig.when) {
                _context12.next = 12;
                break;
              }
              return _context12.abrupt("return", {
                type: 'CONDITIONS_MET'
              });
            case 12:
              _this11.logger.debug("Checking conditions for " + stepNode.step.id);
              if (!(typeof (stepConfig == null ? void 0 : stepConfig.when) === 'function')) {
                _context12.next = 25;
                break;
              }
              _context12.next = 16;
              return stepConfig.when({
                context: context
              });
            case 16:
              conditionMet = _context12.sent;
              if (!conditionMet) {
                _context12.next = 20;
                break;
              }
              _this11.logger.debug("Condition met for " + stepNode.step.id);
              return _context12.abrupt("return", {
                type: 'CONDITIONS_MET'
              });
            case 20:
              if (!(!attemptCount || attemptCount < 0)) {
                _context12.next = 22;
                break;
              }
              return _context12.abrupt("return", {
                type: 'CONDITION_FAILED',
                error: "Step:" + stepNode.step.id + " condition check failed"
              });
            case 22:
              return _context12.abrupt("return", {
                type: 'WAITING',
                stepId: stepNode.step.id
              });
            case 25:
              _conditionMet = _classPrivateFieldLooseBase(_this11, _evaluateCondition)[_evaluateCondition](stepConfig.when, context);
              if (_conditionMet) {
                _context12.next = 28;
                break;
              }
              return _context12.abrupt("return", {
                type: 'CONDITION_FAILED',
                error: "Step:" + stepNode.step.id + " condition check failed"
              });
            case 28:
              return _context12.abrupt("return", {
                type: 'CONDITIONS_MET'
              });
            case 29:
            case "end":
              return _context12.stop();
          }
        }, _callee12);
      }));
      return function (_x12) {
        return _ref38.apply(this, arguments);
      };
    }()),
    spawnSubscriberFunction: fromPromise(/*#__PURE__*/function () {
      var _ref40 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee13(_ref39) {
        var input, parentStepId, context, stepGraph, subscriberMachine, actor;
        return _regeneratorRuntime().wrap(function _callee13$(_context13) {
          while (1) switch (_context13.prev = _context13.next) {
            case 0:
              input = _ref39.input;
              parentStepId = input.parentStepId, context = input.context;
              stepGraph = _classPrivateFieldLooseBase(_this11, _stepSubscriberGraph)[_stepSubscriberGraph][parentStepId];
              if (stepGraph) {
                _context13.next = 5;
                break;
              }
              return _context13.abrupt("return", {
                stepResults: {}
              });
            case 5:
              subscriberMachine = setup({
                types: {},
                delays: _classPrivateFieldLooseBase(_this11, _makeDelayMap)[_makeDelayMap](),
                actions: _classPrivateFieldLooseBase(_this11, _getDefaultActions)[_getDefaultActions](),
                actors: _classPrivateFieldLooseBase(_this11, _getDefaultActors)[_getDefaultActors]()
              }).createMachine({
                id: _this11.name + "-subscriber-" + parentStepId,
                context: context,
                type: 'parallel',
                states: _classPrivateFieldLooseBase(_this11, _buildStateHierarchy)[_buildStateHierarchy](stepGraph)
              });
              actor = createActor(subscriberMachine, {
                input: context
              });
              actor.start();
              // Create a promise that resolves when all states are final
              return _context13.abrupt("return", new Promise(function (resolve) {
                var suspendedPaths = new Set();
                actor.subscribe(function (state) {
                  _classPrivateFieldLooseBase(_this11, _getSuspendedPaths)[_getSuspendedPaths]({
                    value: state.value,
                    path: '',
                    suspendedPaths: suspendedPaths
                  });
                  var allStatesValue = state.value;
                  var allStatesComplete = _classPrivateFieldLooseBase(_this11, _recursivelyCheckForFinalState)[_recursivelyCheckForFinalState]({
                    value: allStatesValue,
                    suspendedPaths: suspendedPaths,
                    path: ''
                  });
                  if (allStatesComplete) {
                    actor.stop();
                    resolve({
                      stepResults: state.context.stepResults
                    });
                  }
                });
              }));
            case 9:
            case "end":
              return _context13.stop();
          }
        }, _callee13);
      }));
      return function (_x13) {
        return _ref40.apply(this, arguments);
      };
    }())
  };
}
function _persistWorkflowSnapshot2() {
  return _persistWorkflowSnapshot3.apply(this, arguments);
}
function _persistWorkflowSnapshot3() {
  _persistWorkflowSnapshot3 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee15() {
    var _classPrivateFieldLoo10;
    var snapshotFromActor;
    return _regeneratorRuntime().wrap(function _callee15$(_context15) {
      while (1) switch (_context15.prev = _context15.next) {
        case 0:
          snapshotFromActor = (_classPrivateFieldLoo10 = _classPrivateFieldLooseBase(this, _actor)[_actor]) == null ? void 0 : _classPrivateFieldLoo10.getPersistedSnapshot();
          if (this.snapshot) {
            _context15.next = 4;
            break;
          }
          this.logger.debug('Snapshot cannot be persisted. Mastra engine is not initialized', {
            runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
          });
          return _context15.abrupt("return");
        case 4:
          if (snapshotFromActor) {
            _context15.next = 7;
            break;
          }
          this.logger.debug('Snapshot cannot be persisted. No snapshot received.', {
            runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
          });
          return _context15.abrupt("return");
        case 7:
          this.logger.debug('Persisting workflow snapshot', {
            snapshot: snapshotFromActor,
            runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
          });
          _context15.next = 10;
          return this.snapshot.persist({
            runId: _classPrivateFieldLooseBase(this, _runId)[_runId],
            snapshot: snapshotFromActor,
            entityName: _classPrivateFieldLooseBase(this, _entityName)[_entityName],
            connectionId: _classPrivateFieldLooseBase(this, _connectionId)[_connectionId]
          });
        case 10:
          this.logger.debug('Successfully persisted workflow snapshot', {
            runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
          });
          return _context15.abrupt("return", _classPrivateFieldLooseBase(this, _runId)[_runId]);
        case 12:
        case "end":
          return _context15.stop();
      }
    }, _callee15, this);
  }));
  return _persistWorkflowSnapshot3.apply(this, arguments);
}
function _loadWorkflowSnapshot2(_x14) {
  return _loadWorkflowSnapshot3.apply(this, arguments);
}
function _loadWorkflowSnapshot3() {
  _loadWorkflowSnapshot3 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee16(runId) {
    var snapshotData;
    return _regeneratorRuntime().wrap(function _callee16$(_context16) {
      while (1) switch (_context16.prev = _context16.next) {
        case 0:
          if (this.snapshot) {
            _context16.next = 3;
            break;
          }
          this.logger.debug('Snapshot cannot be loaded. Mastra engine is not initialized', {
            runId: runId
          });
          return _context16.abrupt("return");
        case 3:
          this.logger.debug('Loading workflow snapshot', {
            runId: runId,
            entityName: _classPrivateFieldLooseBase(this, _entityName)[_entityName],
            connectionId: _classPrivateFieldLooseBase(this, _connectionId)[_connectionId]
          });
          _context16.next = 6;
          return this.snapshot.load({
            runId: runId,
            entityName: _classPrivateFieldLooseBase(this, _entityName)[_entityName],
            connectionId: _classPrivateFieldLooseBase(this, _connectionId)[_connectionId]
          });
        case 6:
          snapshotData = _context16.sent;
          this.logger.debug('Retrieved workflow state from storage', {
            snapshot: snapshotData,
            runId: runId
          });
          return _context16.abrupt("return", snapshotData);
        case 9:
        case "end":
          return _context16.stop();
      }
    }, _callee16, this);
  }));
  return _loadWorkflowSnapshot3.apply(this, arguments);
}
function _resolveVariables2(_ref41) {
  var stepConfig = _ref41.stepConfig,
    context = _ref41.context,
    stepId = _ref41.stepId;
  var resolvedData = {};
  this.logger.debug("Resolving variables for " + stepId, {
    runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
  });
  // Add machineContext with getStepPayload helper
  resolvedData.machineContext = _extends({}, context, {
    getStepPayload: function getStepPayload(stepId) {
      if (stepId === 'trigger') {
        return context.triggerData;
      }
      var result = context.stepResults[stepId];
      if (result && result.status === 'success') {
        return result.payload;
      }
      return undefined;
    }
  });
  for (var _i4 = 0, _Object$entries3 = Object.entries(stepConfig.data); _i4 < _Object$entries3.length; _i4++) {
    var _Object$entries3$_i = _Object$entries3[_i4],
      key = _Object$entries3$_i[0],
      variable = _Object$entries3$_i[1];
    // Check if variable comes from trigger data or a previous step's result
    var sourceData = variable.step === 'trigger' ? context.triggerData : getStepResult(context.stepResults[variable.step.id]);
    this.logger.debug("Got source data for " + key + " variable from " + (variable.step === 'trigger' ? 'trigger' : variable.step.id), {
      sourceData: sourceData,
      path: variable.path,
      runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
    });
    if (!sourceData && variable.step !== 'trigger') {
      resolvedData[key] = undefined;
      continue;
    }
    // If path is empty or '.', return the entire source data
    var value = variable.path === '' || variable.path === '.' ? sourceData : get(sourceData, variable.path);
    this.logger.debug("Resolved variable " + key, {
      value: value,
      runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
    });
    resolvedData[key] = value;
  }
  return resolvedData;
}
function _evaluateCondition2(condition, context) {
  var _this12 = this;
  var andBranchResult = true;
  var baseResult = true;
  var orBranchResult = true;
  // Base condition simplified format
  var simpleCondition = Object.entries(condition).find(function (_ref42) {
    var key = _ref42[0];
    return key.includes('.');
  });
  if (simpleCondition) {
    var key = simpleCondition[0],
      queryValue = simpleCondition[1];
    var _key$split = key.split('.'),
      stepId = _key$split[0],
      pathParts = _key$split.slice(1);
    var path = pathParts.join('.');
    var sourceData = stepId === 'trigger' ? context.triggerData : getStepResult(context.stepResults[stepId]);
    this.logger.debug("Got condition data from " + stepId, {
      sourceData: sourceData,
      runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
    });
    if (!sourceData) {
      return false;
    }
    var value = get(sourceData, path);
    // If path is 'status', check if value is empty and we are not referencing the trigger.
    // Currently only successful step results get to this point, so we can safely assume that the status is 'success'
    if (stepId !== 'trigger' && path === 'status' && !value) {
      value = 'success';
    }
    // Handle different types of queries
    if (typeof queryValue === 'object' && queryValue !== null) {
      // If it's an object, treat it as a query object
      baseResult = sift(queryValue)(value);
    } else {
      // For simple values, do an equality check
      baseResult = value === queryValue;
    }
  }
  // Base condition
  if ('ref' in condition) {
    var ref = condition.ref,
      query = condition.query;
    var _sourceData = ref.step === 'trigger' ? context.triggerData : getStepResult(context.stepResults[ref.step.id]);
    this.logger.debug("Got condition data from " + (ref.step === 'trigger' ? 'trigger' : ref.step.id), {
      sourceData: _sourceData,
      runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
    });
    if (!_sourceData) {
      return false;
    }
    var _value = get(_sourceData, ref.path);
    // If path is 'status', check if value is empty and we are not referencing the trigger.
    // Currently only successful step results get to this point, so we can safely assume that the status is 'success'
    if (ref.step !== 'trigger' && ref.path === 'status' && !_value) {
      _value = 'success';
    }
    baseResult = sift(query)(_value);
  }
  // AND condition
  if ('and' in condition) {
    andBranchResult = condition.and.every(function (cond) {
      return _classPrivateFieldLooseBase(_this12, _evaluateCondition)[_evaluateCondition](cond, context);
    });
    this.logger.debug("Evaluated AND condition", {
      andBranchResult: andBranchResult,
      runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
    });
  }
  // OR condition
  if ('or' in condition) {
    orBranchResult = condition.or.some(function (cond) {
      return _classPrivateFieldLooseBase(_this12, _evaluateCondition)[_evaluateCondition](cond, context);
    });
    this.logger.debug("Evaluated OR condition", {
      orBranchResult: orBranchResult,
      runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
    });
  }
  var finalResult = baseResult && andBranchResult && orBranchResult;
  this.logger.debug("Evaluated condition", {
    finalResult: finalResult,
    runId: _classPrivateFieldLooseBase(this, _runId)[_runId]
  });
  return finalResult;
}
function _makeStepDef2(stepId) {
  var _classPrivateFieldLoo7,
    _this13 = this;
  var telemetry = (_classPrivateFieldLoo7 = _classPrivateFieldLooseBase(this, _mastra)[_mastra]) == null ? void 0 : _classPrivateFieldLoo7.telemetry;
  var handler = /*#__PURE__*/function () {
    var _ref44 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee14(_ref43) {
      var context, rest, targetStep, _targetStep$payload, payload, execute, mergedData, finalAction;
      return _regeneratorRuntime().wrap(function _callee14$(_context14) {
        while (1) switch (_context14.prev = _context14.next) {
          case 0:
            context = _ref43.context, rest = _objectWithoutPropertiesLoose(_ref43, _excluded);
            targetStep = _classPrivateFieldLooseBase(_this13, _steps)[_steps][stepId];
            if (targetStep) {
              _context14.next = 4;
              break;
            }
            throw new Error("Step not found");
          case 4:
            _targetStep$payload = targetStep.payload, payload = _targetStep$payload === void 0 ? {} : _targetStep$payload, execute = targetStep.execute; // Merge static payload with dynamically resolved variables
            // Variables take precedence over payload values
            mergedData = _extends({}, payload, context); // Only trace if telemetry is available and action exists
            finalAction = telemetry ? telemetry.traceMethod(execute, {
              spanName: "workflow." + _this13.name + ".action." + stepId
            }) : execute;
            if (!finalAction) {
              _context14.next = 13;
              break;
            }
            _context14.next = 10;
            return finalAction(_extends({
              context: mergedData
            }, rest));
          case 10:
            _context14.t0 = _context14.sent;
            _context14.next = 14;
            break;
          case 13:
            _context14.t0 = {};
          case 14:
            return _context14.abrupt("return", _context14.t0);
          case 15:
          case "end":
            return _context14.stop();
        }
      }, _callee14);
    }));
    return function handler(_x15) {
      return _ref44.apply(this, arguments);
    };
  }();
  // Only trace handler if telemetry is available
  var finalHandler = telemetry ? telemetry.traceMethod(handler, {
    spanName: "workflow." + this.name + ".step." + stepId
  }) : handler;
  return {
    handler: finalHandler,
    data: {}
  };
}
function _makeDelayMap2() {
  var _this14 = this;
  var delayMap = {};
  Object.keys(_classPrivateFieldLooseBase(this, _steps)[_steps]).forEach(function (stepId) {
    var _classPrivateFieldLoo8, _classPrivateFieldLoo9;
    delayMap[stepId] = ((_classPrivateFieldLoo8 = _classPrivateFieldLooseBase(_this14, _steps)[_steps][stepId]) == null || (_classPrivateFieldLoo8 = _classPrivateFieldLoo8.retryConfig) == null ? void 0 : _classPrivateFieldLoo8.delay) || ((_classPrivateFieldLoo9 = _classPrivateFieldLooseBase(_this14, _retryConfig)[_retryConfig]) == null ? void 0 : _classPrivateFieldLoo9.delay) || 1000;
  });
  return delayMap;
}
function _cleanup2() {
  if (_classPrivateFieldLooseBase(this, _actor)[_actor]) {
    _classPrivateFieldLooseBase(this, _actor)[_actor].stop();
    _classPrivateFieldLooseBase(this, _actor)[_actor] = null;
  }
}
function _getActivePathsAndStatus2(value) {
  var paths = [];
  var _traverse = function traverse(current, path) {
    if (path === void 0) {
      path = [];
    }
    for (var _i5 = 0, _Object$entries4 = Object.entries(current); _i5 < _Object$entries4.length; _i5++) {
      var _Object$entries4$_i = _Object$entries4[_i5],
        key = _Object$entries4$_i[0],
        _value2 = _Object$entries4$_i[1];
      var currentPath = [].concat(path, [key]);
      if (typeof _value2 === 'string') {
        // Found a leaf state
        paths.push({
          stepPath: currentPath,
          stepId: key,
          status: _value2
        });
      } else if (typeof _value2 === 'object' && _value2 !== null) {
        // Continue traversing
        _traverse(_value2, currentPath);
      }
    }
  };
  _traverse(value);
  return paths;
}
function _hasStateChanged2(previous, current) {
  if (!previous) return true;
  // Compare active paths
  var previousPaths = previous.activePaths;
  var currentPaths = current.activePaths;
  // Check if number of active paths changed
  if (previousPaths.length !== currentPaths.length) return true;
  // Compare each path
  for (var i = 0; i < currentPaths.length; i++) {
    var prevPath = previousPaths[i];
    var currPath = currentPaths[i];
    // Check if path structure changed
    if (JSON.stringify(prevPath == null ? void 0 : prevPath.stepPath) !== JSON.stringify(currPath == null ? void 0 : currPath.stepPath)) return true;
    // Check if status changed
    if ((prevPath == null ? void 0 : prevPath.status) !== (currPath == null ? void 0 : currPath.status)) return true;
  }
  // Check if step results changed
  if (JSON.stringify(previous.context.stepResults) !== JSON.stringify(current.context.stepResults)) return true;
  return false;
}
function _getDeepestState2(value) {
  var _deepestBranch, _deepestBranch2;
  // Find the deepest active branch
  var deepestBranch = null;
  var _traverse2 = function traverse(obj, path) {
    if (path === void 0) {
      path = [];
    }
    for (var _i6 = 0, _Object$entries5 = Object.entries(obj); _i6 < _Object$entries5.length; _i6++) {
      var _Object$entries5$_i = _Object$entries5[_i6],
        key = _Object$entries5$_i[0],
        _value3 = _Object$entries5$_i[1];
      if (typeof _value3 === 'string') {
        // If it's a leaf state, check its depth
        var depth = path.length;
        if (!deepestBranch || depth > deepestBranch.depth) {
          deepestBranch = {
            stepId: key,
            status: _value3,
            depth: depth
          };
        }
      } else if (typeof _value3 === 'object' && _value3 !== null) {
        // Keep traversing
        _traverse2(_value3, [].concat(path, [key]));
      }
    }
  };
  _traverse2(value);
  if (!deepestBranch) {
    // Provide a default or throw an error
    throw new Error('No valid state found');
  }
  return {
    stepId: (_deepestBranch = deepestBranch) == null ? void 0 : _deepestBranch.stepId,
    status: (_deepestBranch2 = deepestBranch) == null ? void 0 : _deepestBranch2.status
  };
}

var Step = function Step(_ref) {
  var id = _ref.id,
    description = _ref.description,
    execute = _ref.execute,
    payload = _ref.payload,
    outputSchema = _ref.outputSchema,
    inputSchema = _ref.inputSchema,
    retryConfig = _ref.retryConfig;
  this.id = void 0;
  this.description = void 0;
  this.inputSchema = void 0;
  this.outputSchema = void 0;
  this.payload = void 0;
  this.execute = void 0;
  this.retryConfig = void 0;
  this.mastra = void 0;
  this.id = id;
  this.description = description != null ? description : '';
  this.inputSchema = inputSchema;
  this.payload = payload;
  this.outputSchema = outputSchema;
  this.execute = execute;
  this.retryConfig = retryConfig;
};
function createStep(opts) {
  return new Step(opts);
}

export { Agent, AvailableHooks, CohereRelevanceScorer, FilterOperators, InstrumentClass, Integration, LogLevel, Mastra, MastraAgentRelevanceScorer, MastraBase, MastraDeployer, MastraEngine, MastraMemory, MastraTTS, MastraVector, Metric, MockMastraEngine, OpenAPIToolset, PropertyType, RegisteredLogger, Step, Sync, Telemetry, Tool, Workflow, createLogger, createSimilarityPrompt, createStep, createSync, createTool, delay, embed, evaluate, executeHook, getStepResult, hasActiveTelemetry, isErrorEvent, isTransitionEvent, isVariableReference, jsonSchemaPropertiesToTSTypes, jsonSchemaToModel, noopLogger, registerHook, withSpan };
//# sourceMappingURL=core.esm.js.map
